<?php

namespace App\Exports;

use App\Models\TuitionCentre;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class CentreExport implements FromView
{
    /**
    * @return \Illuminate\Support\Collection
    */
    protected $year;

    function __construct($year)
    {
        $this->year = $year;
    }

    public function view(): View
    {
        $year = $this->year;
        $centres = TuitionCentre::orderBy('updated_at','desc')->get();
        $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
        return view('exports.center-report', compact('centres','months','year'));
    }
}
