<?php

namespace App\Exports;

use App\Models\Account;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class SummaryExport implements FromView
{
    /**
    * @return \Illuminate\Support\Collection
    */
    protected $year;

    function __construct($year)
    {
        $this->year = $year;
    }

    public function view(): View
    {
        $year = $this->year;
        $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
        return view('exports.summary-report', compact('months','year'));
    }
}
