<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Tutor;
use App\Models\User;
use Illuminate\Database\Eloquent\SoftDeletes;

class ScheduleClass extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $dates = ['deleted_at'];

    public function tutor()
    {
        return $this->belongsTo(Account::class, 'created_by');
    }

    public function tutorUser()
    {
        return $this->belongsTo(User::class, 'created_by');
    }
}
