<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFieldsToTutorExps extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('tutor_exps', function (Blueprint $table) {
            $table->string('job_title', 255)->nullable();
            $table->string('job_type', 255)->nullable();
            $table->string('job_location', 255)->nullable();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('tutor_exps', function (Blueprint $table) {
            //
        });
    }
}
