<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNoLessonAndIsSpecialColumn extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('schedule_classes', function (Blueprint $table) {
            $table->integer('no_lesson')->nullable();
            $table->integer('is_special')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('schedule_classes', function (Blueprint $table) {
            $table->dropColumn('no_lesson')->nullable();
            $table->dropColumn('is_special')->default(0);
        });
    }
}
