<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateParentContactsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('parent_contacts', function (Blueprint $table) {
            $table->id();
            $table->integer('parent_id')->nullable();
            $table->enum('is_send', ['0', '1'])->default('0');
            $table->enum('is_whatsapp_send', ['0', '1'])->default('0');
            $table->string('message')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('parent_contacts');
    }
}
