<?php

namespace Database\Seeders;

use App\Models\Topic;
use App\Models\Lessons;
use Illuminate\Database\Seeder;
use DB;

class TopicSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('topics')->truncate();
        DB::table('lessons')->truncate();

        $topic = new Topic ; 
        $topic->subject_id = '1';
        $topic->level_id = '1';
        $topic->name = 'English Structure';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '1';
        $topic->level_id = '1';
        $topic->name = 'English Grammar';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '1';
        $topic->level_id = '1';
        $topic->name = 'English Vocabulary';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '2';
        $topic->level_id = '2';
        $topic->name = 'Maths Calculus and analysis';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '2';
        $topic->level_id = '2';
        $topic->name = 'Maths Number theory';
        $topic->save();


        $topic = new Topic ; 
        $topic->subject_id = '3';
        $topic->level_id = '3';
        $topic->name = 'Oxygen discovery';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '3';
        $topic->level_id = '3';
        $topic->name = 'Water purification';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '4';
        $topic->level_id = '4';
        $topic->name = 'Genetic';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '4';
        $topic->level_id = '4';
        $topic->name = 'Epidemiology';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '5';
        $topic->level_id = '5';
        $topic->name = 'Theoretical physics';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '5';
        $topic->level_id = '5';
        $topic->name = 'Nuclear physics';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '6';
        $topic->level_id = '6';
        $topic->name = 'Causes of Thirty Years War';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '6';
        $topic->level_id = '6';
        $topic->name = 'Religion and Crusades';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '7';
        $topic->level_id = '7';
        $topic->name = 'Artificial Intelligence (AI)';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '7';
        $topic->level_id = '7';
        $topic->name = 'Machine Learning (ML)';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '8';
        $topic->level_id = '8';
        $topic->name = 'Anatomy and physiology';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '8';
        $topic->level_id = '8';
        $topic->name = 'Earth and environmental';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '9';
        $topic->level_id = '9';
        $topic->name = 'Heterodox economics';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '9';
        $topic->level_id = '9';
        $topic->name = 'Business economics';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '10';
        $topic->level_id = '10';
        $topic->name = 'anthropogeography';
        $topic->save();

        $topic = new Topic ; 
        $topic->subject_id = '10';
        $topic->level_id = '10';
        $topic->name = 'Physical geography';
        $topic->save();


        //lesson detail add
        $all_topics = Topic::all();

        foreach ($all_topics as $key => $value) {
            for ($i=0; $i < 2; $i++) { 
                $lesson = new Lessons; 
                $lesson->subject_id = $value->subject_id;
                $lesson->level_id = $value->level_id;
                $lesson->topic_id = $value->id;
                if ($i == 0) {
                    $lesson->name = $value->name.' Lesson one ';
                }else{
                    $lesson->name = $value->name.' Lesson two';
                }
                
                $lesson->save();
            }
        }
        
    }
}
