<?php
#Path: public_html/tuitionking/wp-content/themes/twentytwentytwo
#require_once('my-widgets.php');

class My_Elementor_Widgets {
    protected static $instance =  null;
    public static function get_instance() {
        if(!isset(static::$instance))
            static::$instance = new static;

        return static::$instance;
    }

    protected function __construct() {
        require_once('custom-widgets/class-widget.php');
        require_once('custom-widgets/class-detail-widget.php');
        require_once('custom-widgets/grp-class-widget.php');
        require_once('custom-widgets/recent-class-widget.php');
        add_action('elementor/widgets/widgets_registered', [$this, 'register_widgets']);
    }

    public function register_widgets() {
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Elementor\Class_Widget_1);
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Elementor\Class_Widget_2);
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Elementor\Class_Widget_3);
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Elementor\Class_Widget_4);
    }
}

add_action('init', 'my_elementor_init');
function my_elementor_init() {
    My_Elementor_Widgets::get_instance();
}