@extends('layouts.guest')

@section('content')
    <div class="adm-wrap-3">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="centre-info-head">
                        <h4>Registration For Tuition Centre</h4>
                    </div>
                </div>


                <div class="col-xl-12">
                    <div class="adm-cen-wrap-5">
                        <div class="col-xl-12">
                            <div class="cen-logo">
                                {{-- <img id="preview_img" src="" width="170" height="120" style="display: none;"/> --}}

                                <div class="container">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h3>Drag and drop files you want to upload</h3>
                                            <form action="{{route('dropzone.store')}}" method="post" style="border: none;" name="file" files="true" enctype="multipart/form-data" class="dropzone" id="image-upload">
                                                @csrf
                                                <div>
                                                    <h5>(file format supported: jpeg, png)</h5>
                                                    <h6>max file size : 2mb</h6>
                                            </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                                {{-- <label for="logo" class="btn-cen-logo">Upload Profile Picture</label>
                                <input id="logo" style="visibility:hidden;" type="file" name="banner" class="form-control" onchange="loadFile(event)"/> --}}
                            </div>
                        </div>
                        <form method="POST" action="{{ route('store-tuition-center-account') }}" enctype="multipart/form-data"
                            id="regForm">
                            @csrf
                            <div class="row">
                                @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                                <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                @endif
                                <div class="col-xl-12">
                                    <div class="adm-cen-head">
                                        <h4>Basic Information</h4>
                                    </div>
                                </div>
                                <input type="hidden" value="{{ $contact_number }}" id="code">
                                <input type="hidden" value="{{ $cp_contact_number }}" id="code1">
                                <input id="logo_url" type="hidden" name="logo_image_url"/>
                                <input id="logo_name" type="hidden" name="logo_image"/>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Centre Name <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="text" name="name" value="{{ old('name') }}"
                                                class="input__textbox" placeholder="Enter the name">
                                        @else
                                            <input type="text" name="name" value="{{ $tuitionCentre->name }}"
                                                class="input__textbox" placeholder="Enter the name">
                                        @endif
                                        </label>
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>UEN <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="text" name="uen" value="{{ old('uen') }}"
                                                class="input__textbox" placeholder="Enter the UEN">
                                        @else
                                            <input type="text" name="uen" value="{{ $tuitionCentre->uen }}"
                                                class="input__textbox" placeholder="Enter the UEN">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Street Name <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="text" name="street_name" value="{{ old('street_name') }}"
                                                class="input__textbox" placeholder="Enter the street name">
                                        @else
                                            <input type="text" name="street_name"
                                                value="{{ $tuitionCentre->street_name }}" class="input__textbox"
                                                placeholder="Enter the street name">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>State <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="text" name="state" value="{{ old('state') }}"
                                                class="input__textbox" placeholder="Enter the state">
                                        @else
                                            <input type="text" name="state" value="{{ $tuitionCentre->state }}"
                                                class="input__textbox" placeholder="Enter the state">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>City <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="text" name="city" value="{{ old('city') }}"
                                                class="input__textbox" placeholder="Enter the city">
                                        @else
                                            <input type="text" name="city" value="{{ $tuitionCentre->city }}"
                                                class="input__textbox" placeholder="Enter the city">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Zip Code <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="number" name="zip_code" value="{{ old('zip_code') }}"
                                                class="input__textbox" placeholder="Enter the zip code">
                                        @else
                                            <input type="number" name="zip_code" value="{{ $tuitionCentre->zip_code }}"
                                                class="input__textbox" placeholder="Enter the zip code">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Email Id <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="email"
                                                pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" name="email"
                                                value="{{ old('email') }}" class="input__textbox"
                                                placeholder="Enter the email id">
                                        @else
                                            <input type="email"
                                                pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" name="email"
                                                value="{{ $tuitionCentre->email }}" class="input__textbox"
                                                placeholder="Enter the email id">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12" id="code_div">
                                    <div class="cen-info">
                                        <h5>Country Code <span class="text-danger">*</span></h5>
                                        <select class="disselect-2 js-example-basic-single" name="countryCode" id="countryCode">
                                            @include('include.contry_code')
                                        </select>
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Contact Number <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="number" minlength="10" title="Please enter at least 10 digits."
                                                oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                                                maxlength="10" name="contact_number" value="{{ old('contact_number') }}"
                                                class="input__textbox" placeholder="Enter the number">
                                        @else
                                            <input type="number" minlength="10" title="Please enter at least 10 digits."
                                                oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                                                maxlength="10" name="contact_number"
                                                value="{{ str_replace($contact_number, '', $tuitionCentre->contact_number); }}" class="input__textbox"
                                                placeholder="Enter the number">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Website(if any)</h5>
                                        @if (empty($tuitionCentre))
                                            <input type="url" name="website" value="{{ old('website') }}"
                                                class="input__textbox" placeholder="Type the url">
                                        @else
                                            <input type="url" name="website" value="{{ $tuitionCentre->website }}"
                                                class="input__textbox" placeholder="Type the url">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Contact Person Name <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="text" name="contact_person_name"
                                                value="{{ old('contact_person_name') }}" class="input__textbox"
                                                placeholder="Enter the name">
                                        @else
                                            <input type="text" name="contact_person_name"
                                                value="{{ $tuitionCentre->contact_person_name }}" class="input__textbox"
                                                placeholder="Enter the name">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Contact Person Email <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="email"
                                                pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$"
                                                name="contact_person_email" value="{{ old('contact_person_email') }}"
                                                class="input__textbox" placeholder="Enter the email">
                                        @else
                                            <input type="email"
                                                pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$"
                                                name="contact_person_email"
                                                value="{{ $tuitionCentre->contact_person_email }}" class="input__textbox"
                                                placeholder="Enter the email">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12 code_div" id="code1_div">
                                    <div class="cen-info">
                                        <h5>Contact Person Country Code <span class="text-danger">*</span></h5>
                                        <select class="disselect-2 js-example-basic-single" name="countryCode1" id="countryCode1">
                                            @include('include.contry_code')
                                        </select>
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Contact Person Number <span class="text-danger">*</span></h5>
                                        @if (empty($tuitionCentre))
                                            <input type="number" minlength="10" title="Please enter at least 10 digits."
                                                oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                                                maxlength="10" name="contact_person_number"
                                                value="{{ old('contact_person_number') }}" class="input__textbox"
                                                placeholder="Enter the number">
                                        @else
                                            <input type="number" minlength="10" title="Please enter at least 10 digits."
                                                oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                                                maxlength="10" name="contact_person_number"
                                                value="{{ str_replace($cp_contact_number, '', $tuitionCentre->contact_person_number); }}"
                                                class="input__textbox" placeholder="Enter the number">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Password <span class="text-danger">*</span></h5>
                                        <input type="password" name="password" autocomplete="new-password"
                                            id="password" class="input__textbox" placeholder="Enter the password">
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Confirm Password <span class="text-danger">*</span></h5>
                                        <input type="password" name="password_confirmation" class="input__textbox"
                                            placeholder="Re enter password">
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                    <div class="cen-info">
                                        <h5>Remarks</h5>
                                        <input type="text" class="input__textbox" name="remarks"
                                            value="{{ old('remarks') }}" placeholder="Enter the remarks">
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <div class="cen-info">
                                        <h5>Add a short description about the tuition centre</h5>
                                        <textarea class="class-des" rows="6" cols="20" placeholder="Type here...." name="description">{{ old('description') }}</textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-12">
                                <div class="adm-btn">
                                    <button type="submit" id="submitBtn" class="adm-info-btn">Register</button>
                                </div>
                            </div>
                            <br/>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <style type="text/css">
        #email-error {
            color: red;
        }

        #contact_number-error {
            color: red;
        }

        #contact_person_number-error {
            color: red;
        }

        #contact_person_email-error {
            color: red;
        }

        #website-error {
            color: red;
        }
        .dropzone .dz-preview .dz-error-message {
    top: 150px!important;
    display: none;
}
.dropzone .dz-preview .dz-image {
        border-radius:50%!important;
    }
    .dz-image img {
    width: 100%!important;
    height: 100%!important;
}
.dz-remove
{
    display:inline-block !important;
    width:1.2em;
    height:1.2em;

    position:absolute;
    top:5px;
    right:5px;
    z-index:1000;

    font-size:1.2em !important;
    line-height:1em;

    text-align:center;
    font-weight:bold;
    border:1px solid #80808000 !important;
    border-radius:1.2em;
    color:#80808000;
    background-color:#80808000;
    opacity:.5;

}

.dz-remove:hover
{
    text-decoration:none !important;
    opacity:1;
    color: white;
                background-color: rgb(131, 131, 131);
}
.select2-container--default .select2-selection--single {
    background-color: #fff!important;
    border: 1px solid #dbdbdb!important;
    padding: 0.65rem 0.7rem 0.65rem 0.7rem!important;
    border-radius: 4px!important;
    height: 43px!important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 20px!important;
    font-size:0.85rem;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b{
    margin-top:5px!important;
    left:15%!important;
    border-color: #5a5a5a transparent transparent transparent!important;
}
.select2-results{
    font-size: 0.85rem!important;
}
    </style>
    <script>
        var loadFile = function(event) {
            var image = document.getElementById('preview_img');
            image.src = URL.createObjectURL(event.target.files[0]);
            image.style.display = 'inline';
        };
    </script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.0.1/min/dropzone.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.2.0/min/dropzone.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
    <script type="text/javascript">
        // Dropzone.autoDiscover = false;
        $(document).ready(function() {
          $('.js-example-basic-single').select2();
        });
        $(function(){
         $('#countryCode').val($('#code').val());
         $('#countryCode').select2().trigger('change');
         $('#countryCode1').val($('#code1').val());
         $('#countryCode1').select2().trigger('change');
        });

        Dropzone.options.imageUpload = {
            dictDefaultMessage: "<label class='btn-cen-logo'>Upload Profile Picture</label>",
            maxFilesize: 2,
            allowMultiple:false,
            addRemoveLinks: true,
            acceptedFiles: ".jpeg,.jpg,.png",
            dictRemoveFile : "x",
            // maxFiles:1,
            init: function() {
                this.on("success", function(file, response) {
                        $('.dz-remove').css('color','white');
                        $('.dz-remove').css('background-color','rgb(131, 131, 131)');
                    });
                this.on("thumbnail", function(file, response) {
                        if (file.size > (1024 * 1024 * 2)) // not more than 2mb
                        {
                            alert("Only 2 mb file size is allowed to store.");
                            this.removeFile(file);
                        }else{
                             $('#logo_url').val(response);
                             $('#logo_name').val(file.name);
                        }
                        $('.dz-remove').click(function(){
                            $('#logo_url').val('');
                            $('#logo_name').val('');
                        });
                    $(".dz-remove").attr('title','Remove File');
                    if (this.files.length > 1) {
                    this.removeFile(this.files[0]);
                    }
                });
            }
        };
    </script>
    <script>
        $(document).ready(function() {
            $.validator.addMethod(
                "regex",
                function(value, element, regexp) {
                    var re = new RegExp(regexp);
                    return this.optional(element) || re.test(value);
                },
                "Please check your input."
            );
            $('form[id="regForm"]').validate({
                rules: {
                    name: {
                        required: true,
                        minlength: 3,
                        remote: {
                            url: "{{ url('/validate') }}",
                            data: {
                                from: 'centre',
                            },
                            type: 'get',
                        }
                    },
                    uen: {
                        required: true,
                    },
                    street_name: {
                        required: true,
                    },
                    state: {
                        required: true,
                    },
                    city: {
                        required: true,
                    },
                    zip_code: {
                        required: true,
                    },
                    email: {
                        required: true,
                        email: true,
                        remote: {
                            url: "{{ url('/validate') }}",
                            data: {
                                from: 'centre',
                            },
                            type: 'get',
                        }
                    },
                    contact_number: {
                        required: true,
                        regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$",
                    },
                    contact_person_name: {
                        required: true,
                    },
                    contact_person_email: {
                        required: true,
                        email: true,
                    },
                    contact_person_number: {
                        required: true,
                        regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$",
                    },
                    password: {
                        required: true,
                    },
                    password_confirmation: {
                        required: true,
                        equalTo: "#password"
                    },
                },
                messages: {
                    name: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                        remote: "<span style='color:red;'>Centre Name Already Exist.</span>",
                    },
                    uen: "<span style='color:red;'>This field is required.</span>",
                    street_name: "<span style='color:red;'>This field is required.</span>",
                    state: "<span style='color:red;'>This field is required.</span>",
                    city: "<span style='color:red;'>This field is required.</span>",
                    zip_code: "<span style='color:red;'>This field is required.</span>",
                    email: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        remote: "<span style='color:red;'>Email Already Exist.</span>",
                    },
                    contact_number: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
                    },
                    contact_person_name: "<span style='color:red;'>This field is required.</span>",
                    contact_person_email: {
                        required: "<span style='color:red;'>This field is required.</span>",
                    },
                    contact_person_number: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
                    },
                    password: "<span style='color:red;'>This field is required.</span>",
                    password_confirmation: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        equalTo: "<span style='color:red;'>Confirm Password Not Matched.</span>",
                    }
                },
                submitHandler: function(form) {
                    $('#regForm').attr('action', '{{ route('store-tuition-center-account') }}');
                    form.submit();
                }
            });
        });
    </script>
@endsection
