@extends('layouts.guest2')

@section('content')

    <section class="welcome-wrapper">
        <div class="row">
            <div class="col-xl-5 col-lg-5 col-md-4">
                <div class="welcome-wrap">

                        <div class="tutor-img">
                            <img src="assets/images/tutor-illus.png">
                        </div>


                    <!---
                    <div class="welcome-info">
                        <p>List yourself as a tutor today and reach out to thousands of students.</p>
                    </div>-->
                    {{-- <div class="register-wrap">
                        <h4>Want to get registered as a Tuition king Admin?</h4>
                        <a href="{{ route('register') }}" class="btn-register">Register Now</a>
                    </div> --}}
                </div>
            </div>
            <div class="col-xl-7 col-lg-7 col-md-8">
                <div class="login-details-wrapper">
                    <div class="logo-wrap">
                        <a href="https://tuitionking.swotfishdemo.cc"><img src="assets/images/logo.png"></a>
                    </div>
                    <div class="login-head">
                        <h4>Sign In To Tuition King</h4>
                    </div>

                    <div class="sign-in-wrap">
                        @if(count($errors) > 0)
                        @foreach( $errors->all() as $message )
                         <div class="alert alert-danger display-hide h6">
                          <span>{{ $message }}</span>
                         </div>
                        @endforeach
                       @endif
                        <div class="sign-up-form">
                            <form method="POST" action="{{ route('login') }}">
                                @csrf
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Email</label>
                                            <input type="email" name="login" id="login" value="{{ old('email') }}" class="form-control" placeholder="Enter your Email" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Password</label>
                                            <input type="password" name="password" id="pwd"  class="form-control" placeholder="Enter your password" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-12" >
                                        <label class="checkbox5" for="myCheckboxId50">
                                            <input class="checkbox__input5" type="checkbox" {{ old('remember') ? 'checked' : '' }}
                                                name="myCheckboxName" id="myCheckboxId50">
                                            <div class="checkbox__box5"></div>

                                            <span>Remember Me</span>
                                        </label>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                                        <div class="pass">
                                        <a href="{{ route('password.request') }}">Forgot your password ?</a>
                                        </div>
                                    </div>
                                    <div class="btn-wrap">
                                        <div class="col-xl-12">
                                            <div class="form-group mt-2 mb-2">
                                                <button type="submit" class="btn custom-btn common-transition">Log In</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

<!--
<div class="form-wrap">
    <div class="container">
        <div class="form-head">
            <h3>Welcome back,</h3>
            <h4>Enter your details below to sign in</h4>
        </div>
        <div class="sign-up-wrap">
            <div class="sign-up-form">
                <form method="POST" action="{{ route('login') }}">
                    @csrf
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="form-group mt-2 mb-2">
                                    <label>Username</label>
                                    <input type="text" name="login" id="login" value="{{ old('username') ?: old('email') }}" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-xl-12">
                                <div class="form-group mt-2 mb-2">
                                    <label>Password</label>
                                    <input type="password" name="password" id="pwd" minlength="6" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                                <label class="checkbox50" for="myCheckboxId50">
                                    <input class="checkbox__input50" type="checkbox" {{ old('remember') ? 'checked' : '' }} name="checkbox"
                                        id="myCheckboxId50">
                                    <div class="checkbox__box50"></div>
                                    <span>Keep me signed in</span>
                                </label>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                                <div class="pass">
                                    <a href="{{ route('password.request') }}">Forgot your password ?</a>
                                </div>
                            </div>
                            <div class="btn-wrap">
                                <div class="col-xl-12">
                                    <div class="form-group mt-2 mb-2">
                                        <button type="submit" class="btn custom-btn common-transition">Log In</button>
                                        <h5>Does not have an account? <a href="{{ route('register') }}">Sign Up</a> </h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                </form>
            </div>
        </div>
    </div>
</div>-->

@endsection
