@if($broadcast->is_send == 0)
	@can('edit-broadcast')
	<a href="{{ route('broadcast.edit', $broadcast->id)}}" title="Edit" class="btn btn-sm opcm-edit">
	<i class="fas fa-pen text-warning"></i>
	</a>
	@endcan

	@can('send-broadcast')
	<a href="{{ route('broadcast.send', $broadcast->id)}}" title="Send Broadcast" class="btn btn-sm opcm-edit">
	<i class="fas fa-envelope" style="color:#ef479d;"></i>
	</a>
	@endcan
@else
	<i class="fa fa-paper-plane" style="color:#ef479d;margin-right:10px;" title="Mail Already Sent" aria-hidden="true"></i>
@endif
@if($broadcast->is_whatsapp_send == 0)
    <a href="{{ route('broadcast.send', $broadcast->id).'?type=whatsapp'}}" title="Whatsapp" class="btn btn-sm opcm-edit" id="send_wp">
    <i class="fab fa-whatsapp"></i>
    </a>
@else
    {{-- <a title="WhatsApp Message Already Sent" class="btn btn-sm opcm-edit" style="cursor: default;">
    <i class="fab fa-whatsapp"></i>
    <span class="badge badge-light" style="color:#F64E60;position: relative;top: -7px;left: -18px;border-radius: 50%;"><i class="fas fa-check" style="color: blue;" title="WhatsApp Message Already Sent" aria-hidden="true"></i></span>
    </a> --}}
    <i class="fa fa-paper-plane"  title="WhatsApp Message Already Sent" aria-hidden="true" style="color:#25d366;margin-right:10px;margin-left:10px;"></i>
@endif
@can('delete-broadcast')
	<form action="{{route('broadcast.destroy', $broadcast->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
		{{ csrf_field()}}
		<input type="hidden" name="_method" value="delete">
		<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
	</form>
@endcan

