
@foreach($parents as $parent)
@php
    $enquired_students = App\Models\Account::where('parent_id',$parent->id)->get()->count();
    $enquired_ids = App\Models\Account::where('parent_id',$parent->id)->pluck('id')->toArray();
    $student_id = App\Models\StudentClass::whereIn('student_id',$enquired_ids)->where('student_status','1')->pluck('student_id')->toArray();
    $enrolled_students = App\Models\Account::whereIn('id',$student_id)->get()->count();
    $students = App\Models\Account::whereIn('id',$student_id)->get();
    $string = $parent->email;
    $explode = explode("@",$string);
    array_pop($explode);
    $words = join('@', $explode);
    $newstring = preg_replace('/[0-9]+/', '', $words)
@endphp
<hr>
<table class="table table-bordered">
    <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td>Parent Name</td>
        <td>
            @if($parent->first_name != ' ' || $parent->last_name != '')
            {{ $parent->first_name.' '.$parent->last_name }}
            @else
            {{ $newstring }}
            @endif
        </td>
    </tr>
    <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td><b>Enquiry </b></td>
        <td> {{ $enquired_students}} </td>
    </tr>
    <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td><b>Kids Enrolled </b></td>
        <td> {{ $enrolled_students}} </td>
    </tr>
    <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <th class="centering ">No.</th>
        <th class="centering">Child Name</th>
        <th class="centering">Attendance(Avg)</th>
        <th class="centering">Result(Avg)</th>
    </tr>
    <tbody>
        <!-- --------------------MAX SIZE -------------------------->
        @foreach ($students as $key => $student)
        @php
        $classes =  App\Models\StudentClass::where('student_id',$student->id)->pluck('class_id')->toArray();
        $per = 0;
        $result_per = 0;
        foreach ($classes as $key1 => $value) {
            $attendance =  App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$value)->where('attendance','p')->get()->count();
            $divide_by =  App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$value)->whereNotNull('result')->get()->count();
            $sum =  App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$value)->whereNotNull('result')->sum('result');
            $div = $divide_by * 100;
            $result = $divide_by != 0 ? ($sum / $div) * 100 : 0;
            $class =  App\Models\ScheduleClass::find($value);
            $cal = $class->no_lesson != 0 ? $attendance / $class->no_lesson * 100 : 0;
            $per += $cal;
            $result_per += $result;
       }
       $total_att = count($classes) != 0 ? $per/count($classes) : 0;
       $total_att_res = count($classes) != 0 ? $result_per/count($classes) : 0;
       @endphp
       <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
           <td class="centering"  style="vertical-align:middle">{{$key + 1}}</td>
           <td class="centering">{{ $student->first_name.' '.$student->last_name }}</td>
           <td class="centering">{{ number_format($total_att, 2, ".", ""); }}%</td>
           <td class="centering">{{ number_format($total_att_res, 2, ".", ""); }}%</td>
       </tr>
       @endforeach
    </tbody>
</table>
@endforeach


