@if($parent_contact->is_send == 0 && $parent_contact->is_whatsapp_send == 0)
@can('edit-parent-contact')
<a href="{{ route('parent-contact.edit', $parent_contact->id)}}" title="Edit" class="btn btn-sm opcm-edit">
    <i class="fas fa-pen text-success"></i>
</a>
@endcan
@endif
@if($parent_contact->is_send == 0)
@can('send-mail-parent-contact')
	<a href="{{ route('parent-contact.send', $parent_contact->id)}}" title="Send Mail" class="btn btn-sm opcm-edit">
	<i class="fas fa-envelope" style="color:#ef479d;"></i>
	</a>
@endcan
@else
	<i class="fa fa-paper-plane" style="color:#ef479d;margin-right:10px;" title="Mail Already Sent" aria-hidden="true"></i>
@endif
@if($parent_contact->is_whatsapp_send == 0)
@can('send-whatsapp-parent-contact')
    <a href="{{ route('parent-contact.send', $parent_contact->id).'?type=whatsapp'}}" title="Whatsapp" class="btn btn-sm opcm-edit" id="send_wp">
    <i class="fab fa-whatsapp"></i>
    </a>
    @endcan
@else
    <i class="fa fa-paper-plane"  title="WhatsApp Message Already Sent" aria-hidden="true" style="color:#25d366;margin-right:10px;margin-left:10px;"></i>
@endif
@can('delete-parent-contact')
<form action="{{route('parent-contact.destroy', $parent_contact->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	{{ csrf_field()}}
	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form>
@endcan
