@role('parent')
@can('show-details-enroll-classes')
<a href="{{ route('student_class.show', $class->id).'?show=1'}}" title="View Details" class="btn btn-sm opcm-edit">
    <i class="fas fa-eye text-secondary"></i>
</a>
@endcan
@can('edit-enroll-classes')
<a href="{{ route('student_class.edit', $class->id)}}" title="Edit" class="btn btn-sm opcm-edit">
<i class="fas fa-pen text-success"></i>
</a>
@endcan
@can('delete-enroll-classes')
<form action="{{route('student_class.destroy', $class->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	{{ csrf_field()}}
	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form>
@endcan
@endrole
<a href="{{ route('rating.index',['class_id' => $class->class_id])}}" title="Rating" class="btn btn-sm opcm-edit">
    <i class="fas fa-star text-warning"></i>
</a>
