@role('tutor|center_manager')
@can('show-details-student')
<center><a href="{{ route('student.show', $student->id).'?show=1'}}" title="View Details" class="btn btn-sm opcm-edit">
    <i class="fas fa-eye text-secondary"></i>
</a></center>
@endcan
{{-- <a href="{{ route('student.edit', $student->id)}}" title="Edit" class="btn btn-sm opcm-edit">
<i class="fas fa-pen text-success"></i>
</a>
<form action="{{route('student.destroy', $student->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	{{ csrf_field()}}
	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form> --}}
@else
@can('show-details-student')
<a href="{{ route('student.show', $student->id).'?show=1'}}" title="View Details" class="btn btn-sm opcm-edit">
    <i class="fas fa-eye text-secondary"></i>
</a>
@endcan
@can('edit-student')
@role('parent')
<a id="btn" onclick="modal_open(this)" title="Edit" class="btn btn-sm opcm-edit" data-id="{{ $student->id }}">
    <i class="fas fa-pen text-success"></i>
    </a>
@else
<a href="{{ route('student.edit', $student->id)}}" title="Edit" class="btn btn-sm opcm-edit">
    <i class="fas fa-pen text-success"></i>
    </a>
@endrole
@endcan
@can('delete-student')
<form action="{{route('student.destroy', $student->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	{{ csrf_field()}}
	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form>
@endcan
{{-- @if(auth()->user()->roles->first()->name == 'parent')
@if($class > 0)
@can('create-enroll-classes')
<a href="{{ route('student_class.create').'?stud_id='.$student->id }}" title="Enroll Class" id="enrol" class="btn btn-sm opcm-edit">
    <i class="fas fa-user-plus text-primary"></i>
</a>
@endcan
@else
@can('create-enroll-classes')
<a  title="Already Enrolled" class="btn btn-sm opcm-edit" onclick="alert('No Lesson Remain For This Child');">
    <i class="fas fa-user-check text-secondary"></i>
</a>
@endcan
@endif
@else

@endif--}}
@endrole
@php
    $user = App\Models\Account::where('user_id',$student->id)->first();
@endphp
<input type="hidden" id="acc_id" value="{{ $student->id }}">
<script>
    function modal_open(row){
        var id = $(row).data('id');
        $.ajax({
                url: '{{ url("edit-child-account") }}',
                data:{
                 'id' : id,
                },
                success: function(response) {
                    if(response.account != ''){
                        $('#exampleModaledit').modal('show');
                        if(response.account['first_name'] == null){
                            var First = ' ';
                        }else{
                            var First = response.account['first_name'] ;
                        }
                        if(response.account['last_name'] == null){
                           var Last = ' ';
                        }else{
                            var Last = response.account['last_name'] ;
                        }
                        $('#first_name_child_edit').val(First);
                        $('#last_name_child_edit').val(Last);
                        $('#user_id').val(response.account['id']);
                        $('#email_edit').val(response.account['email']);

                        $('#street_edit').val(response.account['street_name']);
                        $('#state_edit').val(response.account['state']);
                        $('#city_edit').val(response.account['city']);
                        $('#gender_edit').val(response.account['gender']);
                        $('#contact_edit').val(response.account['contact_number']);
                    }
                }
            });
    }

</script>
