
    <div class="row">
        <input type="hidden" value="{{ $contact_number }}" id="code">
        <input id="logo_url" type="hidden" name="profile_picture_url"/>
        <input id="logo_name" type="hidden" name="profile_picture"/>
        <div class="col-xl-12">
            <div class="adm-cen-head">
                <h4>Profile Information</h4>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>First Name  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="first_name" value="{{ old('first_name') }}" type="text" class="input__textbox" placeholder="Enter the first name">
                @else
                <input name="first_name" value="{{ $admin_details->first_name }}" type="text" class="input__textbox" placeholder="Enter the first name">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Last Name  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="last_name" value="{{ old('last_name') }}" type="text" class="input__textbox" placeholder="Enter the last name">
                @else
                <input name="last_name" value="{{ $admin_details->last_name }}" type="text" class="input__textbox" placeholder="Enter the last name">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Gender  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <select class="disselect-2" name="gender" value="{{ old('gender') }}">
                    <option value="" selected disabled>Select the gender</option>
                    <option value="m" class="abc" {{ old('gender') == 'm' ? 'selected' : ''}}>Male</option>
                    <option value="f" class="abc" {{ old('gender') == 'f' ? 'selected' : ''}}>Female</option>
                    <option value="o" class="abc" {{ old('gender') == 'o' ? 'selected' : ''}}>Others</option>
                </select>
                @else
                <select class="disselect-2" name="gender" value="{{ old('gender') }}">
                    <option value="" selected disabled>Select the gender</option>
                    <option value="m" class="abc" {{ $admin_details->gender == 'm' ? 'selected' : ''}}>Male</option>
                    <option value="f" class="abc" {{ $admin_details->gender == 'f' ? 'selected' : ''}}>Female</option>
                    <option value="o" class="abc" {{ $admin_details->gender == 'o' ? 'selected' : ''}}>Others</option>
                </select>
                @endif
            </div>
        </div>
        @role('parent')
        <input name="parent" type="hidden" value="{{ $logged_parent_id ? $logged_parent_id : '' }}"/>
        @else
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Select Parent  <span class="text-danger">*</span></h5>
                <select class="disselect-2" name="parent" value="{{ old('parent') }}">
                    <option value="" selected disabled>Select the Parent</option>
                    @foreach ($parents as $parent)
                    <option value="{{ $parent->id }}" class="abc" {{ old('parent') ==  $parent->id  ? 'selected' : ''}} @if(!empty($admin_details)) {{ $admin_details->parent_id == $parent->id ? 'selected' : '' }} @elseif($logged_parent_id != '') {{ $logged_parent_id == $parent->id ? 'selected' : '' }} @endif>{{ $parent->first_name }} {{ $parent->last_name }}</option>
                    @endforeach
                </select>
            </div>
        </div>
        @endrole
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Street Name  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="street_name" value="{{ old('street_name') }}" type="text" class="input__textbox" placeholder="Enter the street name">
                @else
                <input name="street_name" value="{{ $admin_details->street_name }}" type="text" class="input__textbox" placeholder="Enter the street name">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>State  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="state" value="{{ old('state') }}" type="text" class="input__textbox" placeholder="Enter the state">
                @else
                <input name="state" value="{{ $admin_details->state }}" type="text" class="input__textbox" placeholder="Enter the state">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>City  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="city" value="{{ old('city') }}" type="text" class="input__textbox" placeholder="Enter the city">
                @else
                <input name="city" value="{{ $admin_details->city }}" type="text" class="input__textbox" placeholder="Enter the city">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Zip Code  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="zip_code" value="{{ old('zip_code') }}" type="number" class="input__textbox" placeholder="Enter the zip code">
                @else
                <input name="zip_code" value="{{ $admin_details->zip_code }}" type="number" class="input__textbox" placeholder="Enter the zip code">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Email Id  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="email" value="{{ old('email') }}" type="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" class="input__textbox" placeholder="Enter the email id">
                @else
                <input name="email" value="{{ $admin_details->email }}" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" type="email" class="input__textbox" placeholder="Enter the email id">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12" id="code_div">
            <div class="cen-info">
                <h5>Country Code <span class="text-danger">*</span></h5>
                <select class="disselect-2 js-example-basic-single" name="countryCode" id="countryCode">
                    @include('include.contry_code')
                </select>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Number  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <input name="contact_number" value="{{ old('contact_number') }}" type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" class="input__textbox" placeholder="Enter the number">
                @else
                <input name="contact_number" value="{{ str_replace($contact_number, '', $admin_details->contact_number); }}" type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" class="input__textbox" placeholder="Enter the number">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Password @if($edit == 0)<span class="text-danger">*</span>@endif</h5>
                <input name="password" type="password" id="password" autocomplete="new-password" class="input__textbox" placeholder="Enter the password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Confirm Password @if($edit == 0)<span class="text-danger">*</span>@endif</h5>
                <input name="password_confirmation" type="password" class="input__textbox" placeholder="Re enter password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Remarks</h5>
                @if(empty($admin_details))
                <input name="remarks" value="{{ old('remarks') }}" type="text" class="input__textbox" placeholder="Enter the remarks">
                @else
                <input name="remarks" value="{{ $admin_details->remarks }}" type="text" class="input__textbox" placeholder="Enter the remarks">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Status  <span class="text-danger">*</span></h5>
                @if(empty($admin_details))
                <select class="disselect-2" name="status" value="{{ old('status') }}">
                    <option value="active" class="active" {{ old('status') == 'active' ? 'selected' : ''}}>Active</option>
                    <option value="inactive" class="inactive" {{ old('status') == 'inactive' ? 'selected' : ''}}>Inactive</option>
                </select>
                @else
                <select class="disselect-2" name="status" value="{{ old('status') }}">
                    <option value="active" class="active" {{ $admin_details->status == 'active' ? 'selected' : ''}}>Active</option>
                    <option value="inactive" class="inactive" {{ $admin_details->status == 'inactive' ? 'selected' : ''}}>Inactive</option>
                </select>
                @endif
            </div>
        </div>
    </div>
</div>
@push('scripts')
<script>
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
</script>
@endpush
