@extends(
    (auth()->user()->roles->first()->name == 'parent' || auth()->user()->roles->first()->name == 'student') ? 'layouts.nav' : 'layouts.sidebar'
)

@section('content')
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        @if ($show == '')
                            <h5>Profile Details</h5>
                        @else
                            @role('parent')
                                <h5>Child Details</h5>
                            @else
                                <h5>Student Details</h5>
                            @endrole
                        @endif
                    </div>
                </div>
                @if ($show != '')
                    <div class="col-xl-6 d-flex justify-content-end">
                        <div class="back-btn-wrap">
                            @role('parent')
                                <a href="{{ route('parent.student_dashboard') }}" class="back-btn">Back</a>
                            @else
                                <a href="{{ $previous }}" class="back-btn">Back</a>
                            @endrole
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </section>
    @include('include.profile')
@if(auth()->user()->roles->first()->name == 'parent' || auth()->user()->roles->first()->name == 'student')
    @include('layouts.footer')
@endif
@endsection
