
    <div class="row">
        <div class="col-xl-12">
            <div class="adm-cen-head">
                <h4>Basic Information</h4>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Centre Name <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="text" name="name" value="{{ old('name') }}" class="input__textbox" placeholder="Enter the name">
                @else
                <input type="text" name="name" value="{{ $tuitionCentre->name }}" class="input__textbox" placeholder="Enter the name">
                @endif
                </label>
            </div>
        </div>
        <input type="hidden" value="{{ $contact_number }}" id="code">
        <input type="hidden" value="{{ $cp_contact_number }}" id="code1">
        <input id="logo_url" type="hidden" name="logo_image_url"/>
        <input id="logo_name" type="hidden" name="logo_image"/>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>UEN <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="text" name="uen" value="{{ old('uen') }}" class="input__textbox" placeholder="Enter the UEN">
                @else
                <input type="text" name="uen" value="{{ $tuitionCentre->uen }}" class="input__textbox" placeholder="Enter the UEN">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Street Name <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="text" name="street_name" value="{{ old('street_name') }}" class="input__textbox" placeholder="Enter the street name">
                @else
                <input type="text" name="street_name" value="{{ $tuitionCentre->street_name }}" class="input__textbox" placeholder="Enter the street name">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>State <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="text" name="state" value="{{ old('state') }}" class="input__textbox" placeholder="Enter the state">
                @else
                <input type="text" name="state" value="{{ $tuitionCentre->state }}" class="input__textbox" placeholder="Enter the state">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>City <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="text" name="city" value="{{ old('city') }}" class="input__textbox" placeholder="Enter the city">
                @else
                <input type="text" name="city" value="{{ $tuitionCentre->city }}" class="input__textbox" placeholder="Enter the city">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Zip Code <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="number" name="zip_code" value="{{ old('zip_code') }}" class="input__textbox" placeholder="Enter the zip code">
                @else
                <input type="number" name="zip_code" value="{{ $tuitionCentre->zip_code }}" class="input__textbox" placeholder="Enter the zip code">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Email Id <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="email" name="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="{{ old('email') }}" class="input__textbox" placeholder="Enter the email id">
                @else
                <input type="email" name="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="{{ $tuitionCentre->email }}" class="input__textbox" placeholder="Enter the email id">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Website(if any)</h5>
                @if(empty($tuitionCentre))
                <input type="url" name="website" value="{{ old('website') }}" class="input__textbox" placeholder="Type the url">
                @else
                <input type="url" name="website" value="{{ $tuitionCentre->website }}" class="input__textbox" placeholder="Type the url">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12" id="code_div">
            <div class="cen-info">
                <h5>Country Code <span class="text-danger">*</span></h5>
                <select class="disselect-2 js-example-basic-single" name="countryCode" id="countryCode">
                    @include('include.contry_code')
                </select>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Number <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="{{ old('contact_number') }}" class="input__textbox" placeholder="Enter the number">
                @else
                <input type="number"  minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="{{ str_replace($contact_number, '', $tuitionCentre->contact_number); }}" class="input__textbox" placeholder="Enter the number">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Person Name <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="text" name="contact_person_name" value="{{ old('contact_person_name') }}" class="input__textbox" placeholder="Enter the name">
                @else
                <input type="text" name="contact_person_name" value="{{ $tuitionCentre->contact_person_name }}" class="input__textbox" placeholder="Enter the name">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Person Email <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="email" name="contact_person_email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="{{ old('contact_person_email') }}" class="input__textbox" placeholder="Enter the email">
                @else
                <input type="email" name="contact_person_email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="{{ $tuitionCentre->contact_person_email }}" class="input__textbox" placeholder="Enter the email">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12 code_div" id="code1_div">
            <div class="cen-info">
                <h5>Contact Person Country Code <span class="text-danger">*</span></h5>
                <select class="disselect-2 js-example-basic-single" name="countryCode1" id="countryCode1">
                    @include('include.contry_code')
                </select>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Person Number <span class="text-danger">*</span></h5>
                @if(empty($tuitionCentre))
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_person_number" value="{{ old('contact_person_number') }}" class="input__textbox" placeholder="Enter the number">
                @else
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_person_number" value="{{ str_replace($cp_contact_number, '', $tuitionCentre->contact_person_number); }}" class="input__textbox" placeholder="Enter the number">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Password @if($edit == 0)<span class="text-danger">*</span>@endif</h5>
                <input type="password" name="password" id="password" autocomplete="new-password" class="input__textbox" placeholder="Enter the password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Confirm Password @if($edit == 0)<span class="text-danger">*</span>@endif</h5>
                <input type="password" name="password_confirmation" class="input__textbox" placeholder="Re enter password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Remarks</h5>
                @if(empty($tuitionCentre))
                <input type="text" class="input__textbox" name="remarks" value="{{ old('remarks') }}" placeholder="Enter the remarks">
                @else
                <input type="text" class="input__textbox" name="remarks" value="{{ $tuitionCentre->remarks }}" placeholder="Enter the remarks">
                @endif
            </div>
        </div>
        <div class="col-xl-12">
            <div class="cen-info">
                <h5>Add a short description about the tuition centre</h5>
                @if(empty($tuitionCentre))
                <textarea class="class-des" rows="6" cols="20" placeholder="Type here...." name="description">{{ old('description') }}</textarea>
                @else
                <textarea class="class-des" rows="6" cols="20" placeholder="Type here...." name="description">{{ $tuitionCentre->description }}</textarea>
                @endif
            </div>
        </div>
    </div>
@push('scripts')
<script>
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
</script>
@endpush
