<div class="adm-cen-wrap-5">
    <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-6">
            <div class="cen-logo">
                @if(!empty($tutor) && file_exists('profile_pictures/'.$tutor->profile_picture) == 'true' && $tutor->profile_picture != null)
                    <img id="preview_img" src="{{ asset('profile_pictures/'.$tutor->profile_picture) }}" width="170" height="120">
                @else
                <img id="preview_img" src="" width="170" height="120" style="display: none;"/>
                @endif
                <h3>Drag and drop files you want to upload</h3>
                <h5>(file format supported: jpeg, png)</h5>
                <h6>max file size : 2mb</h6>
                <label for="logo" class="btn-cen-logo">Upload profile picture</label>
                <input id="logo" style="visibility:hidden;" type="file" name="profile_picture" class="form-control" onchange="loadFile(event)"/>
            </div>
        </div>
        <div class="col-xl-6 col-lg-6 col-md-6">
            <div class="cen-logo">
                @if(!empty($tutor) && file_exists('upload_documents/'.$tutor->upload_document) == 'true' && $tutor->upload_document != null)
                    <iframe id="preview_img_2" src="{{ asset('upload_documents/'.$tutor->upload_document) }}" width="300" height="200"></iframe>
                @else
                <iframe id="preview_img_2" src="" width="300" height="200" style="display: none;"></iframe>
                @endif
                <h3>Attach the documents for tutor</h3>
                <h5>(file format supported: pdf)</h5>
                <h6>max file size : 2mb</h6>
                <!-- <a href="#" class="btn-cen-logo"></a> -->
                <label for="upload_document" class="btn-cen-logo">Upload documents</label>
                <input id="upload_document" accept="application/pdf" style="visibility:hidden;" type="file" name="upload_document" class="form-control" onchange="loadFile2(event)"/>
            </div>
        </div>
        <div class="col-xl-12">
            <div class="adm-cen-head">
                <h4>Profile Information</h4>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>First Name<span class="text-danger">*</span></h5>
                @if(empty($tutor))
                <input type="text" name="first_name" value="{{ old('first_name') }}" class="input__textbox" placeholder="Enter the first name">
                @else
                <input type="text" name="first_name" value="{{ $tutor->first_name }}" class="input__textbox" placeholder="Enter the first name">
                @endif
                </label>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Last Name<span class="text-danger">*</span></h5>
                @if(empty($tutor))
                <input type="text" name="last_name" value="{{ old('last_name') }}" class="input__textbox" placeholder="Enter the last name">
                @else
                <input type="text" name="last_name" value="{{ $tutor->last_name }}" class="input__textbox" placeholder="Enter the last name">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Email Id<span class="text-danger">*</span></h5>
                @if(empty($tutor))
                <input type="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" name="email" value="{{ old('email') }}" class="input__textbox" placeholder="Enter the email id">
                @else
                <input type="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" name="email" value="{{ $tutor->email }}" class="input__textbox" placeholder="Enter the email id">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Number<span class="text-danger">*</span></h5>
                @if(empty($tutor))
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="{{ old('contact_number') }}" class="input__textbox" placeholder="Enter the number">
                @else
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="{{ $tutor->contact_number }}" class="input__textbox" placeholder="Enter the number">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Password @if($edit == 0)<span class="text-danger">*</span> @endif</h5>
                @if(empty($tutor))
                <input type="password" name="password" id="password"  autocomplete="new-password" class="input__textbox" placeholder="Enter the password">
                @else
                <input type="password" name="password" id="password"  autocomplete="new-password" class="input__textbox" placeholder="Enter the password">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Confirm Password @if($edit == 0)<span class="text-danger">*</span>@endif</h5>
                @if(empty($tutor))
                <input type="password" name="password_confirmation" class="input__textbox" placeholder="Re enter password">
                @else
                <input type="password" name="password_confirmation" class="input__textbox" placeholder="Re enter password">
                @endif
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Remarks</h5>
                @if(empty($tutor))
                <input type="text" name="remarks" value="{{ old('remarks') }}" class="input__textbox" placeholder="Enter the remarks">
                @else
                <input type="text" name="remarks" value="{{ $tutor->remarks }}" class="input__textbox" placeholder="Enter the remarks">
                @endif
            </div>
        </div>
    </div>
</div>
@push('scripts')
<script>
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
var loadFile2 = function(event) {
	var image = document.getElementById('preview_img_2');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
</script>
@endpush
