<?php $__env->startSection('content'); ?>
    <section class="parent-sign-up-form">
        <div class="container">
            <div class="sign-up-form-wrapper">
                <div class="form-head">
                    <h3>Welcome,</h3>
                    <h4>Enter your details below to sign in</h4>
                </div>
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="sign-up-wrap">
                    <div class="sign-up-form">
                        <form method="POST" action="<?php echo e(route('login')); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-xl-12">
                                    <div class="form-group mt-2 mb-2">
                                        <label>Email Id</label>
                                        <input type="email" name="login" id="login" value="<?php echo e(old('email')); ?>" class="form-control" placeholder="Enter your Email" required>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <div class="form-group mt-2 mb-2">
                                        <label>Password</label>
                                        <input type="password" name="password" id="pwd"  class="form-control" placeholder="Enter your password" required>
                                    </div>
                                </div>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                                    <label class="checkbox5" for="myCheckboxId50">
                                        <input class="checkbox__input5" type="checkbox" <?php echo e(old('remember') ? 'checked' : ''); ?>

                                         name="myCheckboxName" id="myCheckboxId50">
                                        <div class="checkbox__box5"></div>

                                        <span>Remember Me</span>
                                    </label>
                                </div>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                                    <div class="pass">
                                    <a href="<?php echo e(route('password.request')); ?>">Forgot your password ?</a>
                                    </div>
                                </div>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <button type="submit" class="btn custom-btn common-transition">Sign
                                                In</button>
                                            <?php if($user == 'parent'): ?>
                                            <h5 class="sign-up-title">Doesn't have an account? <a href="<?php echo e(route('create-parent-account')); ?>">Sign Up</a> </h5>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <?php if($user == 'parent'): ?>
                                <br><h6 style="text-align: center;">OR</h6>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <a href="<?php echo e(route('auth.google')); ?>" class="btn btn-danger" style="width: 100%; color: white;">Continue With Google</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <a href="<?php echo e(route('auth.facebook')); ?>" class="btn btn-primary" style="width: 100%; color: white;">Continue With Facebook</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <a href="<?php echo e(route('auth.graph')); ?>" class="btn btn-warning" style="width: 100%; color: white;">Continue With Microsoft</a>
                                        </div>
                                    </div>
                                </div>
                                <?php endif; ?>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->

    </section>
    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<style type="text/css">
    #email-error {
        color: red;
    }

    #email_child-error {
        color: red;
    }
</style>

<?php echo $__env->make('layouts.guest', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/parents/sign_in.blade.php ENDPATH**/ ?>