<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script> -->
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="/assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="/assets/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <link href='/assets/css/main.css' rel='stylesheet' />
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <!-- <link href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" /> -->
    <?php echo $__env->yieldPushContent('styles'); ?>
    <title>Tuition King</title>
</head>

<body>
    <section class="adm-head">
        <div class="container">
            <nav class="nav-bar2">
                <div class="nav-links" id="navLinks">
                    <div class="close">
                        <i class="fas fa-times" onclick="hidemenu()"></i>
                    </div>
                    <div class="menu">
                        <?php if(auth()->check() && auth()->user()->hasRole('tuition center')): ?>
                        <div class="item"><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('centre-manager*') || request()->is('home') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-student')): ?>
                        <div class="item"><a href="<?php echo e(route('tutor.student_dashboard')); ?>" class="sub-item <?php echo e(request()->is('tutor*') ? 'active' : ''); ?>" style="margin-left: 0.28rem"><i class="fas fa-user-graduate"></i> Students</a></div>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-multiplecentre')): ?>
                        <div class="item"><a href="<?php echo e(route('multiplecentre.index')); ?>" class="<?php echo e(request()->is('multiplecentre*')); ?>"><i class="fas fa-code-branch"></i>Centres</a></div>
                        <?php endif; ?>
                        
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('tutor')): ?>
                        <div class="item"><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-student')): ?>
                        <div class="item"><a href="<?php echo e(route('tutor.student_dashboard')); ?>" class="sub-item <?php echo e(request()->is('tutor*') ? 'active' : ''); ?>" style="margin-left: 0.28rem"><i class="fas fa-user-graduate"></i> Students</a></div>
                        <?php endif; ?>
                        
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('parent')): ?>
                        <div class="item"><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-student')): ?>
                        <div class="item"><a href="<?php echo e(route('parent.student_dashboard')); ?>" class="<?php echo e(request()->is('parent*') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Children</a></div>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-enroll-classes')): ?>
                        <div class="item"><a href="<?php echo e(route('student_class.index')); ?>" class="<?php echo e(request()->is('student_class*') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Enroll Classes</a></div>
                        <?php endif; ?>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('student')): ?>
                        <div class="item"><a href="<?php echo e(route('student.student_index')); ?>" class="<?php echo e(request()->is('home*') || request()->is('student*') && !request()->is('student/enrollclass')? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-enroll-classes')): ?>
                        <div class="item"><a href="<?php echo e(route('student.enrollclass')); ?>" class="<?php echo e(request()->is('student/enrollclass') ? 'active' : ''); ?>"><i class="fas fa-user"></i>Enrolled Class</a></div>
                        <?php endif; ?>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
                        <div class="item"><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin|tuition center|tutor|parent|student')): ?>
                        <?php else: ?>
                        <div class="item"><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('tuition center|tutor|parent|student')): ?>
                        <?php else: ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['view-tuition-centre', 'view-tutor', 'view-student', 'view-user','view-parent'])): ?>
                        <div class="item">
                          <a class="sub-btn <?php echo e(request()->is('tuition-centre*') || request()->is('tutor*') || request()->is('parent*') || request()->is('student*') || request()->is('users*') ? 'active' : ''); ?>"><i class="fas fa-table"></i>Users<i class="fas fa-angle-right dropdown"></i></a>
                          <div class="sub-menu">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-tuition-centre')): ?>
                            <a href="<?php echo e(route('tuition-centre.index')); ?>" class="sub-item <?php echo e(request()->is('tuition-centre*') ? 'active' : ''); ?>"><i class="fas fa-school"></i> Tuition Centres</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-tutor')): ?>
                            <a href="<?php echo e(route('tutor.index')); ?>" class="sub-item <?php echo e(request()->is('tutor*') ? 'active' : ''); ?>"><i class="fas fa-chalkboard-teacher"></i> Tutors</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-parent')): ?>
                            <a href="<?php echo e(route('parent.index')); ?>" class="sub-item <?php echo e(request()->is('parent*') ? 'active' : ''); ?>"><i class="fas fa-users"></i> Parents</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-student')): ?>
                            <a href="<?php echo e(route('student.index')); ?>" class="sub-item <?php echo e(request()->is('student*') ? 'active' : ''); ?>" style="margin-left: 0.28rem"><i class="fas fa-user-graduate"></i> Students</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-user')): ?>
                            <a href="<?php echo e(route('users.index')); ?>" class="sub-item <?php echo e(request()->is('users*') ? 'active' : ''); ?>"><i class="fas fa-user-cog"></i> Users</a>
                            <?php endif; ?>
                        </div>
                        </div>
                        <?php endif; ?>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('super_admin')): ?>
                        <div class="item"><a href="<?php echo e(route('role.index')); ?>" class="<?php echo e(request()->is('role*') ? 'active' : ''); ?>"><i class="fas fa-desktop"></i>Roles & Permissions</a></div>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['view-level', 'view-subject', 'view-topic', 'view-lesson', 'view-class','view-address'])): ?>
                        <div class="item">
                          <a class="sub-btn <?php echo e(request()->is('subject*') || request()->is('lesson*') || request()->is('class*')|| request()->is('topic*') || request()->is('level*') ? 'active' : ''); ?>"><i class="fas fa-table"></i>Lesson Management<i class="fas fa-angle-right dropdown"></i></a>
                          <div class="sub-menu">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-level')): ?>
                                <a href="<?php echo e(route('level.index')); ?>" class="sub-item <?php echo e(request()->is('level*') ? 'active' : ''); ?>"><i class="fas fa-tasks"></i> Levels</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-subject')): ?>
                            <a href="<?php echo e(route('subject.index')); ?>" class="sub-item <?php echo e(request()->is('subject*') ? 'active' : ''); ?>"><i class="fas fa-chalkboard-teacher"></i> Subjects</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-topic')): ?>
                            <a href="<?php echo e(route('topic.index')); ?>" class="sub-item <?php echo e(request()->is('topic*') ? 'active' : ''); ?>"><i class="fas fa-chalkboard-teacher"></i> Topics</a>
                            <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('parent|student')): ?>
                            <?php else: ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-lesson')): ?>
                            <a href="<?php echo e(route('lesson.index')); ?>" class="sub-item <?php echo e(request()->is('lesson*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i> Lessons</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-address')): ?>
                                <a href="<?php echo e(route('address.index')); ?>" class="sub-item <?php echo e(request()->is('address*') ? 'active' : ''); ?>"><i class="fas fa-tasks"></i>Addresses</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-class')): ?>
                            <a href="<?php echo e(route('class.index')); ?>" class="sub-item <?php echo e(request()->is('class*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i> Classes</a>
                            <?php endif; ?>
                            <?php endif; ?>
                          </div>
                        </div>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('parent|student')): ?>
                        <?php else: ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-banner')): ?>
                        <div class="item"><a href="<?php echo e(route('banner.index')); ?>" class="<?php echo e(request()->is('banner*') ? 'active' : ''); ?>"><i class="fas fa-audio-description"></i>ADS Banner</a></div>
                        <?php endif; ?>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-broadcast')): ?>
                            <div class="item"><a href="<?php echo e(route('broadcast.index')); ?>" class="<?php echo e(request()->is('broadcast*') ? 'active' : ''); ?>"><i class="fas fa-podcast"></i>Broadcast</a></div>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-support')): ?>
                            <div class="item"><a href="<?php echo e(route('contactus.index')); ?>" class="<?php echo e(request()->is('contactus*') ? 'active' : ''); ?>"><i class="fas fa-phone-alt"></i>Support</a></div>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-contactus')): ?>
                            <div class="item"><a href="<?php echo e(route('frontcontactus.index')); ?>" class="<?php echo e(request()->is('frontcontactus*') ? 'active' : ''); ?>"><i class="fas fa-phone-alt"></i>Contact Us</a></div>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('tuition center|tutor|parent|student')): ?>
                        <?php else: ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['view-parent-report', 'view-centre-report', 'view-tutor-report', 'view-summary-report', 'view-banner-report'])): ?>
                        <div class="item">
                            <a class="sub-btn <?php echo e(request()->is('parent-report*') || request()->is('centre-report*') || request()->is('tutor-report*') || request()->is('summary-report*') || request()->is('banner-report*') ? 'active' : ''); ?>"><i class="fas fa-table"></i>Reports<i class="fas fa-angle-right dropdown"></i></a>
                            <div class="sub-menu">
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-parent-report')): ?>
                                <a href="<?php echo e(route('parent-report.index')); ?>" class="sub-item <?php echo e(request()->is('parent-report*') ? 'active' : ''); ?>"><i class="fas fa-dot-circle"></i>Parent Report</a>
                                <?php endif; ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-centre-report')): ?>
                                <a href="<?php echo e(route('centre-report.index')); ?>" class="sub-item <?php echo e(request()->is('centre-report*') ? 'active' : ''); ?>"><i class="fas fa-dot-circle"></i> Centre Report</a>
                                <?php endif; ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-tutor-report')): ?>
                                <a href="<?php echo e(route('tutor-report.index')); ?>" class="sub-item <?php echo e(request()->is('tutor-report*') ? 'active' : ''); ?>"><i class="fas fa-dot-circle"></i> Tutor Report</a>
                                <?php endif; ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-summary-report')): ?>
                                <a href="<?php echo e(route('summary-report.index')); ?>" class="sub-item <?php echo e(request()->is('summary-report*') ? 'active' : ''); ?>"><i class="fas fa-dot-circle"></i> Summary Report</a>
                                <?php endif; ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-banner-report')): ?>
                                <a href="<?php echo e(route('banner-report.index')); ?>" class="sub-item <?php echo e(request()->is('banner-report*') ? 'active' : ''); ?>"><i class="fas fa-dot-circle"></i>ADS Statistic Report</a>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php endif; ?>
                        
                    </div>
                </div>
                <div class="bar">
                    <i class="fas fa-bars" onclick="showmenu()"></i>
                    <span class="logo-wraap">
                        <?php
                        $user = Auth::user();
                        ?>
                        <?php if($user == ''): ?>
                        <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                        <?php else: ?>
                          <?php if($user->roles->first()->name != 'student' && $user->roles->first()->name != 'parent'): ?>
                          <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                          <?php else: ?>
                          <a href="https://tuitionking.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                          <?php endif; ?>
                        <?php endif; ?>
                    </span>
                </div>

            <?php if(Auth::user()): ?>
                <div class="user">
                    <a href="#" class="user-icon"><i class="fas fa-user-circle"></i></a>

                    <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1"
                            data-bs-toggle="dropdown" aria-expanded="false">
                            <?php if(auth()->check() && auth()->user()->hasRole('tuition center')): ?>
                            <?php
                                $name = App\Models\TuitionCentre::where('user_id',auth()->user()->id)->first();
                            ?>
                             <?php echo e($name->name); ?>

                            <?php else: ?>
                            <?php
                                $name = App\Models\Account::where('user_id',auth()->user()->id)->first();
                            ?>
                             <?php echo e($name->first_name); ?> <?php echo e($name->last_name); ?>

                            <?php endif; ?>
                        </button>
                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                            <?php
                                $can = 0;
                            ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('super_admin')): ?> <?php  $var = 'admin.show'; ?> <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show-details-admin')): ?>  <?php $can = 1; ?> <?php endif; ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('tuition center')): ?> <?php  $var = 'tuition.show' ?> <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show-details-tuition-centre')): ?>  <?php $can = 1; ?> <?php endif; ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('tutor')): ?> <?php  $var = 'tutor.show' ?> <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show-details-tutor')): ?>  <?php $can = 1; ?> <?php endif; ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('admin')): ?> <?php  $var = 'admin.show' ?> <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show-details-admin')): ?>  <?php $can = 1; ?> <?php endif; ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('parent')): ?> <?php  $var = 'parent.show' ?> <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show-details-parent')): ?>  <?php $can = 1; ?> <?php endif; ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('student')): ?>  <?php  $var = 'student.show' ?> <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show-details-student')): ?>  <?php $can = 1; ?> <?php endif; ?> <?php endif; ?>
                            <?php if($can == 1): ?>
                            <li><a class="dropdown-item" href="<?php echo e(route($var,['id' => auth()->user()->id])); ?>" >Profile Information</a></li>
                            <?php endif; ?>
                            <li><a class="dropdown-item" href="<?php echo e(route('notifications.index')); ?>">Notifications</a></li>
                            <li>
                                <a class="dropdown-item" href="<?php echo e(route('logout')); ?>" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Log Out</a>
                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                    <?php echo csrf_field(); ?>
                                </form>
                            </li>
                        </ul>
                    </div>
                </div>
                <?php endif; ?>
            </nav>
        </div>
    </section>
    <?php echo $__env->yieldContent('content'); ?>

    <script>
        var navLinks = document.getElementById("navLinks");
        function showmenu() {
            navLinks.style.left = "0";
        }
        function hidemenu() {
            navLinks.style.left = "-270px"
        }

    </script>
    <script type="text/javascript">
        $(document).ready(function(){
          //jquery for toggle sub menus
          $('.sub-btn').click(function(){
            $(this).next('.sub-menu').slideToggle();
            $(this).find('.dropdown').toggleClass('rotate');
          });
        });
        </script>

    <?php echo $__env->yieldPushContent('scripts'); ?>

</body>

</html>
<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/layouts/sidebar.blade.php ENDPATH**/ ?>