<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>Edit Banner</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('banner.index')); ?>" class="back-btn">Back</a>
                    </div>
                </div>
            </div>
            <div class="adm-cen-wrap-3">
                <div class="col-xl-12">
                    <div class="cen-logo">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-12">
                                    <h3>Drag and drop files you want to upload <span class="text-danger">*</span></h3>
                                    <form action="<?php echo e(route('dropzone.store')); ?>" method="post" style="border: none;"
                                        name="file" files="true" enctype="multipart/form-data" class="dropzone"
                                        id="image-upload">
                                        <?php echo csrf_field(); ?>
                                        <div>
                                            <h5>(file format supported: jpeg,jpg)</h5>
                                            <h6>max file size : 2mb</h6>
                                            <?php if(
                                                !empty($data) &&
                                                    file_exists('ads_banner/' . $data->image) == 'true' &&
                                                    $data->image != null): ?>
                                                <input id="img"
                                                    value="<?php echo e(asset('ads_banner/' . $data->image)); ?>"
                                                    type="hidden">
                                                <input id="img_url" value="<?php echo e($data->image); ?>"
                                                    type="hidden">
                                            <?php else: ?>
                                                <input id="img" value="" type="hidden">
                                                <input id="img_url" value="" type="hidden">
                                            <?php endif; ?>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <div class="col-xl-12">
                <form action="" method="POST" id="contactusForm">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>
                <?php echo $__env->make('banner.field', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="<?php echo e(route('banner.index')); ?>" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="adm-info-btn save-btn">Save</button>
                    </div>
                </div>
                </form>
            </div>
            </div>
        </div>
    </form>
</section>
<?php $__env->stopSection(); ?>
<style>
    .dropzone .dz-preview .dz-error-message {
        top: 150px !important;
        display: none;
    }

    .dropzone .dz-preview .dz-image {
        border-radius:50%!important;
    }
    .dz-image img {
    width: 100%!important;
    height: 100%!important;
}
    .dz-remove {
        display: inline-block !important;
        width: 1.2em;
        height: 1.2em;

        position: absolute;
        top: 5px;
        right: 5px;
        z-index: 1000;

        font-size: 1.2em !important;
        line-height: 1em;

        text-align: center;
        font-weight: bold;
        border: 1px solid #80808000 !important;
        border-radius: 1.2em;
        color: #80808000;
        background-color: #80808000;
        opacity: .5;

    }

    .dz-remove:hover {
        text-decoration: none !important;
        opacity: 1;
        color: white;
                background-color: rgb(131, 131, 131);
    }
</style>
<?php $__env->startPush('scripts'); ?>
<link href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.0.1/min/dropzone.min.css" rel="stylesheet">
     <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.2.0/min/dropzone.min.js"></script>
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
    $(document).ready (function () {
        $('form[id="contactusForm"]').validate({
                rules: {
                    name: {
                        required: true,
                    },
                    status: {
                        required: true,
                    },
                },
                messages: {
                    name: {
                        required: "<span style='color:red;'>This field is required.</span>",
                    },
                    status: {
                        required: "<span style='color:red;'>This field is required.</span>",
                    },
                },
                submitHandler: function(form) {
                    if($('#logo_url').val() != ''){
                        $('#contactusForm').attr('action', '<?php echo e(route('banner.update',$data->id)); ?>');
                        form.submit();
                    }else{
                        if($('#img').val() == ''){
                            alert('Please Select Image!');
                        }else{
                            $('#contactusForm').attr('action', '<?php echo e(route('banner.update',$data->id)); ?>');
                            form.submit();
                        }
                    }
                }
            })
    })
    Dropzone.options.imageUpload = {
            dictDefaultMessage: "<label class='btn-cen-logo'>Upload Image</label>",
            maxFilesize: 2,
            allowMultiple: false,
            addRemoveLinks: true,
            acceptedFiles: ".jpeg,.jpg",
            dictRemoveFile: "x",
            // maxFiles:1,
            init: function() {
                var count = 0;
                if ($('#img').val() != '') {
                    count = 1;
                    var thisDropzone = this;
                    var mockFile = {
                        name: $('#img_url').val(),
                        size: 12345,
                        type: 'image/jpeg'
                    };
                    thisDropzone.emit("addedfile", mockFile);
                    thisDropzone.emit("complete", mockFile);
                    thisDropzone.emit("thumbnail", mockFile, $('#img').val());
                    $(".dz-preview").attr('id', 'current');
                    $('.dz-remove').css('color','white');
                    $('.dz-remove').css('background-color','rgb(131, 131, 131)');
                }
                this.on("success", function(file, response) {
                    $('.dz-remove').css('color','white');
                    $('.dz-remove').css('background-color','rgb(131, 131, 131)');
                });
                this.on("thumbnail", function(file, response) {
                    if (file.size > (1024 * 1024 * 2)) // not more than 2mb
                    {
                        alert("Only 2 mb file size is allowed to store.");
                        this.removeFile(file);
                    }else{
                        $('#logo_url').val(response);
                        $('#logo_name').val(file.name);
                    } // not more than 2mb
                    $('.dz-remove').click(function(){
                        $('#logo_url').val('');
                        $('#logo_name').val('');
                    });
                    $(".dz-remove").attr('title', 'Remove File');
                    if (this.files.length > 1) {
                        this.removeFile(this.files[0]);
                    } else {
                        if (count == 1) {
                            $('#current').addClass('d-none');
                        }
                    }
                    // $('#preview_img').addClass('d-none');
                });
            }
        };
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/banner/edit.blade.php ENDPATH**/ ?>