<?php $__env->startSection('content'); ?>
    <div class="adm-wrap-2">
        <div class="container">
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="centre-info-head">
                        <?php if($show == 1): ?>
                            <h4>New Tutor</h4>
                        <?php else: ?>
                            <h4>Registration For Tutor</h4>
                        <?php endif; ?>
                    </div>
                </div>
                <?php if($show == 1): ?>
                    <div class="col-xl-6 d-flex justify-content-end">
                        <div class="back-btn-wrap">
                            <?php if(auth()->check() && auth()->user()->hasRole('tutor')): ?>
                                <a href="<?php echo e(route('home')); ?>" class="back-btn">Back</a>
                            <?php else: ?>
                                <a href="<?php echo e(route('tutor.index')); ?>" class="back-btn">Back</a>
                            <?php endif; ?>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
            <div class=" adm-cen-wrap-6">

                <div class="col-xl-12">
                    <?php echo $__env->make('accounts.field_tutor_account', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    
                </div>
            </div>
        </div>
    </div>
    <style type="text/css">
        .datepicker-dropdown {
            top: 0;
            left: 0;
            padding: 4px;
        }

        .datepicker table tr td,
        .datepicker table tr th {
            text-align: center;
            width: 40px;
            height: 30px;
        }

        #email-error {
            color: red;
        }

        #start_date-error {
            color: red;
        }

        #end_date-error {
            color: red;
        }

        #job_title-error {
            color: red;
        }

        #job_type-error {
            color: red;
        }

        #institute_name-error {
            color: red;
        }

        #job_location-error {
            color: red;
        }

        #contact_number-error {
            color: red;
        }

        .dropzone .dz-preview .dz-error-message {
            top: 150px !important;
            display: none;
        }
        .dropzone .dz-preview .dz-image {
        border-radius:50%!important;
    }
    .dz-image img {
    width: 100%!important;
    height: 100%!important;
}
        .dz-remove {
            display: inline-block !important;
            width: 1.2em;
            height: 1.2em;

            position: absolute;
            top: 5px;
            right: 5px;
            z-index: 1000;

            font-size: 1.2em !important;
            line-height: 1em;

            text-align: center;
            font-weight: bold;
            border: 1px solid gray !important;
            border-radius: 1.2em;
            color: gray;
            background-color: white;
            opacity: .5;

        }

        .dz-remove:hover {
            text-decoration: none !important;
            opacity: 1;
        }
        .select2-container--default .select2-selection--single {
    background-color: #fff!important;
    border: 1px solid #dbdbdb!important;
    padding: 0.65rem 0.7rem 0.65rem 0.7rem!important;
    border-radius: 4px!important;
    height: 43px!important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 20px!important;
    font-size:0.85rem;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b{
    margin-top:5px!important;
    left:15%!important;
    border-color: #5a5a5a transparent transparent transparent!important;
}
.select2-results{
    font-size: 0.85rem!important;
}
    </style>

    <link href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.0.1/min/dropzone.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.2.0/min/dropzone.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>


    <link rel="stylesheet" href="<?php echo e(asset('assets/css/chosen.min.css')); ?>" />
    <link href='https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.10.0/css/bootstrap-datepicker.min.css'
        rel='stylesheet' type='text/css'>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.10.0/js/bootstrap-datepicker.min.js'
        type='text/javascript'></script>
    <script src="<?php echo e(asset('assets/jquery/chosen.jquery.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.repeater/1.2.1/jquery.repeater.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
    <script type="text/javascript">
        // Dropzone.autoDiscover = false;
        $(document).ready(function() {
        $('.js-example-basic-single').select2();
        });
        $(function(){
         $('#countryCode').val($('#code').val());
         $('#countryCode').select2().trigger('change');
        });
        Dropzone.options.imageUpload = {
            // dictDefaultMessage: "<label class='btn-cen-logo'>Upload a banner image of the class</label>",
            maxFilesize: 2,
            allowMultiple: false,
            addRemoveLinks: true,
            acceptedFiles: ".jpeg,.jpg,.png",
            dictRemoveFile: "x",
            // maxFiles:1,
            init: function() {
                this.on("thumbnail", function(file, response) {
                    if (file.size > (1024 * 1024 * 2)) // not more than 2mb
                    {
                        alert("Only 2 mb file size is allowed to store.");
                        this.removeFile(file);
                    }else{
                        $('#logo_url').val(response);
                        $('#logo_name').val(file.name);
                    }
                    $('.dz-remove').click(function(){
                        $('#logo_url').val('');
                        $('#logo_name').val('');
                    });
                    $(".dz-remove").attr('title', 'Remove File');
                    if (this.files.length > 1) {
                        this.removeFile(this.files[0]);
                    }

                });
            }
        };
        Dropzone.options.imageUpload1 = {
            // dictDefaultMessage: "<label class='btn-cen-logo'>Upload a banner image of the class</label>",
            maxFilesize: 2,
            allowMultiple: false,
            addRemoveLinks: true,
            acceptedFiles: ".pdf",
            dictRemoveFile: "x",
            // maxFiles:1,
            init: function() {
                this.on("addedfile", function(file, response)
                {
                    if (file.size > (1024 * 1024 * 2)) // not more than 2mb
                    {
                        alert("Only 2 mb file size is allowed to store.");
                        this.removeFile(file);
                    }
                });
                this.on("success", function(file, response) {
                    $('.dz-remove').click(function(){
                        $('#logo_url1').val('');
                        $('#logo_name1').val('');
                    });
                    $(".dz-remove").attr('title', 'Remove File');
                    if (this.files.length > 1) {
                        this.removeFile(this.files[0]);
                    }
                    $('#logo_url1').val(response.dataURL);
                    $('#logo_name1').val(file.name);
                    $("<a href='' id='link' target='_blank'><span><label class='btn-cen-logo btn-primary py-1' style='cursor: pointer;'>View Pdf</span></label></a>").insertAfter($('.dz-error-mark').closest('#image-upload1').find('.dz-error-mark'));
                    $('#link').click(function(){
                        let pdfWindow = window.open("");
                        pdfWindow.document.write(
                            "<iframe width='100%' height='100%' src="+response.pdfurl + "></iframe>"
                        )
                    });

                });
            }
        };
    </script>
    <script>
        var loadFile = function(event) {
            var image = document.getElementById('preview_img');
            image.src = URL.createObjectURL(event.target.files[0]);
            image.style.display = 'inline';
        };
        var loadFile2 = function(event) {
            var image = document.getElementById('preview_img_2');
            image.src = URL.createObjectURL(event.target.files[0]);
            image.style.display = 'inline';
        };
    </script>

    <script>
        $(document).ready(function() {
            $("#kt_repeater_11 :input").each(function(i) {
                if($(this).attr('id') == 'start_date1' || $(this).attr('id') == 'end_date1'){
                            var num = $(this).attr('name').match(/[\d\.]+/g);
                            if (num != null){
                                $(this).removeAttr('class');
                                var number = 'input__textbox date-picker '+ $(this).attr('id') + ' ' + $(this).attr('id')+'-'+num.toString();
                                $(this).addClass(number);
                            }
                        }
            });
            $("#kt_repeater_12 :input").each(function(i) {
                        if($(this).attr('id') == 'start_date' || $(this).attr('id') == 'end_date'){
                            var num = $(this).attr('name').match(/[\d\.]+/g);
                            if (num != null){
                                $(this).removeAttr('class');
                                var number = 'input__textbox date-picker '+ $(this).attr('id') + ' ' + $(this).attr('id')+'-'+num.toString();
                                $(this).addClass(number);
                            }
                        }
            });
            $(document).on('change keyup click',
                '#start_date1,#end_date1',
                function() {
                    $("#kt_repeater_11 :input").each(function(i) {
                    if($(this).attr('id') == 'start_date1' || $(this).attr('id') == 'end_date1'){
                            var num = $(this).attr('name').match(/[\d\.]+/g);
                            if (num != null){
                                $(this).removeAttr('class');
                                var number = 'input__textbox date-picker '+ $(this).attr('id') + ' ' + $(this).attr('id')+'-'+num.toString();
                                $(this).addClass(number);
                            }
                        }
                    });
                    var num = $(this).attr('name').match(/[\d\.]+/g);
                    if (num != null){
                        if($(this).attr('id') == 'start_date1' || $(this).attr('id') == 'end_date1'){
                        if($(this).attr('id') == 'start_date1'){
                            var value = 'end_date1-'+num.toString();
                        }else{
                            var value = 'start_date1-'+num.toString();
                        }
                        }
                    }
                    var this_class = $(this).attr('class');
                    var date = $(this).closest(".align-items-center").find('.'+value).val();
                    $('#my_date').val(date);
                    if($(this).attr('id') == 'start_date1'){
                        $(this).datepicker("destroy");
                        var DateOptions = {
                        format: 'dd-mm-yyyy',
                        endDate: $('#my_date').val()
                        }
                        $(this).datepicker(DateOptions);
                        $(this).datepicker("refresh");
                        $(this).datepicker("show");
                    }
                    if($(this).attr('id') == 'end_date1'){
                        $(this).datepicker("destroy");
                         var DateOptions = {
                         format: 'dd-mm-yyyy',
                         startDate: $('#my_date').val() //difference
                         }
                         $(this).datepicker(DateOptions);
                         $(this).datepicker("refresh");
                         $(this).datepicker("show");
                    }
                });
            $(document).on('change keyup click',
                '#institute_name1,#course_name1,#job_title,#institute_name,#start_date,#end_date',
                function() {
                    $("#kt_repeater_12 :input").each(function(i) {
                        if($(this).attr('id') == 'start_date' || $(this).attr('id') == 'end_date'){
                            var num = $(this).attr('name').match(/[\d\.]+/g);
                            if (num != null){
                                $(this).removeAttr('class');
                                var number = 'input__textbox date-picker '+ $(this).attr('id') + ' ' + $(this).attr('id')+'-'+num.toString();
                                $(this).addClass(number);
                            }
                        }
                    });
                    var num = $(this).attr('name').match(/[\d\.]+/g);
                    if (num != null){
                        if($(this).attr('id') == 'start_date' || $(this).attr('id') == 'end_date'){
                        if($(this).attr('id') == 'start_date'){
                            var value = 'end_date-'+num.toString();
                        }else{
                            var value = 'start_date-'+num.toString();
                        }
                        }
                    }
                    var this_class = $(this).attr('class');
                    var date = $(this).closest(".align-items-center").find('.'+value).val();

                    $('#my_date').val(date);
                    if($(this).attr('id') == 'start_date'){
                        $(this).datepicker("destroy");
                        var DateOptions = {
                        format: 'dd-mm-yyyy',
                        endDate: $('#my_date').val()
                        }
                        $(this).datepicker(DateOptions);
                        $(this).datepicker("refresh");
                        $(this).datepicker("show");
                    }
                    if($(this).attr('id') == 'end_date'){
                        $(this).datepicker("destroy");
                         var DateOptions = {
                         format: 'dd-mm-yyyy',
                         startDate: $('#my_date').val() //difference
                         }
                         $(this).datepicker(DateOptions);
                         $(this).datepicker("refresh");
                         $(this).datepicker("show");
                        }

                    if ($(this).val() == '' && $(this).attr('id') != 'start_date1' && $(this).attr('id') !=
                        'end_date1' && $(this).attr('id') != 'job_type' && $(this).attr('id') != 'job_location'
                    ) {
                        $("#kt_repeater_11 :input").each(function(i) {
                            if ($(this).attr('id') != 'start_date1' && $(this).attr('id') !=
                                'end_date1' && $(this).attr('id') != 'job_type' && $(this).attr('id') !=
                                'job_location') {
                                id = $(this).attr('id');
                                $(".error-" + $(this).attr('id')).each(function(i) {
                                    $(this).remove();
                                });
                            }
                        });
                        $("#kt_repeater_11 :input").each(function(i) {
                            if ($(this).val() == '' && $(this).attr('id') != 'start_date1' && $(this)
                                .attr('id') != 'end_date1') {
                                $("<label id='error-" + $(this).attr('id') + "' class='error-" + $(this)
                                        .attr('id') +
                                        "' style='color:red;' >This field is required.</label>")
                                    .insertAfter($(this));
                            }
                        });
                        $("#kt_repeater_12 :input").each(function(i) {
                            if ($(this).attr('id') != 'start_date1' && $(this).attr('id') !=
                                'end_date1' && $(this).attr('id') != 'job_type' && $(this).attr('id') !=
                                'job_location') {
                                id = $(this).attr('id');
                                $(".error-" + $(this).attr('id')).each(function(i) {
                                    $(this).remove();
                                });
                            }
                        });
                        $("#kt_repeater_12 :input").each(function(i) {
                            if ($(this).val() == '' && $(this).attr('id') != 'job_type' && $(this).attr(
                                    'id') != 'job_location') {
                                $("<label id='error-" + $(this).attr('id') + "' class='error-" + $(this)
                                        .attr('id') +
                                        "' style='color:red;' >This field is required.</label>")
                                    .insertAfter($(this));
                            }
                        });
                    } else {
                        $(this).closest('.cen-info').find('.error-' + $(this).attr('id')).remove();
                    }
                });
            $('#previous').click(function() {
                openCity(event, $('#previous_val').val(), 'dir');
                tablinks = document.getElementsByClassName("tablinks");
                if($('#tab').val() == 'London'){
                    $('#my_zone').show();
                }
                for (i = 0; i < tablinks.length; i++) {
                    if (tablinks[i].id == 'p1' && $('#tab').val() == 'Paris' ||
                        tablinks[i].id == 't1' && $('#tab').val() == 'Tokyo' ||
                        tablinks[i].id == 'defaultOpen' && $('#tab').val() == 'London' ||
                        tablinks[i].id == 'c1' && $('#tab').val() == 'China') {
                        tablinks[i].className = tablinks[i].className.replace("tablinks",
                            "tablinks active");
                    } else {
                        tablinks[i].className = tablinks[i].className.replace(" active", "");
                    }
                }
            });
            $('.tablinks').click(function() {
                if ($(this).attr('id') == 'defaultOpen') {
                    $('#regForm').validate();
                    if (!$('#regForm').valid()) {
                        return false;
                    } else {
                        $('#my_zone').show();
                        openCity(event, 'London', 'dir');
                    }
                }
                if ($(this).attr('id') == 'p1') {
                    $('#regForm').validate();
                    if (!$('#regForm').valid()) {
                        return false;
                    } else {
                        $('#my_zone').hide();
                        openCity(event, 'Paris', 'dir');
                    }
                }
                if ($(this).attr('id') == 't1') {
                    $('#regForm').validate();
                    if (!$('#regForm').valid()) {
                        return false;
                    } else {
                        $('#my_zone').hide();
                        var count = 0;
                        $("#kt_repeater_11 :input").each(function(i) {

                            if ($(this).val() == '' && $(this).attr('id') != 'start_date1' && $(
                                    this).attr('id') != 'end_date1') {
                                count = count + 1;
                            }
                        });
                        sum = $("#kt_repeater_11").find(".align-items-center :input").length / 2;
                        if (count > 0 && count <= sum) {
                            check();
                        } else {
                            openCity(event, 'Tokyo', 'dir');
                        }

                    }
                }
                if ($(this).attr('id') == 'c1') {
                    $('#regForm').validate();
                    if (!$('#regForm').valid()) {
                        return false;
                    } else {
                        $('#my_zone').hide();
                        var count = 0;
                        $("#kt_repeater_11 :input").each(function(i) {

                            if ($(this).val() == '' && $(this).attr('id') != 'start_date1' && $(
                                    this).attr('id') != 'end_date1') {
                                count = count + 1;
                            }
                        });
                        sum = $("#kt_repeater_11").find(".align-items-center :input").length / 2;
                        if (count > 0 && count <= sum) {
                            check();
                        } else {
                            openCity(event, 'China', 'dir');
                        }

                    }
                }

            });
            $('#next').click(function() {
                $('#regForm').validate();
                if ($('#regForm').valid() != true) {
                    if ($('#tab').val() == 'Paris') {
                        check();
                        return false;
                    } else if ($('#tab').val() == 'China') {
                        check1();
                    } else {
                        return false;
                    }
                } else {
                    $('#my_zone').hide();
                    if ($('#tab').val() == 'Paris') {
                        check();
                    }
                    if ($('#tab').val() == 'China') {
                        check1();
                    }
                    // check1('next');
                    // check('next');
                    $('#submitBtn').removeClass('d-none');
                    if ($('#tab').val() == 'London') {
                        $('#previous_val').val($('#tab').val());
                        id = $('#tab').val('Paris');
                        openCity(event, 'Paris', 'null');
                        $('.btn btn-primary').attr('id', 'submitBtn');
                        $('.btn btn-primary').attr('type', 'submit');
                        $('.adm-info-btn').attr('id', 'next');
                        $('.adm-info-btn').attr('type', 'button');
                        $('#submitBtn').removeClass('d-none');

                        $('#next').removeAttr('class');
                        $('#next').addClass('adm-info-btn');
                    } else if ($('#tab').val() == 'Paris') {
                        var count = 0;
                        $("#kt_repeater_11 :input").each(function(i) {
                            if ($(this).val() == '' && $(this).attr('id') != 'start_date1' && $(
                                    this).attr('id') != 'end_date1') {
                                count = count + 1;
                            }
                        });
                        sum = $("#kt_repeater_11").find(".align-items-center :input").length / 2;
                        if (count > 0 && count <= sum) {
                            check();
                        } else {
                            $('#previous_val').val($('#tab').val());
                            id = $('#tab').val('Tokyo');
                            openCity(event, 'Tokyo', 'null');
                            $('.btn btn-primary').attr('id', 'submitBtn');
                            $('.btn btn-primary').attr('type', 'submit');
                            $('.adm-info-btn').attr('id', 'next');
                            $('.adm-info-btn').attr('type', 'button');
                            $('#submitBtn').removeClass('d-none');

                            $('#next').removeAttr('class');
                            $('#next').addClass('adm-info-btn');
                        }

                    } else if ($('#tab').val() == 'Tokyo') {
                        var count = 0;
                        $("#kt_repeater_11 :input").each(function(i) {

                            if ($(this).val() == '' && $(this).attr('id') != 'start_date1' && $(
                                    this).attr('id') != 'end_date1') {
                                count = count + 1;
                            }
                        });
                        sum = $("#kt_repeater_11").find(".align-items-center :input").length / 2;
                        if (count > 0 && count <= sum) {
                            check();
                        } else {
                            $('#previous_val').val($('#tab').val());
                            id = $('#tab').val('China');
                            openCity(event, 'China', 'null');
                            $('.btn btn-primary').attr('id', 'submitBtn');
                            $('.btn btn-primary').attr('type', 'submit');
                            $('.adm-info-btn').attr('id', 'next');
                            $('.adm-info-btn').attr('type', 'button');
                            $('#submitBtn').addClass('d-none');

                            $('#next').removeAttr('class');
                            $('#next').addClass('adm-info-btn');
                        }
                    } else if ($('#tab').val() == 'China') {
                        var count = 0;
                        var sum = 0;
                        $("#kt_repeater_12 :input").each(function(i) {
                            sum = sum + 1;
                            if ($(this).val() == '' && $(this).attr('id') != 'job_type' && $(
                                    this).attr('id') != 'job_location') {
                                count = count + 1;
                            }
                        });
                        if (count > 0 && count <= sum) {
                            check1();
                            return false;
                        } else{
                        $('#previous_val').val($('#tab').val());
                        //    id =  $('#tab').val('London');
                        //    openCity(event, 'London','null');
                        $('#submitBtn').addClass('d-none');
                        $('.adm-info-btn').attr('id', 'submitBtn');
                        $('.adm-info-btn').attr('type', 'submit');
                        $('.btn btn-primary').attr('id', 'next');
                        $('.btn btn-primary').attr('type', 'button');
                        }
                    }
                    tablinks = document.getElementsByClassName("tablinks");
                    for (i = 0; i < tablinks.length; i++) {
                        if (tablinks[i].id == 'p1' && $('#tab').val() == 'Paris' ||
                            tablinks[i].id == 't1' && $('#tab').val() == 'Tokyo' ||
                            tablinks[i].id == 'defaultOpen' && $('#tab').val() == 'London' ||
                            tablinks[i].id == 'c1' && $('#tab').val() == 'China') {
                            tablinks[i].className = tablinks[i].className.replace("tablinks",
                                "tablinks active");
                        } else {
                            tablinks[i].className = tablinks[i].className.replace(" active", "");
                        }
                    }
                }
            });
            $('#subjects').chosen();
            $.validator.addMethod(
                "regex",
                function(value, element, regexp) {
                    var re = new RegExp(regexp);
                    return this.optional(element) || re.test(value);
                },
                "Please check your input."
            );

            function check(value) {
                $("#kt_repeater_11 :input").each(function(i) {
                    id = $(this).attr('id');
                    $(".error-" + id).each(function(i) {
                        $(this).remove();
                    });

                });
                $("#kt_repeater_11 :input").each(function(i) {
                    if ($(this).val() == '' && $(this).attr('id') != 'start_date1' && $(this).attr('id') !=
                        'end_date1') {


                        $(this).prop('required', true);
                        var validator = $("#regForm").validate();
                        // validator.element($(this));
                        $.validator.messages.required = '';

                        var id = $(this).attr('id');
                        $('.error').each(function(i) {
                            if ($(this).attr('id') == id + '-error') {
                                $(this).addClass('d-none');
                            }
                        });
                        $("<label id='error-" + $(this).attr('id') + "' class='error-" + $(this)
                                .attr('id') +
                                "' style='color:red;' >This field is required.</label>")
                            .insertAfter($(this));
                        if (value != 'next') {
                            $('#previous_val').val('London');
                            $('#tab').val('Paris');
                            openCity(event, 'Paris', 'dir');
                            tablinks = document.getElementsByClassName("tablinks");
                            for (i = 0; i < tablinks.length; i++) {
                                if (tablinks[i].id == 'p1' && $('#tab').val() == 'Paris' ||
                                    tablinks[i].id == 't1' && $('#tab').val() == 'Tokyo' ||
                                    tablinks[i].id == 'defaultOpen' && $('#tab').val() == 'London' ||
                                    tablinks[i].id == 'c1' && $('#tab').val() == 'China') {
                                    tablinks[i].className = tablinks[i].className.replace("tablinks",
                                        "tablinks active");
                                } else {
                                    tablinks[i].className = tablinks[i].className.replace(" active", "");
                                }
                            }
                        }

                    }
                });
            }

            function check1(value) {
                $("#kt_repeater_12 :input").each(function(i) {
                    $('.error-' + $(this).attr('id')).remove();
                });
                $("#kt_repeater_12 :input").each(function(i) {
                    // $('.error-' + $(this).attr('id')).remove();
                    if ($(this).val() == '' && $(this).attr('id') != 'job_type' && $(this).attr('id') !=
                        'job_location') {

                        $(this).prop('required', true);
                        var validator = $("#regForm").validate();
                        // validator.element($(this));
                        $.validator.messages.required = '';

                        var id = $(this).attr('id');
                        $('.error').each(function(i) {
                            if ($(this).attr('id') == id + '-error') {
                                $(this).addClass('d-none');
                            }
                        });

                        $("<label id='error-" + $(this).attr('id') + "' class='error-" + $(this)
                                .attr('id') +
                                "' style='color:red;' >This field is required.</label>")
                            .insertAfter($(this));
                        if (value != 'next') {
                            $('#previous_val').val('Tokyo');
                            $('#tab').val('China');
                            openCity(event, 'China', 'dir');
                            tablinks = document.getElementsByClassName("tablinks");
                            for (i = 0; i < tablinks.length; i++) {
                                if (tablinks[i].id == 'p1' && $('#tab').val() == 'Paris' ||
                                    tablinks[i].id == 't1' && $('#tab').val() == 'Tokyo' ||
                                    tablinks[i].id == 'defaultOpen' && $('#tab').val() == 'London' ||
                                    tablinks[i].id == 'c1' && $('#tab').val() == 'China') {
                                    tablinks[i].className = tablinks[i].className.replace("tablinks",
                                        "tablinks active");
                                } else {
                                    tablinks[i].className = tablinks[i].className.replace(" active", "");
                                }
                            }
                        }
                    }
                });
            }

            $("#regForm").on("submit", function(event) {
                $('#regForm').validate();
                if ($('#regForm').valid() != true) {
                    if ($('#tab').val() == 'Paris') {
                        check();
                        return false;
                    } else if ($('#tab').val() == 'China') {
                        check1();
                    } else {
                        return false;
                    }
                } else {
                    if ($('#tab').val() == 'Paris') {
                        check();
                        return false;
                    } else if ($('#tab').val() == 'China') {
                        check1();
                    }
                }
                $('.btn btn-primary').attr('type', 'submit');
                $('.adm-info-btn').attr('id', 'next');
                $('.adm-info-btn').attr('type', 'button');

                // alert($("#kt_repeater_12").find(".align-items-center :input").length);

            });
            $('.start_date').datepicker({
            autoclose: true,
            format: 'dd-mm-yyyy',
        });
        $('#add').click(function(){
            $('#my_date').val('');
        });
        $('.end_date').datepicker({
            autoclose: true,
            format: 'dd-mm-yyyy',
        });
        $('.start_date1').datepicker({
            autoclose: true,
            format: 'dd-mm-yyyy',
        });
        $('#add1').click(function(){
            $('#my_date').val('');
        });
        $('.end_date1').datepicker({
            autoclose: true,
            format: 'dd-mm-yyyy',
        });
            $('form[id="regForm"]').validate({
                rules: {
                    first_name: {
                        required: true,
                        minlength: 3,
                    },
                    last_name: {
                        required: true,
                    },
                    email: {
                        required: true,
                        email: true,
                        remote: {
                            url: "<?php echo e(url('/validate')); ?>",
                            data: {
                                from: 'tutor',
                            },
                            type: 'get',
                        }
                    },
                    contact_number: {
                        required: true,
                        regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$",
                    },
                    password: {
                        required: true,
                    },
                    password_confirmation: {
                        required: true,
                        equalTo: "#password"
                    },
                },
                messages: {
                    first_name: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                    },
                    last_name: {
                        required: "<span style='color:red;'>This field is required.</span>",
                    },
                    email: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        remote: "<span style='color:red;'>Email Already Exist.</span>",
                    },
                    contact_number: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
                    },
                    password: "<span style='color:red;'>This field is required.</span>",
                    password_confirmation: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        equalTo: "<span style='color:red;'>Confirm Password Not Matched.</span>",
                    }
                },
                submitHandler: function(form) {
                    $('#regForm').attr('action', '<?php echo e(route('tutor.store')); ?>');
                    form.submit();
                }
            });
        });


        function openCity(evt, cityName, dir) {
            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }
            if (cityName == 'London') {
                $('#submitBtn').removeClass('d-none');

                $('#previous_val').val('China');
            } else if (cityName == 'Paris') {
                $('#submitBtn').removeClass('d-none');

                $('#previous_val').val('London');
            } else if (cityName == 'Tokyo') {
                $('#submitBtn').removeClass('d-none');
                $('#previous_val').val('Paris');
            } else if (cityName == 'China') {
                $('#previous_val').val('Tokyo');
            }

            if (cityName != 'London') {
                $('#previous').removeClass('d-none');
            } else {
                $('#previous').addClass('d-none');
            }
            if (dir == 'dir' && cityName == 'China' || dir == 'null' && cityName == 'China') {
                $('#next').html('Submit');

                $('.btn btn-primary').attr('id', 'submitBtn');
                $('.btn btn-primary').attr('type', 'submit');
                $('.adm-info-btn').attr('id', 'next');
                $('.adm-info-btn').attr('type', 'button');
                $('#submitBtn').addClass('d-none');

                $('#next').removeAttr('class');
                $('#next').addClass('adm-info-btn');

            }
            // else if (dir == 'dir' && cityName == 'Tokyo' || dir == 'null' && cityName == 'Tokyo') {
            //     $('.btn btn-primary').attr('id', 'submitBtn');
            //     $('.btn btn-primary').attr('type', 'submit');
            //     $('.adm-info-btn').attr('id', 'next');
            //     $('.adm-info-btn').attr('type', 'button');
            //     $('#submitBtn').removeClass('d-none');

            //     $('#next').removeAttr('class');
            //     $('#next').addClass('adm-info-btn');
            // }
            else {
                $('#next').html('Next');
            }
            var i, tabcontent, tablinks;
            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }
            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }
            document.getElementById(cityName).style.display = "block";
            $('#tab').val(cityName);
            evt.currentTarget.className += " active";
        }

        // Get the element with id="defaultOpen" and click on it
        document.getElementById("defaultOpen").click();

        var special_class = $('#kt_repeater_11').repeater({
            initEmpty: false,
            isFirstItemUndeletable: true,
            show: function() {
                $('.start_date1').datepicker({
                    autoclose: true,
                    format: 'dd-mm-yyyy',
                    orientation: "bottom auto",
                });
                $('.end_date1').datepicker({
                    autoclose: true,
                    format: 'dd-mm-yyyy',
                    orientation: "bottom auto",
                });
                $(this).slideDown();
            }
        });

        var special_class = $('#kt_repeater_12').repeater({
            initEmpty: false,
            isFirstItemUndeletable: true,
            show: function() {
                $('.start_date').datepicker({
                    autoclose: true,
                    format: 'dd-mm-yyyy',
                    orientation: "bottom auto",
                });
                $('.end_date').datepicker({
                    autoclose: true,
                    format: 'dd-mm-yyyy',
                    orientation: "bottom auto",
                });
                $(this).slideDown();
            }
        });
    </script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make($show == 0 ? 'layouts.guest' : 'layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/tutors/create.blade.php ENDPATH**/ ?>