<?php $__env->startSection('content'); ?>
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success" id="successMessage">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Parent Report</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'tutor' ? 'show active' : '') : 'show active'); ?>"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="opcm-btn">
                                                <button type="button" id="excel" class="btn btn-primary">
                                                    <i class="fas fa-file-export"></i> Export to csv
                                                </button>
                                            </div><br/>
                                        </div>
                                        <form action="<?php echo e(route('parent-report.csv')); ?>" method="POST" id="generate_form">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                        <div class="table-responsive">
                                        <?php $__currentLoopData = $parents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $parent): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $enquired_students = App\Models\Account::where('parent_id',$parent->id)->get()->count();
                                            $enquired_ids = App\Models\Account::where('parent_id',$parent->id)->pluck('id')->toArray();
                                            $student_id = App\Models\StudentClass::whereIn('student_id',$enquired_ids)->where('student_status','1')->pluck('student_id')->toArray();
                                            $enrolled_students = App\Models\Account::whereIn('id',$student_id)->get()->count();
                                            $students = App\Models\Account::whereIn('id',$student_id)->get();
                                            $string = $parent->email;
                                            $explode = explode("@",$string);
                                            array_pop($explode);
                                            $words = join('@', $explode);
                                            $newstring = preg_replace('/[0-9]+/', '', $words)
                                        ?>
                                        <table class="table table-bordered" id="kt_datatable" width="100%" style="margin-top:20px;">
                                            <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                <td colspan='2'><b>Parent Name </b></td>
                                                <td colspan='13'>
                                                    <?php if($parent->first_name != ' ' || $parent->last_name != ''): ?>
                                                    <?php echo e($parent->first_name.' '.$parent->last_name); ?>

                                                    <?php else: ?>
                                                    <?php echo e($newstring); ?>

                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                            <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                <td colspan='2'><b>Enquiry </b></td>
                                                <td colspan='13'> <?php echo e($enquired_students); ?> </td>
                                            </tr>
                                            <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                <td colspan='2'><b>Kids Enrolled </b></td>
                                                <td colspan='13'> <?php echo e($enrolled_students); ?> </td>
                                            </tr>
                                            <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                <th class="centering col-2" colspan='2' >No.</th>
                                                <th class="centering">Child Name</th>
                                                <th class="centering">Attendance(Avg)</th>
                                                <th class="centering">Result(Avg)</th>
                                            </tr>
                                            <tbody>
                                                <!-- --------------------MAX SIZE -------------------------->
                                                <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                   $classes =  App\Models\StudentClass::where('student_id',$student->id)->pluck('class_id')->toArray();
                                                   $per = 0;
                                                   $result_per = 0;
                                                   foreach ($classes as $key1 => $value) {
                                                        $attendance =  App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$value)->where('attendance','p')->get()->count();
                                                        $divide_by =  App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$value)->whereNotNull('result')->get()->count();
                                                        $sum =  App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$value)->whereNotNull('result')->sum('result');

                                                        $div = $divide_by * 100;
                                                        $result = $divide_by != 0 ? ($sum / $div) * 100 : 0;

                                                        $class =  App\Models\ScheduleClass::find($value);
                                                        $cal = $class->no_lesson != 0 ? $attendance / $class->no_lesson  * 100 : 0;
                                                        $per += $cal;
                                                        $result_per += $result;
                                                   }
                                                   $total_att = count($classes) != 0 ? $per/count($classes) : 0;
                                                   $total_att_res = count($classes) != 0 ? $result_per/count($classes) : 0;
                                                ?>
                                                <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);border-bottom: 2px solid rgba(110, 107, 107, 0.596);">
                                                    <td class="centering" colspan="2" style="vertical-align:middle"><?php echo e($key + 1); ?></td>
                                                    <td class="centering"><?php echo e($student->first_name.' '.$student->last_name); ?></td>
                                                    <td class="centering"><?php echo e(number_format($total_att, 2, ".", "")); ?>%</td>
                                                    <td class="centering"><?php echo e(number_format($total_att_res, 2, ".", "")); ?>%</td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tbody>
                                        </table>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
<?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

    <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
    <script>
        $(function() {
            $('#excel').click(function() {
                  $('#generate_form').submit();
            });
            $('#example-1').DataTable({
                dom:'Bfrtip',
                buttons: [
                    {
                        extend: 'csv',
                        className:'btn-opcm btn-primary',
                        text: '<i class="fas fa-file-export"></i> Export to csv',
                        title: 'Tutors',
                        page:"all",
                        exportOptions: {
                            modifer: {
                               page: 'all',
                            },
                            columns: [ 0, 1, 2, 3, 5]
                        }
                    },
                ],
            processing: true,
            serverSide: false,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[4, 'desc'],
            "ajax": {
                'url': '<?php echo route('tutor.data'); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: function(d) {
                    d.status = $('#status').val();
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                { "targets": [ 3 ] },
                { "targets": [ 4 ] },
                { "targets": [ 5 ] },
            ],
            columns: [
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'contact_number', name: 'contact_number', className: 'th-left'  , render: function (data, type, row) {
                         return data ? " + " + (data.slice(0, -10) === '' ? '65' : data.slice(0, -10)) + ' ' + data.replace(data.slice(0, -10), '') : '';
                        //  data.replace(/(\d\d\d)(\d\d\d)(\d\d\d\d)/, "$1-$2-$3") : data;
                       }},
                {data: 'created_at', name: 'created_at', className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                {data: 'status', name: 'status', className: 'th-center'},
                {data: 'actions', name: 'actions', className: 'th-center',
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-tutor','edit-tutor','delete-tutor'])): ?>
                visible:true
                <?php else: ?>
                visible:false
                <?php endif; ?>
            }
            ]
        });
            var table1 = $('#example-1').DataTable();
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table1.table().draw();
                    table1.ajax.reload();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table1.table().draw();
                });
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/reports/parent.blade.php ENDPATH**/ ?>