<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <form action="<?php echo e(route('student_class.store')); ?>" method="POST" id="regForm">
        <?php echo csrf_field(); ?>
        <div class="container">
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>New Class Enrollment</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <?php if(empty($stud_id)): ?>
                        <a href="<?php echo e(route('student_class.index')); ?>" class="back-btn">Back</a>
                        <?php else: ?>
                        <a href="<?php echo e(route('parent.student_dashboard')); ?>" class="back-btn">Back</a>
                        <?php endif; ?>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    <?php if(empty($stud_id)): ?>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Select Child <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="child" id="child">
                                <option value="">Select Child</option>
                                <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($student->id); ?>" <?php echo e(old('student')  == $student->id ? 'selected' : ''); ?>><?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <span style="color:red;font-size: 0.88rem" id="err"></span>
                        </div>
                    </div>
                    <?php else: ?>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Child Name<span class="text-danger">*</span></h5>
                            <input name="name" value="<?php echo e($stud_id->first_name.' '.$stud_id->last_name); ?>" type="text" class="input__textbox" placeholder="Enter the Child" disabled>
                        </div>
                    </div>
                    <input name="child" id="child" value="<?php echo e($stud_id->id); ?>" class="input__textbox" placeholder="Enter the Child" type="hidden">
                    <?php endif; ?>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Service Provider <span class="text-danger">*</span></h5>
                            <?php
                                $value = App\Models\Account::where('user_id',auth()->user()->id)->first();
                                $find = App\Models\Parenttutorlink::where('parent_id',$value->id)->first();
                                if($find != ''){
                                if($find->provider_type == 'tutor'){
                                    $name = App\Models\Account::find($find->service_provider_id) ? 'Tutor : '.App\Models\Account::find($find->service_provider_id)->first_name.' '.App\Models\Account::find($find->service_provider_id)->last_name : '';
                                }else{
                                    $name = App\Models\TuitionCentre::find($find->service_provider_id) ? 'Tuition Centre : '.App\Models\TuitionCentre::find($find->service_provider_id)->name : '';
                                }
                                }else{
                                $name = '-';
                            }
                            ?>
                            <input name="provider" value="<?php echo e($name); ?>" type="text" class="input__textbox" placeholder="Enter the Provider" disabled>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Select Lesson <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="lesson" id="lesson">
                                <option value="">Select Lesson</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Select Class <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="class" id="class">
                                <option value="">Select Class</option>
                                <?php if(old('class') != ''): ?>
                                <?php
                                $count = [];
                                $all_classes = App\Models\ScheduleClass::all();
                                foreach($all_classes as $class_data){
                                    $stud = App\Models\StudentClass::where('class_id',$class_data->id)->get()->count();
                                    if($stud >= $class_data->class_size){
                                        array_push($count,$class_data->id);
                                    }
                                }
                                  $classes = App\Models\ScheduleClass::whereNotIn('id',$count)->where('lesson_id', old('lesson'))->get();
                                ?>
                                <?php $__currentLoopData = $classes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $class): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($class->id); ?>" <?php echo e(old('class')  == $class->id ? 'selected' : ''); ?>><?php echo e($class->name); ?>(<?php echo e(date('d-m-Y',strtotime($class->class_date))); ?>)(<?php echo e(date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time))); ?>)</option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <?php if(empty($stud_id)): ?>
                        <a href="<?php echo e(route('student_class.index')); ?>" class="adm-info-btn-2">Cancel</a>
                        <?php else: ?>
                        <a href="<?php echo e(route('parent.student_dashboard')); ?>" class="adm-info-btn-2">Cancel</a>
                        <?php endif; ?>
                        <button type="submit" id="submitBtn" class="sub-save">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
<?php $__env->startPush('scripts'); ?>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script type="text/javascript">
    $(function() {
        if($('#child').val() != ''){
            $('#lesson').val('');
            $("select[name='lesson'] > option").remove();
            $('#lesson').append('<option value="">Select Lesson</option>');
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '<?php echo e(url('class/get_class')); ?>?lesson=' + $('#lesson').val(),
                data:{type:'lesson',
                      stud_id:$('#child').val(),
                    },
                success: function(response) {
                    if(response.classes.length != 0){
                        $.each(response.classes, function(key,value) {
                        $('#lesson').append('<option value="' +value.id +'">' +value.name +' </option>');
                    });
                    }else{
                        $("select[name='lesson'] > option").remove();
                        $('#lesson').append('<option value="" disabled selected>No Lesson Available</option>');
                        $("select[name='class'] > option").remove();
                        $('#class').append('<option value="" disabled selected>No Class Available</option>');
                    }
                }
            });
        }
        $('#child').change(function() {
            $('#lesson').val('');
            $("select[name='lesson'] > option").remove();
            $('#lesson').append('<option value="">Select Lesson</option>');
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '<?php echo e(url('class/get_class')); ?>?lesson=' + $('#lesson').val(),
                data:{type:'lesson',
                      stud_id:$('#child').val(),
                    },
                success: function(response) {
                    if(response.classes.length != 0){
                        $.each(response.classes, function(key,value) {
                        $('#lesson').append('<option value="' +value.id +'">' +value.name +' </option>');
                    });
                    }else{
                        $("select[name='lesson'] > option").remove();
                        $('#lesson').append('<option value="" disabled selected>No Lesson Available</option>');
                        $("select[name='class'] > option").remove();
                        $('#class').append('<option value="" disabled selected>No Class Available</option>');
                    }
                }
            });
        });
        $('#lesson').click(function() {
            var validator = $( "#regForm" ).validate();
            validator.element( "#child" );
        });
        $('#class').click(function() {
            var validator = $( "#regForm" ).validate();
            validator.element( "#child" );
            var validator = $( "#regForm" ).validate();
            validator.element( "#lesson" );
        });
        $('#lesson').change(function() {
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '<?php echo e(url('class/get_class')); ?>?lesson=' + $('#lesson').val(),
                data:{type:'class',
                      stud_id:$('#child').val(),
                    },
                success: function(response) {
                    $.each(response.classes, function(key,value) {
                        $('#class').append('<option value="' +value.id +'">' +value.name +'(' + moment(value.class_date).format('DD-MM-YYYY') + ')' + '(' + moment(value.start_time, 'hh:mm A').format('hh:mm A') + ' To ' + moment(value.end_time, 'hh:mm A').format('hh:mm A') +') </option>');
                    });
                }
            });
        });
    });
        $(document).ready (function () {
        $('form[id="regForm"]').validate({
        rules: {
          class: {
          required:true,
          },
          lesson: {
          required:true,
          },
          child: {
          required:true
          },
        },
        messages: {
            class:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          lesson:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          child:{
            required:"<span style='color:red;'>Please Select Child First.</span>",
          },
        },
        submitHandler: function(form) {
                $('#regForm').attr('action', "<?php echo e(route('student_class.store').'?from_child='.$child); ?>");
                form.submit();
        }
      });
    });
</script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/student_classes/create.blade.php ENDPATH**/ ?>