<?php $__env->startSection('content'); ?>
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success" id="successMessage">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Tuition Centre Report</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'tutor' ? 'show active' : '') : 'show active'); ?>"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row">
                                        <form action="<?php echo e(route('centre-report.filter')); ?>" method="POST">
                                        <?php echo csrf_field(); ?>
                                        <div class="row">
                                        <div class="col-xl-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Year</h5>
                                                <select class="disselect-2 kt-input status" id="year" name="year">
                                                    <?php for($i = date('Y'); $i >= 2023 ; $i--): ?>
                                                    <option value="<?php echo e($i); ?>" <?php echo e($year == $i ? 'selected' : ''); ?>><?php echo e($i); ?></option>
                                                    <?php endfor; ?>
                                                </select>
                                                <button class="btn-opcm" type="submit">Filter</button>
                                                <a href="<?php echo e(route('centre-report.index')); ?>" class="btn-opcm" style="background: white;color:black;">Reset</a>
                                            </div>
                                        </div>
                                        
                                    </div>
                                        </form>
                                        <hr/>
                                        <div class="col-xl-12">
                                            <div class="opcm-btn">
                                                <button type="button" id="excel" class="btn btn-primary">
                                                    <i class="fas fa-file-export"></i> Export to csv
                                                </button>
                                            </div><br/>
                                        </div>
                                        <form action="<?php echo e(route('centre-report.csv')); ?>" method="POST" id="generate_form">
                                            <?php echo csrf_field(); ?>
                                            <input name="year_csv" type="hidden" id="year_csv" value="<?php echo e($year); ?>">
                                        </form>
                                        <div class="table-responsive">
                                        <?php $__currentLoopData = $centres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $centre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $class_ids = App\Models\ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
                                            $class = App\Models\ScheduleClass::whereIn('id',$class_ids)->pluck('name')->implode(',');
                                        ?>
                                        <table class="table table-bordered" id="kt_datatable" width="100%" style="margin-top:20px;">
                                            <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                <td colspan='2'><b>Centre Name </b></td>
                                                <td colspan='13'> <?php echo e($centre->name); ?> </td>
                                            </tr>
                                            
                                            <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                <th class="centering col-2" colspan='2' >Month</th>
                                                <th class="centering">Jan</th>
                                                <th class="centering">Feb</th>
                                                <th class="centering">Mar</th>
                                                <th class="centering">Apr</th>
                                                <th class="centering">May</th>
                                                <th class="centering">Jun</th>
                                                <th class="centering">Jul</th>
                                                <th class="centering">Aug</th>
                                                <th class="centering">Sep</th>
                                                <th class="centering">Oct</th>
                                                <th class="centering">Nov</th>
                                                <th class="centering">Dec</th>
                                                <th class="centering">Total</th>
                                            </tr>
                                            <tbody>
                                                <!-- --------------------MAX SIZE -------------------------->
                                                <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                    <td class="centering" colspan="2" rowspan='2' style="vertical-align:middle">
                                                        Enrolled Students</td>
                                                        <?php
                                                            $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                                                            $enrolled = [];
                                                            $enrolled_total = 0;
                                                        ?>
                                                    <?php $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php
                                                       $m = date("n",strtotime($month));
                                                       $std_id =  App\Models\StudentClass::whereIn('class_id',$class_ids)->where('student_status','1')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
                                                       $enrolled[$key] = $std_id;
                                                       $enrolled_total += $std_id;
                                                    ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php $__currentLoopData = $enrolled; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $enroll): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <td class="centering"><?php echo e($enroll); ?></td>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <th class="centering" rowspan='2' style="vertical-align:middle">
                                                        <?php echo e($enrolled_total); ?></th>
                                                </tr>
                                                <tr>

                                                </tr>
                                                <!-- -------------------- current stude -------------------------->
                                                <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                    <td class="centering" colspan="2" rowspan='2' style="vertical-align:middle">
                                                        Enquired Students</td>
                                                        <?php
                                                            $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                                                            $enquired = [];
                                                            $enquired_total = 0;
                                                        ?>
                                                    <?php $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php
                                                       $m = date("n",strtotime($month));
                                                       $std_id =  App\Models\StudentClass::whereIn('class_id',$class_ids)->where('student_status','0')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
                                                       $enquired[$key] = $std_id;
                                                       $enquired_total += $std_id;
                                                    ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php $__currentLoopData = $enquired; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $enquire): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <td class="centering"><?php echo e($enquire); ?></td>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <th class="centering" rowspan='2' style="vertical-align:middle">
                                                        <?php echo e($enquired_total); ?></th>
                                                </tr>
                                                <tr>

                                                </tr>
                                                <!-- --------------------%%%%%%%% -------------------------->
                                                <tr  style="border-bottom: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
                                                    <td class="centering" colspan='2'>Clicked to their Page</td>
                                                    <?php
                                                        $clicked_arr = [];
                                                        $clicked_total = 0;
                                                    ?>
                                                    <?php $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php
                                                        $m = date("n",strtotime($month));
                                                        $clicked = App\Models\ClickedPage::where('user_role','center')->where('provider_id',$centre->id)->whereYear('created_at',$year)->whereMonth('created_at', $m)->first();
                                                        $clicked_arr[$key] = $clicked ? $clicked->clicked_count : 0;
                                                        $clicked_total += $clicked ? $clicked->clicked_count : 0;
                                                    ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    
                                                    <?php $__currentLoopData = $clicked_arr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $click): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <td class="centering"><?php echo e($click); ?></td>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <th class="centering">
                                                    <?php echo e($clicked_total); ?>

                                                    </th>
                                                </tr>
                                                <!-- -------------------- New registered -------------------------->
                                            </tbody>
                                        </table>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
<?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

    <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
    <script>
        $(function() {
            $('#year').change(function() {
                $('#year_csv').val($('#year').val());
            });
            $('#excel').click(function() {
                  $('#generate_form').submit();
            });
            $('#example-1').DataTable({
                dom:'Bfrtip',
                buttons: [
                    {
                        extend: 'csv',
                        className:'btn-opcm btn-primary',
                        text: '<i class="fas fa-file-export"></i> Export to csv',
                        title: 'Tutors',
                        page:"all",
                        exportOptions: {
                            modifer: {
                               page: 'all',
                            },
                            columns: [ 0, 1, 2, 3, 5]
                        }
                    },
                ],
            processing: true,
            serverSide: false,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[4, 'desc'],
            "ajax": {
                'url': '<?php echo route('tutor.data'); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: function(d) {
                    d.status = $('#status').val();
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                { "targets": [ 3 ] },
                { "targets": [ 4 ] },
                { "targets": [ 5 ] },
            ],
            columns: [
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'contact_number', name: 'contact_number', className: 'th-left'  , render: function (data, type, row) {
                         return data ? " + " + (data.slice(0, -10) === '' ? '65' : data.slice(0, -10)) + ' ' + data.replace(data.slice(0, -10), '') : '';
                        //  data.replace(/(\d\d\d)(\d\d\d)(\d\d\d\d)/, "$1-$2-$3") : data;
                       }},
                {data: 'created_at', name: 'created_at', className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                {data: 'status', name: 'status', className: 'th-center'},
                {data: 'actions', name: 'actions', className: 'th-center',
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-tutor','edit-tutor','delete-tutor'])): ?>
                visible:true
                <?php else: ?>
                visible:false
                <?php endif; ?>
            }
            ]
        });
            var table1 = $('#example-1').DataTable();
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table1.table().draw();
                    table1.ajax.reload();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table1.table().draw();
                });
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/reports/centre.blade.php ENDPATH**/ ?>