
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show-details-class')): ?>
<a href="<?php echo e(route('class.show', $class->id).'?show=1'); ?>" title="View Details" class="btn btn-sm opcm-edit">
    <i class="fas fa-eye text-secondary"></i>
</a>
<?php endif; ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('edit-class')): ?>
<a href="<?php echo e(route('class.edit', $class->id)); ?>" title="Edit" class="btn btn-sm opcm-edit">
<i class="fas fa-pen text-success"></i>
</a>
<?php endif; ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete-class')): ?>
<form action="<?php echo e(route('class.destroy', $class->id)); ?>" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	<?php echo e(csrf_field()); ?>

	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form>
<?php endif; ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('student-attendance')): ?>
<a href="<?php echo e(route('attendance.index', ['id' => $class->id])); ?>" title="Attendance" class="btn btn-sm opcm-edit">
    <i class="fas fa-font text-primary"></i>
</a>
<?php endif; ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('rating-class')): ?>
<a href="<?php echo e(route('class.rating', ['class_id' => $class->id])); ?>" title="Rating" class="btn btn-sm opcm-edit">
    <i class="fas fa-star text-warning"></i>
</a>
<?php endif; ?>
<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/classes/action.blade.php ENDPATH**/ ?>