<?php $__env->startSection('content'); ?>

    <div class="adm-wrap-2">
        <div class="container">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="centre-info-head">
                        <h4>Rating & Review</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('class.index')); ?>" class="back-btn">Back</a>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="adm-cen-wrap-5">
                        <div class="tutor-registration-tab-wrappper">

                            <div class="tutor-registration-tab-wrap">
                                <div class="tab">
                                    <div class="row">
                                        <div class="col-xl-6 d-flex justify-content-center flex-column">
                                            <button class="tablinks" onclick="openCity(event, 'London','dir')"
                                                id="defaultOpen" type="button">Parent Rating</button>
                                        </div>
                                        <div class="col-xl-6 d-flex justify-content-center flex-column">
                                            <button class="tablinks" id="p1" onclick="openCity(event, 'Paris','dir')"
                                                type="button">Student Rating</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tutor-registration-tab-wrap-content">
                                <div id="London" class="tabcontent">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="parentDatatable" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                            <th class="th-center">S/N</th>
                                                            <th class="th-center">Parent Name</th>
                                                            <th class="th-center">Review</th>
                                                            <th class="th-center">Rating</th>
                                                            <th class="th-center">Comment</th>
                                                            <th class="th-center">Status</th>
                                                            <th class="th-center">Action</th>
                                                            <th class="th-center">up</th>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div id="Paris" class="tabcontent">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="studentDatatable" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                            <th class="th-center">S/N</th>
                                                            <th class="th-center">Student Name</th>
                                                            <th class="th-center">Review</th>
                                                            <th class="th-center">Rating</th>
                                                            <th class="th-center">Comment</th>
                                                            <th class="th-center">Status</th>
                                                            <th class="th-center">Action</th>
                                                            <th class="th-center">up</th>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="exampleModaledit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title" id="exampleModalLabel">Add Comment</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <form action="" method="POST" enctype="multipart/form-data" id="regForm2">
                            <?php echo csrf_field(); ?>
                            <div class="modal-body">
                                <div class="row">
                                    <input type="hidden" id="id" name="id" >
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Comment <span class="text-danger">*</span></label>
                                            <textarea class="form-control" name="comment" id="comment"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="btn-wrap">
                                    <button type="submit" class="btn custom-btn common-transition">Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
    <script>
        function openCity(evt, cityName, dir) {
            var i, tabcontent, tablinks;
            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }
            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }
            document.getElementById(cityName).style.display = "block";
            $('#tab').val(cityName);
            evt.currentTarget.className += " active";
        }
        document.getElementById("defaultOpen").click();
    </script>
<?php $__env->stopSection(); ?>
<style type="text/css">
    #comment-error {
        color: red;
    }
</style>
<?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            // $('#exampleModal').modal({backdrop: 'static', keyboard: false});
            $('#exampleModaledit').modal({
                backdrop: 'static',
                keyboard: false
            });
        });
        $(function() {
            $('#studentDatatable').DataTable({
                processing: true,
                serverSide: true,
                oSearch: {
                    "bSmart": true
                },
                lengthMenu: [
                    [10, 25, 50, 100, -1],
                    [10, 25, 50, 100, "All"]
                ],
                pageLength: 10,
                order: [6, 'desc'],
                "ajax": {
                    'url': '<?php echo route('rating.data'); ?>',
                    'type': 'POST',
                    'data': {
                        'class_id': <?php echo e($class_id); ?>,
                        'type': 'student',
                    },
                    'headers': {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    }
                },

                columns: [{
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex',
                        'orderable': false,
                        'searchable': false,
                        className: 'th-center'
                    },
                    {
                        data: 'name',
                        name: 'name',
                        className: 'th-center'
                    },
                    {
                        data: 'review',
                        name: 'review',
                        className: 'th-center'
                    },
                    {
                        data: 'rating',
                        name: 'rating',
                        className: 'th-center'
                    },
                    {
                        data: 'comment',
                        name: 'comment',
                        className: 'th-center'
                    },
                    {
                        data: 'status',
                        name: 'status',
                        className: 'th-center'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        className: 'th-center'
                    },
                    {
                        data: 'updated_at',
                        name: 'updated_at',
                        visible: false,
                        className: 'th-center'
                    },
                ]
            });
            $('#parentDatatable').DataTable({
                processing: true,
                serverSide: true,
                oSearch: {
                    "bSmart": true
                },
                lengthMenu: [
                    [10, 25, 50, 100, -1],
                    [10, 25, 50, 100, "All"]
                ],
                pageLength: 10,
                order: [6, 'desc'],
                "ajax": {
                    'url': '<?php echo route('rating.data'); ?>',
                    'type': 'POST',
                    'data': {
                        'class_id': <?php echo e($class_id); ?>,
                        'type': 'parent',
                    },
                    'headers': {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    }
                },

                columns: [{
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex',
                        'orderable': false,
                        'searchable': false,
                        className: 'th-center'
                    },
                    {
                        data: 'name',
                        name: 'name',
                        className: 'th-center'
                    },
                    {
                        data: 'review',
                        name: 'review',
                        className: 'th-center'
                    },
                    {
                        data: 'rating',
                        name: 'rating',
                        className: 'th-center'
                    },
                    {
                        data: 'comment',
                        name: 'comment',
                        className: 'th-center'
                    },
                    {
                        data: 'status',
                        name: 'status',
                        className: 'th-center'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        className: 'th-center'
                    },
                    {
                        data: 'updated_at',
                        name: 'updated_at',
                        visible: false,
                        className: 'th-center'
                    },
                ]
            });
            $('form[id="regForm2"]').validate({
                rules: {
                    comment: {
                        required: true,
                    },
                },
                messages: {
                    comment: "<span style='color:red;'>This field is required.</span>",
                },
                submitHandler: function(form) {
                    $('#regForm2').attr('action', '<?php echo e(route('store-comment')); ?>');
                    form.submit();
                }
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/classes/review.blade.php ENDPATH**/ ?>