
    <div class="row">
        <input type="hidden" value="<?php echo e($contact_number); ?>" id="code">
        <input id="logo_url" type="hidden" name="profile_picture_url"/>
        <input id="logo_name" type="hidden" name="profile_picture"/>
        <div class="col-xl-12">
            <div class="adm-cen-head">
                <h4>Profile Information</h4>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>First Name  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="first_name" value="<?php echo e(old('first_name')); ?>" type="text" class="input__textbox" placeholder="Enter the first name">
                <?php else: ?>
                <input name="first_name" value="<?php echo e($admin_details->first_name); ?>" type="text" class="input__textbox" placeholder="Enter the first name">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Last Name  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="last_name" value="<?php echo e(old('last_name')); ?>" type="text" class="input__textbox" placeholder="Enter the last name">
                <?php else: ?>
                <input name="last_name" value="<?php echo e($admin_details->last_name); ?>" type="text" class="input__textbox" placeholder="Enter the last name">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Gender  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <select class="disselect-2" name="gender" value="<?php echo e(old('gender')); ?>">
                    <option value="" selected disabled>Select the gender</option>
                    <option value="m" class="abc" <?php echo e(old('gender') == 'm' ? 'selected' : ''); ?>>Male</option>
                    <option value="f" class="abc" <?php echo e(old('gender') == 'f' ? 'selected' : ''); ?>>Female</option>
                    <option value="o" class="abc" <?php echo e(old('gender') == 'o' ? 'selected' : ''); ?>>Others</option>
                </select>
                <?php else: ?>
                <select class="disselect-2" name="gender" value="<?php echo e(old('gender')); ?>">
                    <option value="" selected disabled>Select the gender</option>
                    <option value="m" class="abc" <?php echo e($admin_details->gender == 'm' ? 'selected' : ''); ?>>Male</option>
                    <option value="f" class="abc" <?php echo e($admin_details->gender == 'f' ? 'selected' : ''); ?>>Female</option>
                    <option value="o" class="abc" <?php echo e($admin_details->gender == 'o' ? 'selected' : ''); ?>>Others</option>
                </select>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Street Name  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="street_name" value="<?php echo e(old('street_name')); ?>" type="text" class="input__textbox" placeholder="Enter the street name">
                <?php else: ?>
                <input name="street_name" value="<?php echo e($admin_details->street_name); ?>" type="text" class="input__textbox" placeholder="Enter the street name">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>State  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="state" value="<?php echo e(old('state')); ?>" type="text" class="input__textbox" placeholder="Enter the state">
                <?php else: ?>
                <input name="state" value="<?php echo e($admin_details->state); ?>" type="text" class="input__textbox" placeholder="Enter the state">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>City  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="city" value="<?php echo e(old('city')); ?>" type="text" class="input__textbox" placeholder="Enter the city">
                <?php else: ?>
                <input name="city" value="<?php echo e($admin_details->city); ?>" type="text" class="input__textbox" placeholder="Enter the city">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Zip Code  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="zip_code" value="<?php echo e(old('zip_code')); ?>" type="number" class="input__textbox" placeholder="Enter the zip code">
                <?php else: ?>
                <input name="zip_code" value="<?php echo e($admin_details->zip_code); ?>" type="number" class="input__textbox" placeholder="Enter the zip code">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Email Id  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="email" value="<?php echo e(old('email')); ?>" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" type="email" class="input__textbox" placeholder="Enter the email id">
                <?php else: ?>
                <input name="email" value="<?php echo e($admin_details->email); ?>" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" type="email" class="input__textbox" placeholder="Enter the email id">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12" id="code_div">
            <div class="cen-info">
                <h5>Country Code <span class="text-danger">*</span></h5>
                <select class="disselect-2 js-example-basic-single" name="countryCode" id="countryCode">
                    <?php echo $__env->make('include.contry_code', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </select>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Number  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <input name="contact_number" value="<?php echo e(old('contact_number')); ?>" type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" class="input__textbox" placeholder="Enter the number">
                <?php else: ?>
                <input name="contact_number" value="<?php echo e(str_replace($contact_number, '', $admin_details->contact_number)); ?>" type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" class="input__textbox" placeholder="Enter the number">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Password <?php if($edit == 0): ?><span class="text-danger">*</span><?php endif; ?></h5>
                <input name="password" type="password" id="password" autocomplete="new-password" class="input__textbox" placeholder="Enter the password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Confirm Password <?php if($edit == 0): ?><span class="text-danger">*</span><?php endif; ?></h5>
                <input name="password_confirmation" type="password" class="input__textbox" placeholder="Re enter password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Remarks</h5>
                <?php if(empty($admin_details)): ?>
                <input name="remarks" value="<?php echo e(old('remarks')); ?>" type="text" class="input__textbox" placeholder="Enter the remarks">
                <?php else: ?>
                <input name="remarks" value="<?php echo e($admin_details->remarks); ?>" type="text" class="input__textbox" placeholder="Enter the remarks">
                <?php endif; ?>
            </div>
        </div>
        <?php if($role == 'admin'): ?>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Status  <span class="text-danger">*</span></h5>
                <?php if(empty($admin_details)): ?>
                <select class="disselect-2" name="status" value="<?php echo e(old('status')); ?>">
                    <option value="active" class="active" <?php echo e(old('status') == 'active' ? 'selected' : ''); ?>>Active</option>
                    <option value="inactive" class="inactive" <?php echo e(old('status') == 'inactive' ? 'selected' : ''); ?>>Inactive</option>
                </select>
                <?php else: ?>
                <select class="disselect-2" name="status" value="<?php echo e(old('status')); ?>">
                    <option value="active" class="active" <?php echo e($admin_details->status == 'active' ? 'selected' : ''); ?>>Active</option>
                    <option value="inactive" class="inactive" <?php echo e($admin_details->status == 'inactive' ? 'selected' : ''); ?>>Inactive</option>
                </select>
                <?php endif; ?>
            </div>
        </div>
        <?php endif; ?>
    </div>

<?php $__env->startPush('scripts'); ?>
<script>
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
</script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/admins/fields.blade.php ENDPATH**/ ?>