<?php $__env->startSection('content'); ?>
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h5>Support Details</h5>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('contactus.index')); ?>" class="back-btn">Back</a>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
    <section class="user-profile-wrapper">
        <div class="container">
            <div class="user-profile-wrap">
                <div class="row">
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                    <?php if($role == 'tuition center'): ?>
                                        <?php if($acc->logo_name): ?>
                                        <img src="<?php echo e(asset('logo_images/' . $acc->logo_name)); ?>" width="150px" height="150px" style="border-radius: 50%;">
                                        <?php else: ?>
                                        <img src="<?php echo e(asset('class_banners/default_user.png')); ?>" width="150px" height="150px" style="border-radius: 50%;">
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <?php if($acc->profile_picture): ?>
                                        <img src="<?php echo e(asset('profile_pictures/' . $acc->profile_picture)); ?>" width="150px" height="150px" style="border-radius: 50%;">
                                        <?php else: ?>
                                        <img src="<?php echo e(asset('class_banners/default_user.png')); ?>" width="150px" height="150px" style="border-radius: 50%;">
                                        <?php endif; ?>
                                    <?php endif; ?>
                            </div>
                            <div class="user-profile-name">
                                <center style="font-size: 20px;font-weight:bold;"><?php echo e(ucfirst($role)); ?> Profile</center>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Basic Information</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">

                                
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                             <i class="fas fa-book"></i>

                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Name</h4>
                                            <p><?php echo e($name); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-school"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Email</h4>
                                            <p><?php echo e($email); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-chalkboard-teacher"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Subject</h4>
                                            <p><?php echo e($data->subject); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-users"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Service</h4>
                                            <p><?php echo e($data->service == 'ADS' ? 'ADS Service' : $data->service); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-pencil-ruler"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Message</h4>
                                            <p><?php echo e($data->message); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <hr>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-profile-information">
                                            <h4 style="font-weight: bold;"><i class="fas fa-image" style="color:#eb9d31;"></i> Uploaded Image</h4>
                                            <?php if($data->logo): ?>
                                            <img src="<?php echo e(asset('support_banners/' . $data->logo)); ?>" width="150px" height="150px" style="border:2px solid gray;">
                                            <?php else: ?>
                                            <img src="<?php echo e(asset('support_banners/default_image.png')); ?>" width="150px" height="150px" style="border:2px solid gray;">
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/contact_us/show.blade.php ENDPATH**/ ?>