<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <form action="<?php echo e(route('tutor.store')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                    <div class="adm-info-head">
                        <h4>Account Creation for tutor</h4>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="opt-tag">
                        <div class="tag-wrap">
                            <label class="radio-btn-1" for="freelancer">
                                <input class="btn-tag" type="radio" name="papers" id="freelancer">
                                <span class="mn">Freelancer</span>
                            </label>
                            <label class="radio-btn" for="tag">
                                <input class="btn-tag" type="radio" name="papers" id="tag">
                                <span>Tag</span>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="adm-cen-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="cen-logo">
                                    <h3>Drag and drop files you want to upload</h3>
                                    <h5>(file format supported: jpeg, png, pdf)</h5>
                                    <h6>max file size : 2mb</h6>
                                    <a href="#" class="btn-cen-logo">Upload profile picture</a>
                                </div>
                            </div>
                            <div class="col-xl-12">
                                <div class="adm-cen-head">
                                    <h4>Profile Information</h4>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>First Name</h5>
                                    <input type="text" name="first_name" value="<?php echo e(old('first_name')); ?>" class="input__textbox" placeholder="Enter the first name">
                                    </label>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Last Name</h5>
                                    <input type="text" name="last_name" value="<?php echo e(old('last_name')); ?>" class="input__textbox" placeholder="Enter the last name">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Email Id</h5>
                                    <input type="email" name="email" value="<?php echo e(old('email')); ?>" class="input__textbox" placeholder="Enter the email id">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Contact Number</h5>
                                    <input type="tel" name="contact_number" value="<?php echo e(old('contact_number')); ?>" class="input__textbox" placeholder="Enter the number">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Username</h5>
                                    <input type="text" name="username" value="<?php echo e(old('username')); ?>" class="input__textbox" placeholder="Enter the username">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Password</h5>
                                    <input type="password" name="password" class="input__textbox" placeholder="Enter the password">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Confirm Password</h5>
                                    <input type="password" name="password_confirmation" class="input__textbox" placeholder="Re enter password">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Remarks</h5>
                                    <input type="text" name="remarks" value="<?php echo e(old('remarks')); ?>" class="input__textbox" placeholder="Enter the remarks">
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="col-xl-12">
                        <div class="adm-btn">
                            <button type="submit" class="adm-info-btn">Save</button>
                            <a href="<?php echo e(route('home')); ?>" class="adm-info-btn-2">Cancel</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/tutors/create.blade.php ENDPATH**/ ?>