<?php $__env->startSection('content'); ?>
<section class="adm-wrap">
    <div class="container">
        <form action="<?php echo e(route('schedule-class.create')); ?>" method="post">
        <?php echo csrf_field(); ?>
            <div class="row">
            <?php if(session()->has('message')): ?>
                <div class="alert alert-success">
                    <?php echo e(session()->get('message')); ?>

                </div>
            <?php endif; ?>
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h4>Schedule a class</h4>
                    </div>
                </div>
            </div>
            <div class="adm-info-wrap">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="adm-text-wrap">
                            <h5>What type of class you want to schedule</h5>
                            <h6>&nbsp;</h6>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-3 col-lg-3 col-md-3 col-6">
                        <div class="class-sel">
                            <label class="checkbox51" for="myCheckboxId51">
                                <input class="checkbox__input51" type="checkbox" name="online_group" id="myCheckboxId51">
                                <div class="checkbox__box51"></div>
                                <span>Online group classes</span>
                            </label>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-3 col-6">
                        <div class="class-sel">
                            <label class="checkbox51" for="myCheckboxId52">
                                <input class="checkbox__input51" type="checkbox" name="online_one_one" id="myCheckboxId52">
                                <div class="checkbox__box51"></div>
                                <span>1 - 1 Online classes</span>
                            </label>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-3 col-6">
                        <div class="class-sel">
                            <label class="checkbox51" for="myCheckboxId53">
                                <input class="checkbox__input51" type="checkbox" name="offline_group" id="myCheckboxId53">
                                <div class="checkbox__box51"></div>
                                <span>Offline group classes</span>
                            </label>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-3 col-6">
                        <div class="class-sel">
                            <label class="checkbox51" for="myCheckboxId54">
                                <input class="checkbox__input51" type="checkbox" name="offline_one_one" id="myCheckboxId54">
                                <div class="checkbox__box51"></div>
                                <span>1 - 1 in person classes</span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <button type="submit" class="adm-info-btn">Next</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script>
    $(function() {
        $('.checkbox__input51').change(function() {
            $('.checkbox__input51').prop('checked', false);
            $(this).prop('checked', true);
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/schedule_classes/index.blade.php ENDPATH**/ ?>