
<input value="<?php echo e($role); ?>" id="role" type="hidden">
<section class="user-profile-wrapper">
    <div class="container">
        <div class="user-profile-wrap">
            <div class="row">
                <div class="col-xl-3">
                    <div class="user-profile-img-name-wrapper">
                        <div class="profile-info-img-wrap">
                            <?php if($role == 'tuition center'): ?>
                                        <img src="<?php echo e(asset('logo_images/' . $value->logo_name)); ?>">
                                    <?php else: ?>
                                        <img src="<?php echo e(asset('profile_pictures/' . $value->profile_picture)); ?>">
                                    <?php endif; ?>
                        </div>
                        <div class="user-profile-name">
                            <?php if($role == 'tuition center'): ?>
                            <center style="font-size: 20px;font-weight:bold;"><?php echo e(ucfirst($value->name)); ?></center>
                            <?php else: ?>
                            <center style="font-size: 20px;font-weight:bold;"><?php echo e(ucfirst($value->first_name .' '. $value->last_name)); ?></center>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="col-xl-9">
                    <div class="user-profile-information-wrap">
                        <div class="user-prof-info-head">
                            <div class="row">
                                <div class="col-xl-6">
                                    <h4>Basic Information</h4>
                                </div>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-6 editcol6">
                                    <?php if($show == ''): ?>
                                <div class="edit-details-wrapper">
                                    <a href="<?php echo e($edit_route.'?from_profile=1'); ?>"><i class="fas fa-pen"></i> Edit Details</a>
                                </div>
                        <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="row gy-5">
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-user-tie"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>User Role</h4>
                                        <p><?php echo e(str_replace('_', ' ', ucwords($role))); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-phone-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Contact Number</h4>
                                        <p><?php echo e($value->contact_number); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <?php if($role == 'tuition center'): ?>
                                        <i class="fas fa-id-card"></i>
                                        <?php else: ?>
                                        <i class="fas fa-user"></i>
                                        <?php endif; ?>
                                    </div>
                                    <div class="admin-profile-information">
                                        <?php if($role == 'tuition center'): ?>
                                            <h4>UEN No.</h4>
                                            <p><?php echo e($value->uen); ?></p>
                                        <?php else: ?>
                                            <h4>Gender</h4>
                                            <p><?php echo e($value->gender == 'm' ? 'Male' : ''); ?><?php echo e($value->gender == 'f' ? 'Female' : ''); ?><?php echo e($value->gender == 'o' ? 'Other' : ''); ?>

                                            </p>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-envelope"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Email ID</h4>
                                        <p><?php echo e($value->email); ?></p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-road"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Street Name</h4>
                                        <p><?php echo e($value->street_name); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-city"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>City</h4>
                                        <p><?php echo e($value->city); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-flag"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>State</h4>
                                        <p><?php echo e($value->state); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Zip Code</h4>
                                        <p><?php echo e($value->zip_code); ?></p>
                                    </div>
                                </div>
                            </div>
                            <?php if($role == 'tutor'): ?>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Designation</h4>
                                        <p><?php echo e($value->tutor_type_id == '1' ? 'Full Time Tutor' : ''); ?><?php echo e($value->tutor_type_id == '2' ? 'Part Time Tutor' : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Teaching Subjects</h4>
                                        <?php
                                           $subject = DB::table('tutor_subjects')->where('tutor_id',$value->id)->pluck('subject_id')->toArray();
                                           $name = App\Models\Subject::whereIn('id',$subject)->pluck('name')->implode(',');
                                        ?>
                                        <p><?php echo e($name ? $name : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <h5>Education Details</h5>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Institute Name</h4>
                                        <?php
                                           $education = DB::table('tutor_educations')->where('tutor_id',$value->id)->first();
                                        ?>
                                        <p><?php echo e($education ? $education->institute_name : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Course Name</h4>
                                        <p><?php echo e($education ? $education->course_name : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Start Date</h4>
                                        <p><?php echo e($education ? ( $education->start_date ?  date('d-m-Y',strtotime($education->start_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>End Date</h4>
                                        <p><?php echo e($education ? ( $education->end_date ? date('d-m-Y',strtotime($education->end_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <h5>Working Experience</h5>
                            <?php $__currentLoopData = $tutor_work_exp; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $exp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if(count($tutor_work_exp) != 1): ?>
                            <h6>Experience <?php echo e($key + 1); ?>)</h6>
                            <?php endif; ?>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Title</h4>
                                        <p><?php echo e($exp ? $exp->job_title : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Employment Type</h4>
                                        <p><?php echo e($exp ? $exp->job_type : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Company Name</h4>
                                        <p><?php echo e($exp ? $exp->institute_name : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Location</h4>
                                        <p><?php echo e($exp ? $exp->job_location : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Start Date</h4>
                                        <p><?php echo e($exp ? ( $exp->start_date ? date('d-m-Y',strtotime($exp->start_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job End Date</h4>
                                        <p><?php echo e($exp ? ( $exp->end_date ? date('d-m-Y',strtotime($exp->end_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <hr>
                                    <div class="col-xl-12">
                                        <div class="col-xl-6">
                                            <h6><b>Student Details</b></h6>
                                        </div>
                                        
                                        <form action="<?php echo e(route('student.csv')); ?>" method="POST" id="generate_form">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" value="tutor" id="roling" name="user_role" />
                                            <input type="hidden" value="<?php echo e($value->user_id); ?>" id="id" name="id" />
                                        </form>
                                        <div class="table-wrap-box">
                                            <table id="studentclassDatatable" class="table table-striped-2 display"
                                                style="width:100%">
                                                <thead>
                                                    <tr>
                                                    <th class="th-left">S/N</th>
                                                    <th class="th-left">Student Name</th>
                                                    <th class="th-left">Email</th>
                                                    <th class="th-center">Class Name & Timing</th>
                                                    <th class="th-center">Added Date</th>
                                                    <th class="th-center">up</th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                            <?php endif; ?>
                            <?php if($role == 'student'): ?>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Parent Name</h4>
                                        <?php
                                            $parent = App\Models\Account::find($value->parent_id);
                                        ?>
                                        <p><?php echo e($parent ? $parent->first_name .' '.$parent->last_name : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <hr>
                                    <div class="col-xl-12">
                                        <div class="col-xl-6">
                                            <h6><b>Class Details</b></h6>
                                        </div>
                                        <div class="table-wrap-box">
                                            <table id="classDatatable" class="table table-striped-2 display"
                                                style="width:100%">
                                                <thead>
                                                    <tr>
                                                    <th class="th-left">S/N</th>
                                                    <th class="th-left">Lesson Name</th>
                                                    <th class="th-left">Class Name & Timing</th>
                                                    <th class="th-left">Status</th>
                                                    <th class="th-left">Service Provider</th>
                                                    <th class="th-center">up</th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                            <?php endif; ?>
                            <?php if($role == 'parent'): ?>
                                    <?php
                                        $count = App\Models\Account::where('user_id', $value->user_id)->first();
                                        $student = App\Models\Account::where('parent_id', $count->id)
                                            ->get()
                                            ->count();
                                    ?>
                                    <div class="col-xl-4">
                                        <div class="admin-profile-wrap">
                                            <div class="admin-icon-box">
                                                <i class="fas fa-child"></i>
                                            </div>
                                            <div class="admin-profile-information">
                                                <h4>Children Registered</h4>
                                                <p><?php echo e($student); ?></p>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="col-xl-12">
                                        <div class="col-xl-6">
                                            <h6><b>Student Details</b></h6>
                                        </div>
                                        <div class="table-wrap-box">
                                            <table id="parentstudentclassDatatable" class="table table-striped-2 display"
                                                style="width:100%">
                                                <thead>
                                                    <tr>
                                                    <th class="th-left">S/N</th>
                                                    <th class="th-left">Student Name</th>
                                                    <th class="th-left">Email</th>
                                                    <th class="th-center">Class Name & Timing</th>
                                                    <th class="th-center">Added Date</th>
                                                    <th class="th-center">up</th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                            <?php endif; ?>
                            <?php if($role == 'tuition center'): ?>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                        <i class="fas fa-globe"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Website</h4>
                                            <p><?php echo e($value->website); ?></p>
                                        </div>
                                    </div>
                                </div>


                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-user-tie"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person Name</h4>
                                            <p><?php echo e($value->contact_person_name); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-envelope"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person Email</h4>
                                            <p><?php echo e($value->contact_person_email); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-phone-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person No</h4>
                                            <p><?php echo e($value->contact_person_number); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-12">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Description</h4>
                                            <p><?php echo e($value->description); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <hr>
                                    <div class="col-xl-12">
                                        <div class="col-xl-6">
                                            <h6><b>Student Details</b></h6>
                                        </div>
                                        
                                        <form action="<?php echo e(route('student.csv')); ?>" method="POST" id="generate_form">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" value="tuition center" id="roling" name="user_role" />
                                            <input type="hidden" value="<?php echo e($value->user_id); ?>" id="id" name="id" />
                                        </form>
                                        <div class="table-wrap-box">
                                            <table id="studentclassDatatable" class="table table-striped-2 display"
                                                style="width:100%">
                                                <thead>
                                                    <tr>
                                                    <th class="th-left">S/N</th>
                                                    <th class="th-left">Student Name</th>
                                                    <th class="th-left">Email</th>
                                                    <th class="th-center">Class Name & Timing</th>
                                                    <th class="th-center">Added Date</th>
                                                    <th class="th-center">up</th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                                <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
    <?php $__env->startPush('scripts'); ?>
        <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
        <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
        <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

        <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
        <script>
            $(function() {
                $('#excel').click(function() {
                  $('#generate_form').submit();
                });
                $('#studentclassDatatable').DataTable({
                    dom:'Bfrtip',
                    buttons: [
                        {
                            extend: 'csv',
                            className:'btn-opcm btn-primary mb-1',
                            text: '<i class="fas fa-file-export"></i> Export to csv',
                            title: 'Students',
                            page:"all",
                            exportOptions: {
                                modifer: {
                                   page: 'all',
                                },
                                columns: [ 1, 2, 3, 4]
                            }
                        },
                    ],
                    processing: true,
                    serverSide: false,
                    scrollX: true,
                    oSearch: {
                        "bSmart": true
                    },
                    lengthMenu: [
                        [10, 25, 50, 100, -1],
                        [10, 25, 50, 100, "All"]
                    ],
                    pageLength: 10,
                    // order: [5, 'asc'],
                    "ajax": {
                        'url': '<?php echo route('student.data'); ?>',
                        'type': 'POST',
                        'data': {
                            'id': <?php echo e($value->id); ?>,
                            'type': 'parent',
                            'role':$('#role').val()
                        },
                        'headers': {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        }
                    },
                    columnDefs: [{
                            "targets": [0],
                        },
                        {
                            "targets": [1],
                        },
                        {
                            "targets": [2],
                            "width": "10%",
                        },
                        {
                            "targets": [3],
                            "render": function(data, type, row) {
                                return data.split(",").join(",<br/>");
                            }
                        },
                        {
                            "targets": [4],
                            "width": "20%",
                        },
                        {
                            "targets": [5],
                        },

                    ],
                    columns: [{
                            data: 'DT_RowIndex',
                            name: 'DT_RowIndex',
                            'orderable': false,
                            'searchable': false,
                            className: 'th-center'
                        },
                        {
                            data: 'name',
                            name: 'name',
                            className: 'th-left'
                        },
                        {
                            data: 'email',
                            name: 'email',
                            className: 'th-left'
                        },
                        {
                            data: 'class',
                            name: 'class',
                            className: 'th-left'
                        },
                        {
                            data: 'created_at',
                            name: 'created_at',
                            className: 'th-center'
                        },
                        {
                            data: 'updated_at',
                            name: 'updated_at',
                            visible: false,
                            className: 'th-center'
                        },
                    ]
                });
                $('#parentstudentclassDatatable').DataTable({
                    // dom:'Bfrtip',
                    // buttons: [
                    //     {
                    //         extend: 'csv',
                    //         className:'btn-opcm btn-primary',
                    //         text: '<i class="fas fa-file-export"></i> Export to csv',
                    //         title: 'Students',
                    //         page:"all",
                    //         exportOptions: {
                    //             modifer: {
                    //                page: 'all',
                    //             },
                    //             columns: [ 1, 2, 3, 4]
                    //         }
                    //     },
                    // ],
                    processing: true,
                    serverSide: false,
                    scrollX: true,
                    oSearch: {
                        "bSmart": true
                    },
                    lengthMenu: [
                        [10, 25, 50, 100, -1],
                        [10, 25, 50, 100, "All"]
                    ],
                    pageLength: 10,
                    // order: [5, 'asc'],
                    "ajax": {
                        'url': '<?php echo route('student.data'); ?>',
                        'type': 'POST',
                        'data': {
                            'id': <?php echo e($value->id); ?>,
                            'type': 'parent',
                            'role':$('#role').val()
                        },
                        'headers': {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        }
                    },
                    columnDefs: [{
                            "targets": [0],
                        },
                        {
                            "targets": [1],
                        },
                        {
                            "targets": [2],
                            "width": "10%",
                        },
                        {
                            "targets": [3],
                            "render": function(data, type, row) {
                                return data.split(",").join(",<br/>");
                            }
                        },
                        {
                            "targets": [4],
                            "width": "20%",
                        },
                        {
                            "targets": [5],
                        },

                    ],
                    columns: [{
                            data: 'DT_RowIndex',
                            name: 'DT_RowIndex',
                            'orderable': false,
                            'searchable': false,
                            className: 'th-center'
                        },
                        {
                            data: 'name',
                            name: 'name',
                            className: 'th-left'
                        },
                        {
                            data: 'email',
                            name: 'email',
                            className: 'th-left'
                        },
                        {
                            data: 'class',
                            name: 'class',
                            className: 'th-left'
                        },
                        {
                            data: 'created_at',
                            name: 'created_at',
                            className: 'th-center'
                        },
                        {
                            data: 'updated_at',
                            name: 'updated_at',
                            visible: false,
                            className: 'th-center'
                        },
                    ]
                });
                $('#classDatatable').DataTable({
                    // dom:'Bfrtip',
                    // buttons: [
                    //     {
                    //         extend: 'csv',
                    //         className:'btn-opcm btn-primary',
                    //         text: '<i class="fas fa-file-export"></i> Export to csv',
                    //         title: 'Student Class',
                    //         page:"all",
                    //         exportOptions: {
                    //             modifer: {
                    //                page: 'all',
                    //             },
                    //             columns: [ 1, 2, 3, 4 ]
                    //         }
                    //     },
                    // ],
                    processing: true,
                    serverSide: false,
                    scrollX: true,
                    oSearch: {
                        "bSmart": true
                    },
                    lengthMenu: [
                        [10, 25, 50, 100, -1],
                        [10, 25, 50, 100, "All"]
                    ],
                    pageLength: 10,
                    order: [5, 'desc'],
                    "ajax": {
                        'url': '<?php echo route('student_class.data'); ?>',
                        'type': 'POST',
                        'data': {
                            'id': <?php echo e($value->id); ?>,
                            'type': 'student',
                            'mode':'profile',
                            'role': $('#role').val()
                        },
                        'headers': {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        }
                    },
                    columnDefs: [{
                            "targets": [0],
                        },
                        {
                            "targets": [1],
                        },
                        {
                            "targets": [2],
                            "render": function(data, type, row) {
                                return data.split(",").join(",<br/>");
                            }
                        },
                        {
                            "targets": [3],
                        },
                        {
                            "targets": [4],
                        },
                        {
                            "targets": [5],
                        },
                    ],
                    columns: [{
                            data: 'DT_RowIndex',
                            name: 'DT_RowIndex',
                            'orderable': false,
                            'searchable': false,
                            className: 'th-left'
                        },
                        {
                            data: 'lesson',
                            name: 'lesson',
                            className: 'th-left'
                        },
                        {
                            data: 'class',
                            name: 'class',
                            className: 'th-left'
                        },
                        {
                            data: 'std_status',
                            name: 'std_status',
                            className: 'th-center'
                        },
                        {
                            data: 'provider',
                            name: 'provider',
                            className: 'th-center'
                        },
                        {
                            data: 'updated_at',
                            name: 'updated_at',
                            visible: false,
                            className: 'th-center'
                        },
                    ]
                });
                // $('#upcomingclassDatatable').DataTable({
                //     processing: true,
                //     serverSide: true,
                //     oSearch: {
                //         "bSmart": true
                //     },
                //     lengthMenu: [
                //         [10, 25, 50, 100, -1],
                //         [10, 25, 50, 100, "All"]
                //     ],
                //     pageLength: 10,
                //     order: [6, 'asc'],
                //     "ajax": {
                //         'url': '<?php echo route('student_class.data'); ?>',
                //         'type': 'POST',
                //         'data': {
                //             'id': <?php echo e($value->id); ?>,
                //             'type': 'student',
                //             'mode':'upcoming',
                //             'role': $('#role').val()
                //         },
                //         'headers': {
                //             'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                //         }
                //     },
                //     columnDefs: [{
                //             "targets": [0],
                //         },
                //         {
                //             "targets": [1],
                //         },
                //         {
                //             "targets": [2],
                //             "render": function(data, type, row) {
                //                 return data.split(",").join(",<br/>");
                //             }
                //         },
                //         {
                //             "targets": [3],
                //         },
                //         {
                //             "targets": [4],
                //         },
                //         {
                //             "targets": [5],
                //         },
                //         {
                //             "targets": [6],
                //         },
                //     ],
                //     columns: [{
                //             data: 'DT_RowIndex',
                //             name: 'DT_RowIndex',
                //             'orderable': false,
                //             'searchable': false,
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'lesson',
                //             name: 'lesson',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'class',
                //             name: 'class',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'class_date',
                //             name: 'class_date',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'timing',
                //             name: 'timing',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'provider',
                //             name: 'provider',
                //             className: 'th-center'
                //         },
                //         {
                //             data: 'updated_at',
                //             name: 'updated_at',
                //             visible: false,
                //             className: 'th-center'
                //         },
                //     ]
                // });
                // $('#completedclassDatatable').DataTable({
                //     processing: true,
                //     serverSide: true,
                //     oSearch: {
                //         "bSmart": true
                //     },
                //     lengthMenu: [
                //         [10, 25, 50, 100, -1],
                //         [10, 25, 50, 100, "All"]
                //     ],
                //     pageLength: 10,
                //     order: [6, 'asc'],
                //     "ajax": {
                //         'url': '<?php echo route('student_class.data'); ?>',
                //         'type': 'POST',
                //         'data': {
                //             'id': <?php echo e($value->id); ?>,
                //             'type': 'student',
                //             'mode':'completed',
                //             'role': $('#role').val()
                //         },
                //         'headers': {
                //             'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                //         }
                //     },
                //     columnDefs: [{
                //             "targets": [0],
                //         },
                //         {
                //             "targets": [1],
                //         },
                //         {
                //             "targets": [2],
                //             "render": function(data, type, row) {
                //                 return data.split(",").join(",<br/>");
                //             }
                //         },
                //         {
                //             "targets": [3],
                //         },
                //         {
                //             "targets": [4],
                //         },
                //         {
                //             "targets": [5],
                //         },
                //         {
                //             "targets": [6],
                //         },
                //     ],
                //     columns: [{
                //             data: 'DT_RowIndex',
                //             name: 'DT_RowIndex',
                //             'orderable': false,
                //             'searchable': false,
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'lesson',
                //             name: 'lesson',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'class',
                //             name: 'class',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'class_date',
                //             name: 'class_date',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'timing',
                //             name: 'timing',
                //             className: 'th-left'
                //         },
                //         {
                //             data: 'provider',
                //             name: 'provider',
                //             className: 'th-center'
                //         },
                //         {
                //             data: 'updated_at',
                //             name: 'updated_at',
                //             visible: false,
                //             className: 'th-center'
                //         },
                //     ]
                // });
                $(".dataTables_filter").find('input').addClass('input__textbox col-8');
            });
        </script>
        
    <?php $__env->stopPush(); ?>
<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/include/profile.blade.php ENDPATH**/ ?>