<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
        <div class="container">
            <?php if(session()->has('message')): ?>
                <div class="alert alert-success">
                    <?php echo e(session()->get('message')); ?>

                </div>
            <?php endif; ?>
            <div class="less-wrap">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Enrolled Classes</h6>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tab-content" id="nav-tabContent">
                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'class' ? 'show active' : '') : 'show active'); ?>" id="nav-level" role="tabpanel"
                                aria-labelledby="nav-level-tab">
                                <div id="nav-level-tab" class="tabcontent-3">
                                    <div class="row">
                                        <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                                            <div class="opcm-btn">

                                            </div>
                                        </div>
                                        <div class="col-xl-12">
                                                <div class="table-wrap-box">
                                                    <table id="classDatatable" class="table table-striped-2 display" style="width:100%">
                                                        <thead>
                                                            <tr>
                                                                <th class="th-left">Lesson Name</th>
                                                                <th class="th-left">Class Name</th>
                                                                <th class="th-left">Class Date</th>
                                                                <th class="th-left">Timings</th>
                                                                <th class="th-center">Service Provider</th>
                                                                <th class="th-center">Up</th>
                                                                <th class="th-center">Actions</th>
                                                            </tr>
                                                        </thead>
                                                    </table>
                                                </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
<script>
$(function() {
    $('#classDatatable').DataTable({
        processing: true,
        serverSide: true,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        order:[5, 'asc'],
        "ajax": {
            'url': '<?php echo route("student.enrollclassDetail"); ?>',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            }
        },

        columns: [
            {data: 'lesson', name: 'lesson', className: 'th-left'},
            {data: 'class', name: 'class', className: 'th-left'},
            {data: 'class_date', name: 'class_date', className: 'th-left'},
            {data: 'timing', name: 'timing', className: 'th-left'},
            {data: 'provider', name: 'provider', className: 'th-center'},
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
            {data: 'actions', name: 'actions', className: 'th-center'}
        ]
    });
});
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/students/enrollclass_index.blade.php ENDPATH**/ ?>