<?php $__env->startPush('styles'); ?>
<style type="text/css">
    body{ overflow-x: visible !Important; }
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <div class="less-wrap-2">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-12 col-lg-6">
                    <div class="adm-info-head">
                        <h4>Welcome, <?php echo e(auth()->user()->name); ?></h4>
                    </div>
                </div>
            </div>
        </div>
        <div class="tutor-wrapperr">
            <div class="row">
                <div class="col-xl-12">
                    <div class="tutor-profile-information">
                        <div class="row">
                            <div class="col-xl-10 col-lg-10 col-md-10 col-10">
                                <div class="tutor-profile-pic-wrapper">
                                    <div class="tutor-profile-img">
                                        <img src="<?php echo e(asset('profile_pictures/'.$centre->logo_name)); ?>">
                                        <!-- <div class="change-img-wrap"> -->
                                        <div>
                                            <div class="form">
                                                <!-- <input type="file" class="file-input" hidden>
                                                <a href="#" data-bs-toggle="modal" data-bs-target="#editProImgModal"><i class="fas fa-pen"></i> </a> -->
                                                <div class="edit-profile-wrap-3">
                                                    <!-- Modal -->
                                                    <div class="modal fade" id="editProImgModal" tabindex="-1" aria-labelledby="editProImgModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title" id="editProImgModalLabel">Update profile photo </h5>
                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                                </div>
                                                                <form action="<?php echo e(route('tutor.update-profile-photo',$centre->id)); ?>" method="POST" enctype="multipart/form-data">
                                                                <?php echo csrf_field(); ?>
                                                                <input type="hidden" name="tutor_id" value="<?php echo e($centre->id); ?>"/>
                                                                    <div class="modal-body">
                                                                        <div class="row">
                                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                                <div class="cen-logo">
                                                                                    <img id="preview_img" src="<?php echo e(asset('profile_pictures/'.$centre->profile_picture)); ?>" width="170" height="120">
                                                                                    <h3>Drag and drop files you want to upload</h3>
                                                                                    <h5>(file format supported: jpeg, png)</h5>
                                                                                    <h6>max file size : 2mb</h6>
                                                                                    <label for="logo" class="btn-cen-logo">Upload profile picture</label>
                                                                                    <input id="logo" style="visibility:hidden;" type="file" name="profile_picture" class="form-control" onchange="loadFile(event)"/>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="modal-footer">
                                                                        <button type="submit" class="btn btn-primary-2">Submit</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tutor-profile-description">
                                        <div class="tutor-name-wrap">
                                            <h4><?php echo e($centre->name); ?> </h4>
                                        </div>
                                        <div class="tutor-basic-info">
                                            <ul>
                                                <li><i class="fas fa-phone-alt"></i> <?php echo e($centre->contact_number); ?></li>
                                                <li><i class="fas fa-envelope"></i> <?php echo e($centre->email); ?></li>
                                                <li><i class="fas fa-map-marker-alt"></i> <?php echo e($centre->street_name); ?>, <?php echo e($centre->zip_code); ?></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="edit-profile-wrap-3">
                                    <!-- <ul>
                                        <li>
                                            <button type="button" class="btn btn-add" data-bs-toggle="modal" data-bs-target="#editProfDetailsModal">
                                                <i class="fas fa-2x fa-pen-square"></i>
                                            </button>
                                        </li>
                                    </ul> -->
                                    <div class="modal fade" id="editProfDetailsModal" tabindex="-1" aria-labelledby="editProfDetailsLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="editProfDetailsLabel">Edit Personal Details </h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <form action="<?php echo e(route('tutor.edit-personal-details',$centre->id)); ?>" method="POST">
                                                <?php echo csrf_field(); ?>
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>First Name</h5>
                                                                    <input type="text" name="first_name" value="<?php echo e($centre->first_name); ?>" class="input__textbox" placeholder="Enter the first name" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Last Name</h5>
                                                                    <input type="text" name="last_name" value="<?php echo e($centre->last_name); ?>" class="input__textbox" placeholder="Enter the last name" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Brief Note</h5>
                                                                    <input type="text" name="breif_note" value="<?php echo e($centre->breif_note); ?>" class="input__textbox" placeholder="Enter the brief note" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Nationality</h5>
                                                                    <input type="text" name="nationality" value="<?php echo e($centre->nationality); ?>" class="input__textbox" placeholder="Enter the nationality" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Contact Number</h5>
                                                                    <input type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="<?php echo e($centre->contact_number); ?>" class="input__textbox" placeholder="Enter the contact number" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Email</h5>
                                                                    <input type="email" name="email" value="<?php echo e($centre->email); ?>" class="input__textbox" placeholder="Enter the email" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Street</h5>
                                                                    <input type="text" name="street_name" value="<?php echo e($centre->street_name); ?>" class="input__textbox" placeholder="Enter the street name" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Zip Code</h5>
                                                                    <input type="text" name="zip_code" value="<?php echo e($centre->zip_code); ?>" class="input__textbox" placeholder="Enter the zip code" required>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-primary-2">Submit</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="das-class-wrap">
                        <div class="row">
                            <div class="col-xl-6 d-flex justify-content-center flex-column">
                                <div class="opcm-head">
                                    <h4>Upcoming Classes</h4>
                                </div>
                            </div>
                            <div class="col-xl-12">
                                <nav class="nav-4">
                                    <div class="nav nav-tabs-1" id="nav-tab" role="tablist">
                                        <button class="nav-link-5 tablinks active" id="nav-profile-tab" data-bs-toggle="tab" onclick="openCity(event, 'London','dir')" type="button" role="tab" aria-controls="nav-profile" aria-selected="true">Calendar View</button>
                                        <button class="nav-link-6 tablinks" id="nav-home-tab" data-bs-toggle="tab" onclick="openCity(event, 'Paris','dir')" type="button" role="tab" aria-controls="nav-home" aria-selected="false">List View</button>
                                    </div>
                                </nav>
                            </div>
                            <?php if(count($multiple_centres) > 0): ?>
                            <div class="col-xl-12">
                                <div class="cen-info">
                                    <h5 for="class_Name">Choose Centre</h5>
                                    <select class="disselect-2 kt-input status" id="centre" name="centre">
                                        <option value="">All</option>
                                        <option value="current"><?php echo e($centre->name); ?></option>
                                        <optgroup label="Other Centres">
                                        <?php $__currentLoopData = $multiple_centres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $centre1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($centre1->id); ?>" <?php echo e(old('centre')  == $centre1->id ? 'selected' : ''); ?>><?php echo e($centre1->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </optgroup>
                                    </select>
                                    <button class="btn-opcm" id="filter">Filter</button>
                                    <button class="btn-opcm" style="background: white;color:black;" id="reset">Reset</button>
                                </div>
                            </div>
                            
                            <?php endif; ?>
                        </div>
                        <div class="col-xl-12">
                            <div class="tab-content" id="nav-tabContent">
                                <div id="Paris" class="tabcontent">
                                
                                    
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="opcm-wrap-3">
                                                    <table id="classDatatable" class="table table-striped-2 display" style="width:100%">
                                                        <thead>
                                                            <tr>
                                                                <th class="th-left">Class Name</th>
                                                                <th class="th-center">Class Mode</th>
                                                                <th class="th-center">Class Date</th>
                                                                <th class="th-center">Timings</th>
                                                                <th class="th-center">Subjects</th>
                                                                <th class="th-center">Added Date</th>
                                                                <th class="th-center">UP</th>
                                                                <!-- <th class="th-center">Actions</th> -->
                                                            </tr>
                                                        </thead>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    
                                
                                </div>
                                <div id="London" class="tabcontent">
                                <div class="tab-pane fade show active" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                                    <div id="nav-profile-tab" class="tabcontent-3">
                                        <div class="opcm-wrap-3">
                                            <div class="cen-info">
                                                <div id='calendar'></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="das-class-wrap-2">
                        <div class="row">
                            <div class="col-xl-6 d-flex justify-content-center flex-column">
                                <div class="opcm-head">
                                    <h4>Completed Classes</h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="tab-content" id="nav-tabContent">
                                <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                                    <div id="nav-home-tab" class="tabcontent-4">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="opcm-wrap-3">
                                                    <table id="completedClass" class="table table-striped-2 display" style="width:100%">
                                                        <thead>
                                                            <tr>
                                                                <th class="th-left">Class Name</th>
                                                                <th class="th-center">Class Mode</th>
                                                                <th class="th-center">Class Date</th>
                                                                <th class="th-center">Timings</th>
                                                                <th class="th-center">Added Date</th>
                                                                <th class="th-center">UP</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="preview-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Preview Details</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="duration-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Class Information :</h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="class_name_p">Class Name : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="class_date_p">Class Date : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="sub_p">Subject : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4  id="topic_p">Topic : </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="zoom-wrap">
                        <div class="row mt-4">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Live Class Details :</h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4>Live Class Link : <a href="#"  id="zoom_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4 id="zoom_id_p">Live Class Id :</h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4 id="zoom_password_p">Live Class Password : </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="moodle-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>External Links :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4>LMS Link : <a href="#" id="moodle_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4>Materials Access Link : <a href="#" id="drive_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="moodle-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Duration of Class :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="start_time_p"></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="end_time_p"></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="other-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Other Information :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="class_size_p"></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="price_p"></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a href="" class="adm-info-btn" id="edit_class_btn_p">Edit</a>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<style>
    .fc-event-time, .fc-event-title{
        padding: 0 1px;
        white-space: normal;
    }
</style>
<?php $__env->startPush('scripts'); ?>
<script src='assets/js/main.js'></script>
<script src="https://cdn.jsdelivr.net/npm/gasparesganga-jquery-loading-overlay@2.1.7/dist/loadingoverlay.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
<!-- <script src="https://cdn.jsdelivr.net/npm/fullcalendar@5.10.2/main.min.js"></script> -->
<script>
    function openCity(evt, cityName, dir) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablinks");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
        }
        document.getElementById(cityName).style.display = "block";
        $('#tab').val(cityName);
        evt.currentTarget.className += " active";
        if(dir == 'val'){
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace("nav-link-5 tablinks","nav-link-5 tablinks active");
            }
        }
    }
    document.getElementById("nav-profile-tab").click();
</script>
<script>
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
</script>
<script>
    $(document).ready(function () {
        var calendarEl = document.getElementById('calendar');
        var calendar = new FullCalendar.Calendar(calendarEl, {
            initialView: 'dayGridMonth',
            contentHeight: 'auto',

            headerToolbar: {
                left: 'prev,next today',
                center: 'title',
                right: 'dayGridMonth,timeGridWeek,timeGridDay'
            },
            eventClick: function(info) {
                $.ajax({
                    url: '<?php echo e(url("schedule-class/get-class-details/")); ?>/' + info.event.id,
                    success: function(response) {
                        $('#class_name_p').html("Class Name : "+response.name);
                        $('#class_date_p').html("Class Date : "+response.class_date);
                        $('#sub_p').html("Subject : "+response.subject_id);
                        $('#topic_p').html("Topic : "+response.topic_id);
                        $('#zoom_link_p').html(response.live_link);
                        $('#zoom_link_p').attr('href', response.live_link);
                        $('#zoom_id_p').html("Live Class ID : "+response.live_id);
                        $('#zoom_password_p').html("Live Class Password : "+response.live_password);
                        $('#moodle_link_p').html(response.lms_link);
                        $('#moodle_link_p').attr('href', response.lms_link);
                        $('#drive_link_p').html(response.mas_link);
                        $('#drive_link_p').attr('href', response.mas_link);
                        $('#start_time_p').html("Start Time : "+response.start_time);
                        $('#end_time_p').html("End Time : "+response.end_time);
                        $('#class_size_p').html("Class Size : "+response.class_size);
                        $('#price_p').html("Price ($) : "+response.price);
                        $('#edit_class_btn_p').attr('href', response.edit_url);

                        $('#preview-modal').modal('show');
                    },
                    beforeSend: function() {
                        $(".tab-content").LoadingOverlay("show", {
                    background: "white",
                });
                },
                complete: function() {
                    $(".tab-content").LoadingOverlay("hide");
                },
                })
            },
            editable: true,
            eventDrop: function(info) {
                $.ajax({
                    url: '<?php echo e(url("schedule-class/drag-drop-date-update/")); ?>/' + info.event.id + '/' + info.event.startStr,
                    success: function(response) {
                        // if(response) alert('Date updated!');
                    },
                    beforeSend: function() {
                        $(".tab-content").LoadingOverlay("show", {
                    background: "white",
                });
                },
                complete: function() {
                    $(".tab-content").LoadingOverlay("hide");
                },
                });
                $.ajax({
                    url: '<?php echo e(url("schedule-class/get-scheduled-classes")); ?>',
                    success: function(response) {
                        loadCalendar(response);
                    },
                    beforeSend: function() {
                        $(".tab-content").LoadingOverlay("show", {
                    background: "white",
                });
                },
                complete: function() {
                    $(".tab-content").LoadingOverlay("hide");
                },
                });
            },
        });
var classes = <?php echo json_encode($scheduleClasses); ?>;
        for(var i = 0; i < classes.length; i++){
            calendar.addEvent({
                groupId: classes[i]['grp'],
                id: classes[i]['id'],
                title: classes[i]['name']+'('+classes[i]['start_time']+')',
                start: classes[i]['class_date']
            });
        }
        calendar.render();

        $('#filter').click(function(){
            openCity(event, 'London','val');
            $("#calendar").hide();
            $.ajax({
                        url: '<?php echo e(url('multiplecentre/get_calender')); ?>?center=' + $('#centre').val(),
                        success: function(response) {
                            calendar.removeAllEvents();
                            $("#calendar").show();
                            for(var i = 0; i < response.scheduleClasses.length; i++){
                               calendar.addEvent({
                                   groupId: response.scheduleClasses[i]['grp'],
                                   id: response.scheduleClasses[i]['id'],
                                   title: response.scheduleClasses[i]['name']+'('+response.scheduleClasses[i]['start_time']+')',
                                   start: response.scheduleClasses[i]['class_date']
                            });
                            }
                            calendar.render();
                        },
                        beforeSend: function() {
                            $(".tab-content").LoadingOverlay("show", {
                    background: "white",
                });
                },
                complete: function() {
                    $(".tab-content").LoadingOverlay("hide");
                },
                    });
        });
        $('#classDatatable').DataTable({
            processing: true,
            serverSide: true,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[6, 'desc'],
            "ajax": {
                'url': '<?php echo route("tutor.upcomingClass"); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: function(d) {
                    d.center = $('#centre').val();
                },
                beforeSend: function() {
                $('.tab-content').LoadingOverlay("show", {
                    background: "white",
                });
                },
                complete: function() {
                    $('.tab-content').LoadingOverlay("hide");
                },
            },
            columnDefs: [
                { className: "op-top", "targets": [ 0 ] },
                { className: "de", "targets": [ 1 ] },
                { className: "de", "targets": [ 2 ] },
                { className: "de", "targets": [ 3 ] },
                { className: "de", "targets": [ 4 ] },
                { className: "opcm-func", "targets": [ 5 ] },
                { className: "opcm-func", "targets": [ 6 ] }
            ],
            columns: [
                {data: 'name', name: 'name'},
                {data: 'type_id', name: 'type_id'},
                {data: 'class_date', name: 'class_date'},
                {data: 'class_time', name: 'class_time'},
                {data: 'subject_id', name: 'subject_id'},
                {data: 'created_at', name: 'created_at',className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                // {data: 'actions', name: 'actions'}
            ]
        });
        var table1 = $('#classDatatable').DataTable();
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table1.table().draw();
                    // table1.ajax.reload();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table1.table().draw();
                });

        $('#completedClass').DataTable({
            processing: true,
            serverSide: true,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[5, 'desc'],
            "ajax": {
                'url': '<?php echo route("tutor.completedClass"); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: function(d) {
                    d.center = $('#centre').val();
                },
                beforeSend: function() {
                    $('.tab-content').LoadingOverlay("show", {
                    background: "white",
                });
                },
                complete: function() {
                    $('.tab-content').LoadingOverlay("hide");
                },
            },
            // columnDefs: [
            //     { className: "op-top", "targets": [ 0 ] },
            //     { className: "de", "targets": [ 1 ] },
            //     { className: "de", "targets": [ 2 ] },
            //     { className: "de", "targets": [ 3 ] },
            //     { className: "de", "targets": [ 4 ] },
            //     // { className: "opcm-func", "targets": [ 5 ] }
            // ],
            columns: [
                {data: 'name', name: 'name'},
                {data: 'type_id', name: 'type_id'},
                {data: 'class_date', name: 'class_date',className: 'th-center'},
                {data: 'class_time', name: 'class_time'},
                {data: 'created_at', name: 'created_at',className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                // {data: 'actions', name: 'actions'}
            ]
        });
        var table2 = $('#completedClass').DataTable();
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table2.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table2.table().draw();
                    // table1.ajax.reload();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table2.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table2.table().draw();
                });
                $('#nav-home-tab').click(function(){
                    $('#classDatatable').DataTable().columns.adjust();
                });
                $(".dataTables_filter").find('input').addClass('input__textbox col-8');
    });

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/centre_managers/index.blade.php ENDPATH**/ ?>