<?php $__env->startSection('content'); ?>
    <section class="adm-wrap-2">
        <form action="<?php echo e(route('rating.store')); ?>" method="POST" id="LevelForm">
            <?php echo csrf_field(); ?>
            <div class="container">
                <div class="row">
                    <?php if(session()->has('message')): ?>
                        <div class="alert alert-success">
                            <?php echo e(session()->get('message')); ?>

                        </div>
                    <?php endif; ?>
                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Rating & Review</h6>
                        </div>
                    </div>
                    <div class="col-xl-6 d-flex justify-content-end">
                        <div class="back-btn-wrap">
                            <?php if(auth()->check() && auth()->user()->hasRole('parent')): ?>
                                <a href="<?php echo e(route('student_class.index')); ?>" class="back-btn">Back</a>
                            <?php else: ?>
                                <a href="<?php echo e(route('student.enrollclass')); ?>" class="back-btn">Back</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div><br />
                <div class="sub-add-wrap">
                    <div class="row">
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="sub-add">
                                <h5>Class Name<span class="text-danger">*</span></h5>
                                <input type="text" readonly style="background: rgb(228, 225, 225)" name="class"
                                    value="<?php echo e($classes ? $classes->name : ''); ?>" placeholder="Enter Name of your Level"
                                    class="sub-box">
                                <input name="class_id" id="class_id" value="<?php echo e($classes ? $classes->id : ''); ?>"
                                    type="hidden" />
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="sub-add">
                                <h5>Review <span class="text-danger">*</span></h5>
                                <input type="text" name="review" id="review"
                                    value="<?php echo e($value ? $value->review : ''); ?>" placeholder="Enter Review" class="sub-box">
                            </div><br />
                            <span style="color:red;font-family:'Poppins',sans-serif;font-size: 0.88rem;" class="d-none"
                                id="err1">This field is required.</span>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="sub-add">
                                <h5>Ratings <span class="text-danger">*</span></h5>
                                <?php if($value == ''): ?>
                                    <input class="star" type="checkbox" title="bookmark page" id="star1"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star2"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star3"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star4"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star5"
                                        checked>&nbsp;&nbsp;&nbsp;
                                <?php else: ?>
                                    <?php if($value->ratings == 0): ?>
                                        <input class="star" type="checkbox" title="bookmark page" id="star1"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star2"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star3"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    <?php elseif($value->ratings == 1): ?>
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star2"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star3"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    <?php elseif($value->ratings == 2): ?>
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star3"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    <?php elseif($value->ratings == 3): ?>
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star3">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    <?php elseif($value->ratings == 4): ?>
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star3">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star4">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    <?php elseif($value->ratings == 5): ?>
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star3">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star4">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star5">&nbsp;&nbsp;&nbsp;
                                    <?php endif; ?>
                                <?php endif; ?>

                            </div><br />
                            <span style="color:red;font-family:'Poppins',sans-serif;font-size: 0.88rem;" class="d-none"
                                id="err">This field is required.</span>
                            <input name="star" id="star" value="<?php echo e($value ? $value->ratings : '0'); ?>"
                                type="hidden" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="adm-btn">
                            <?php if(auth()->check() && auth()->user()->hasRole('parent')): ?>
                                <a href="<?php echo e(route('student_class.index')); ?>" class="adm-info-btn-2">Cancel</a>
                            <?php else: ?>
                                <a href="<?php echo e(route('student.enrollclass')); ?>" class="adm-info-btn-2">Cancel</a>
                            <?php endif; ?>
                            <button type="button" id="btn" class="sub-save">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section>
    <style type="text/css">
        .star {
            visibility: hidden;
            color: #fca500;
            font-size: 40px;
            cursor: pointer;
        }

        .star:before {
            content: "\2605";
            position: absolute;
            visibility: visible;
        }

        .star:checked:before {
            content: "\2606";
            color: #e9af0b;
            position: absolute;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
    <script>
        $(document).ready(function() {
            $(".star").on("click", function(event) {
                if ($(this).attr('id') == 'star1') {
                    const isChecked = $("#star1").is(":checked");
                    if (isChecked == false) {
                        $(this).prop('checked', false);
                        $('#star2').prop('checked', true);
                        $('#star3').prop('checked', true);
                        $('#star4').prop('checked', true);
                        $('#star5').prop('checked', true);
                    } else {
                        const isChecked = $("#star2").is(":checked");
                        if (isChecked == false) {
                            $(this).prop('checked', false);
                            $('#star2').prop('checked', true);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        } else {
                            $(this).prop('checked', true);
                            $('#star2').prop('checked', true);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }
                } else if ($(this).attr('id') == 'star2') {
                    const isChecked = $("#star2").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', true);
                        $('#star4').prop('checked', true);
                        $('#star5').prop('checked', true);
                    } else {
                        const isChecked = $("#star3").is(":checked");
                        if (isChecked == false) {
                            $('#star2').prop('checked', false);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        } else {
                            $('#star2').prop('checked', true);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }

                } else if ($(this).attr('id') == 'star3') {
                    const isChecked = $("#star3").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', false);
                        $('#star4').prop('checked', true);
                        $('#star5').prop('checked', true);
                    } else {
                        const isChecked = $("#star4").is(":checked");
                        if (isChecked == false) {
                            $('#star3').prop('checked', false);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        } else {
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }
                } else if ($(this).attr('id') == 'star4') {
                    const isChecked = $("#star4").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', false);
                        $('#star4').prop('checked', false);
                        $('#star5').prop('checked', true);
                    }else{
                        const isChecked = $("#star5").is(":checked");
                        if (isChecked == false) {
                            $('#star4').prop('checked', false);
                            $('#star5').prop('checked', true);
                        } else {
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }
                } else if ($(this).attr('id') == 'star5') {
                    const isChecked = $("#star5").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', false);
                        $('#star4').prop('checked', false);
                        $('#star5').prop('checked', false);
                    }
                }
            });
            $("#btn").on("click", function(event) {
                var sum = 5 - $('.star').filter(':checked').length;
                if (sum == 0) {
                    $('#err').removeClass('d-none');
                } else {
                    $('#err').addClass('d-none');
                }
                if ($('#review').val() != '' && sum != '') {
                    $("#LevelForm").submit();
                }
                if ($('#review').val() != '') {
                    $('#err1').addClass('d-none');
                } else {
                    $('#err1').removeClass('d-none');
                }
            });
            $('.star').change(function(e) {
                $('#err').addClass('d-none');
                $('#star').val(5 - $('.star').filter(':checked').length);
            });
            $('#review').keyup(function(e) {
                $('#err1').addClass('d-none');
            });
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/reviews/index.blade.php ENDPATH**/ ?>