
<?php $__currentLoopData = $centres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key1 => $centre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<?php
    $class_ids = App\Models\ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
    $class = App\Models\ScheduleClass::whereIn('id',$class_ids)->pluck('name')->implode(',');
?>
<hr>
<table class="table table-bordered">
    <?php if($key1 == 0): ?>
    <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td><b>Year </b></td>
        <td> <?php echo e($year); ?> </td>
    </tr>
    <tr></tr>
    <?php endif; ?>
    <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td><b>Centre Name </b></td>
        <td> <?php echo e($centre->name); ?> </td>
    </tr>
    
    <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <th class="centering col-2">Month</th>
        <th class="centering">Jan</th>
        <th class="centering">Feb</th>
        <th class="centering">Mar</th>
        <th class="centering">Apr</th>
        <th class="centering">May</th>
        <th class="centering">Jun</th>
        <th class="centering">Jul</th>
        <th class="centering">Aug</th>
        <th class="centering">Sep</th>
        <th class="centering">Oct</th>
        <th class="centering">Nov</th>
        <th class="centering">Dec</th>
        <th class="centering">Total</th>
    </tr>
    <tbody>
        <!-- --------------------MAX SIZE -------------------------->
        <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering"  style="vertical-align:middle">
                Enrolled Students</td>
                <?php
                    $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                    $enrolled = [];
                    $enrolled_total = 0;
                ?>
            <?php $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
               $m = date("n",strtotime($month));
               $std_id =  App\Models\StudentClass::whereIn('class_id',$class_ids)->where('student_status','1')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
               $enrolled[$key] = $std_id;
               $enrolled_total += $std_id;
            ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php $__currentLoopData = $enrolled; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $enroll): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <td class="centering"><?php echo e($enroll); ?></td>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <th class="centering"  style="vertical-align:middle">
                <?php echo e($enrolled_total); ?></th>
        </tr>
        <tr>

        </tr>
        <!-- -------------------- current stude -------------------------->
        <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering"  style="vertical-align:middle">
                Enquired Students</td>
                <?php
                    $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                    $enquired = [];
                    $enquired_total = 0;
                ?>
            <?php $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
               $m = date("n",strtotime($month));
               $std_id =  App\Models\StudentClass::whereIn('class_id',$class_ids)->where('student_status','0')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
               $enquired[$key] = $std_id;
               $enquired_total += $std_id;
            ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php $__currentLoopData = $enquired; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $enquire): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <td class="centering"><?php echo e($enquire); ?></td>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <th class="centering"  style="vertical-align:middle">
                <?php echo e($enquired_total); ?></th>
        </tr>
        <tr>

        </tr>
        <!-- --------------------%%%%%%%% -------------------------->
        <tr  style="border-bottom: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering" >Clicked to their Page</td>
            <?php
                $clicked_arr = [];
                $clicked_total = 0;
            ?>
            <?php $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $m = date("n",strtotime($month));
                $clicked = App\Models\ClickedPage::where('user_role','center')->where('provider_id',$centre->id)->whereYear('created_at',$year)->whereMonth('created_at', $m)->first();
                $clicked_arr[$key] = $clicked ? $clicked->clicked_count : 0;
                $clicked_total += $clicked ? $clicked->clicked_count : 0;
            ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            
            <?php $__currentLoopData = $clicked_arr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $click): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <td class="centering"><?php echo e($click); ?></td>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <th class="centering">
            <?php echo e($clicked_total); ?>

            </th>
        </tr>
        <!-- -------------------- New registered -------------------------->
    </tbody>
</table>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/exports/center-report.blade.php ENDPATH**/ ?>