<?php $__env->startSection('content'); ?>
<div class="form-wrap">
    <div class="container">
        <div class="form-head">
            <h3>Welcome back,</h3>
            <h4>Enter your details below to sign in</h4>
        </div>
        <div class="sign-up-wrap">
            <div class="sign-up-form">
                <form method="POST" action="<?php echo e(route('login')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="form-group mt-2 mb-2">
                                <label>Email Id</label>
                                <input type="email" name="email" id="email" value="<?php echo e(old('email')); ?>" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="form-group mt-2 mb-2">
                                <label>Password</label>
                                <input type="password" name="password" id="pwd" minlength="8" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <label class="checkbox50" for="myCheckboxId50">
                                <input class="checkbox__input50" type="checkbox" <?php echo e(old('remember') ? 'checked' : ''); ?> name="checkbox"
                                    id="myCheckboxId50">
                                <div class="checkbox__box50"></div>
                                <span>Keep me signed in</span>
                            </label>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="pass">
                                <a href="<?php echo e(route('password.request')); ?>">Forgot your password ?</a>
                            </div>
                        </div>
                        <div class="btn-wrap">
                            <div class="col-xl-12">
                                <div class="form-group mt-2 mb-2">
                                    <button type="submit" class="btn custom-btn common-transition">Log In</button>
                                    <h5>Does not have an account? <a href="<?php echo e(route('register')); ?>">Sign Up</a> </h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.guest', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/auth/login.blade.php ENDPATH**/ ?>