<?php $__env->startSection('content'); ?>
    <section class="adm-wrap-2">
        <div class="container">
            <?php if(session()->has('message')): ?>
                <div class="alert alert-success">
                    <?php echo e(session()->get('message')); ?>

                </div>
            <?php endif; ?>
            <div class="less-wrap-2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Topics</h6>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tab-content" id="pills-tabContent">

                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'level' ? 'show active' : '') : 'show active'); ?>" id="pills-levels" role="tabpanel"
                                    aria-labelledby="pills-levels-tab">
                                    <div class="tabcontent-3">
                                        <div class="row">
                                            <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                                <div class="cen-info">
                                                    <h5 for="class_Name">Level</h5>
                                                    <select class="disselect-2 kt-input" id="level" name="level">
                                                        <option value="">Select Level</option>
                                                        <?php $__currentLoopData = $levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($level->id); ?>" ><?php echo e($level->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                                <div class="cen-info">
                                                    <h5 for="class_Name">Subject</h5>
                                                    <select class="disselect-2 kt-input" id="subject" name="subject">
                                                        <option value="">Select Subject</option>
                                                        <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($subject->id); ?>" ><?php echo e($subject->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="filters_btn">
                                                <div class="cen-info">
                                                    <label for="class_Name" class="blank_class">&nbsp;</label>
                                                    <button class="btn-opcm py-2 px-7" id="filter">Filter</button>
                                                    <label for="class_Name" class="blank_class">&nbsp;</label>
                                                    <button class="btn-opcm py-2 px-7" style="background: white;color:black;" id="reset">Reset</button>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="col-xl-12">
                                                <div class="opcm-btn">
                                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create-topic')): ?>
                                                    <a href="<?php echo e(route('topic.create')); ?>" class="btn-opcm"><i class="fas fa-plus-circle"></i>New Topic</a>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                            <div class="col-xl-12">

                                                    <div class="table-wrap-box">
                                                        <table id="topicDatatable" class="table table-striped-2 display" style="width:100%">
                                                            <thead>
                                                                <tr>
                                                                    <th class="th-left">Level</th>
                                                                <th class="th-center">Subject</th>
                                                                <th class="th-center">Topic</th>
                                                                <th class="th-center">Added Date</th>
                                                                <th class="th-center">up</th>
                                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['delete-topic','edit-topic'])): ?>
                                                                <th class="th-center">Actions</th>
                                                                <?php else: ?>
                                                                <th class="th-center"></th>
                                                                <?php endif; ?>
                                                                </tr>
                                                            </thead>
                                                        </table>
                                                    </div>

                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
<?php $__env->startPush('scripts'); ?>
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
<script>
$(function() {
    $('#topicDatatable').DataTable({
        dom:'Bfrtip',
                buttons: [
                    {
                        extend: 'csv',
                        className:'btn-opcm btn-primary',
                        text: '<i class="fas fa-file-export"></i> Export to csv',
                        title: 'Topics',
                        page:"all",
                        exportOptions: {
                            modifer: {
                               page: 'all',
                            },
                            columns: [ 0, 1, 2, 3]
                        }
                    },
                ],
        processing: true,
        serverSide: false,
        scrollX:true,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        order:[4, 'desc'],
        "ajax": {
            'url': '<?php echo route("topic.data"); ?>',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: function(d) {
                d.level = $('#level').val();
                d.subject = $('#subject').val();
            }
        },
        columns: [
            {data: 'level_id', name: 'level_id', className: 'th-left'},
            {data: 'subject_id', name: 'subject_id', className: 'th-center'},
            {data: 'name', name: 'name', className: 'th-center'},
            {data: 'created_at', name: 'created_at', className: 'th-center'},
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
            {data: 'actions', name: 'actions', className: 'th-center',
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['delete-topic','edit-topic'])): ?>
            visible:true
            <?php else: ?>
            visible:false
            <?php endif; ?>
        }
        ]
    });
    var table1 = $('#topicDatatable').DataTable();
        $('#filter').on('click', function(e) {
            e.preventDefault();
            var params = {};
            $('.kt-input').each(function() {
                var i = $(this).data('col-index');
                if (params[i]) {
                    params[i] += '|' + $(this).val();
                } else {
                    params[i] = $(this).val();
                }
            });
            $.each(params, function(i, val) {
                table1.column(i).search(val ? '.*' + val : '', true, false);
            });
            table1.table().draw();
            table1.ajax.reload();
        });
        $('#reset').on('click', function(e) {
            location.reload();
            e.preventDefault();
            var params = {};
            $('.kt-input').each(function() {
                var i = $(this).data('col-index');
                if (params[i]) {
                    params[i] += '|' + '';
                } else {
                    params[i] = '';
                }
                $(this).val('');
            });
            $.each(params, function(i, val) {
                table1.column(i).search(val ? '.*' + val : '', false, false);
            });
            table1.table().draw();
        });

        $('#level').change(function() {
            $("select[name='subject'] > option").remove();
            $('#subject').append('<option value="">Select Subject</option>');
            $.ajax({
                url: '<?php echo e(url("subject/get_topic")); ?>?level=' + $('#level').val(),
                data:{type:'subject'},
                success: function(response) {
                    $.each(response.subjects, function(key,value) {
                        $('#subject').append('<option value="' +value.id +'">' +value.name + ' </option>');
                    });
                }
            });
        });
        $(".dataTables_filter").find('input').addClass('input__textbox col-8');
});
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/topics/index.blade.php ENDPATH**/ ?>