<?php

namespace App\Exports;

use App\Models\Account;
use App\Models\User;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class ParentExport implements FromView
{
    /**
    * @return \Illuminate\Support\Collection
    */
    public function view(): View
    {
        $user = User::role('parent')->pluck('id')->toArray();
        $parents = Account::whereIn('user_id', $user)->get();
        $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
        return view('exports.parent-report', compact('parents','months'));
    }
}
