<?php

namespace App\Mail;

// use App\Models\Tutor;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class AdminNotificationForTutorCreation extends Mailable
{
    use Queueable, SerializesModels;

    public $tutor;
    public function __construct($tutor)
    {
        $this->tutor = $tutor;
    }

    public function build()
    {
        return $this->view('emails.admin_notification')->with('tutor',$this->tutor);
    }
}
