<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTuitionCentresTable extends Migration
{
    public function up()
    {
        Schema::create('tuition_centres', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->nullable();
            $table->integer('created_by')->nullable();
            $table->string('name', 255);
            $table->string('uen', 255)->nullable();
            $table->string('street_name', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->integer('zip_code')->nullable();
            $table->string('email', 255)->nullable();
            $table->string('contact_number', 255)->nullable();
            $table->string('website', 255)->nullable()->nullable();
            $table->string('contact_person_name', 255)->nullable();
            $table->string('contact_person_email', 255)->nullable();
            $table->string('contact_person_number', 255)->nullable();
            $table->string('username', 255)->nullable();
            $table->string('logo_name', 255)->nullable();
            $table->string('remarks', 255)->nullable();
            $table->string('description', 255)->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('tuition_centres');
    }
}
