<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSuperadminsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('superadmins', function (Blueprint $table) {
            $table->id();
            $table->string('profile_picture', 255)->nullable();
            $table->integer('user_id');
            $table->string('first_name', 255);
            $table->string('last_name', 255);
            $table->integer('gender');
            $table->string('street_name', 255);
            $table->string('state', 255);
            $table->string('city', 255);
            $table->integer('zip_code')->nullable();
            $table->string('email', 255);
            $table->string('contact_number', 255);
            $table->string('username', 255);
            $table->string('remarks', 255)->nullable();
            $table->string('status', 255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('superadmins');
    }
}
