<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateParenttutorlinksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('parenttutorlinks', function (Blueprint $table) {
            $table->id();
            $table->enum('provider_type', ['tutor','centre'])->default('tutor');
            $table->integer('parent_id')->nullable();
            $table->integer('service_provider_id')->nullable();
            $table->enum('status', ['active','inactive'])->default('active');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('parenttutorlinks');
    }
}
