<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RecurrClassSchedules extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('recurr_class_schedules', function (Blueprint $table) {
            $table->id();
            $table->integer('class_id');
            $table->integer('lesson_no');
            $table->date('lesson_date', 255);
            $table->string('start_time', 255);
            $table->integer('duration_hrs')->nullable();
            $table->integer('duration_min')->nullable();
            $table->string('end_time', 255);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
