@can('show-details-admin')
<a href="{{ route('admin.show', $admin->id).'?show=1'}}" title="View Details" class="btn btn-sm opcm-edit">
    <i class="fas fa-eye text-secondary"></i>
</a>
@endcan
@can('edit-admin')
<a href="{{ route('admin.edit', $admin->id)}}" title="Edit" class="btn btn-sm opcm-edit">
<i class="fas fa-pen text-success"></i>
</a>
@endcan
@can('delete-admin')
@if($admin->roles->first()->name != 'super_admin')
<form action="{{route('admin.destroy', $admin->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	{{ csrf_field()}}
	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form>
@endif
@endcan
