
@can('show-details-class')
<a href="{{ route('class.show', $class->id).'?show=1'}}" title="View Details" class="btn btn-sm opcm-edit">
    <i class="fas fa-eye text-secondary"></i>
</a>
@endcan
@can('edit-class')
<a href="{{ route('class.edit', $class->id)}}" title="Edit" class="btn btn-sm opcm-edit">
<i class="fas fa-pen text-success"></i>
</a>
@endcan
@can('delete-class')
<form action="{{route('class.destroy', $class->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	{{ csrf_field()}}
	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form>
@endcan
@can('student-attendance')
<a href="{{ route('attendance.index', ['id' => $class->id])}}" title="Attendance" class="btn btn-sm opcm-edit">
    <i class="fas fa-font text-primary"></i>
</a>
@endcan
@can('rating-class')
<a href="{{ route('class.rating', ['class_id' => $class->id])}}" title="Rating" class="btn btn-sm opcm-edit">
    <i class="fas fa-star text-warning"></i>
</a>
@endcan
