
@foreach($centres as $key1 => $centre)
@php
    $class_ids = App\Models\ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
    $class = App\Models\ScheduleClass::whereIn('id',$class_ids)->pluck('name')->implode(',');
@endphp
<hr>
<table class="table table-bordered">
    @if($key1 == 0)
    <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td><b>Year </b></td>
        <td> {{ $year}} </td>
    </tr>
    <tr></tr>
    @endif
    <tr  style="border-top: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td><b>Centre Name </b></td>
        <td> {{ $centre->name}} </td>
    </tr>
    {{-- <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <td colspan='2'></td>
        <td colspan='13'><b>Class Name: </b>{{ $class ? $class : ' - '}}
        </td>
    </tr> --}}
    <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <th class="centering col-2">Month</th>
        <th class="centering">Jan</th>
        <th class="centering">Feb</th>
        <th class="centering">Mar</th>
        <th class="centering">Apr</th>
        <th class="centering">May</th>
        <th class="centering">Jun</th>
        <th class="centering">Jul</th>
        <th class="centering">Aug</th>
        <th class="centering">Sep</th>
        <th class="centering">Oct</th>
        <th class="centering">Nov</th>
        <th class="centering">Dec</th>
        <th class="centering">Total</th>
    </tr>
    <tbody>
        <!-- --------------------MAX SIZE -------------------------->
        <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering"  style="vertical-align:middle">
                Enrolled Students</td>
                @php
                    $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                    $enrolled = [];
                    $enrolled_total = 0;
                @endphp
            @foreach ($months as $key => $month)
            @php
               $m = date("n",strtotime($month));
               $std_id =  App\Models\StudentClass::whereIn('class_id',$class_ids)->where('student_status','1')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
               $enrolled[$key] = $std_id;
               $enrolled_total += $std_id;
            @endphp
            @endforeach
            @foreach ($enrolled as $enroll)
            <td class="centering">{{ $enroll }}</td>
            @endforeach
            <th class="centering"  style="vertical-align:middle">
                {{ $enrolled_total }}</th>
        </tr>
        <tr>

        </tr>
        <!-- -------------------- current stude -------------------------->
        <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering"  style="vertical-align:middle">
                Enquired Students</td>
                @php
                    $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                    $enquired = [];
                    $enquired_total = 0;
                @endphp
            @foreach ($months as $key => $month)
            @php
               $m = date("n",strtotime($month));
               $std_id =  App\Models\StudentClass::whereIn('class_id',$class_ids)->where('student_status','0')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
               $enquired[$key] = $std_id;
               $enquired_total += $std_id;
            @endphp
            @endforeach
            @foreach ($enquired as $enquire)
            <td class="centering">{{ $enquire }}</td>
            @endforeach
            <th class="centering"  style="vertical-align:middle">
                {{ $enquired_total }}</th>
        </tr>
        <tr>

        </tr>
        <!-- --------------------%%%%%%%% -------------------------->
        <tr  style="border-bottom: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering" >Clicked to their Page</td>
            @php
                $clicked_arr = [];
                $clicked_total = 0;
            @endphp
            @foreach ($months as $key => $month)
            @php
                $m = date("n",strtotime($month));
                $clicked = App\Models\ClickedPage::where('user_role','center')->where('provider_id',$centre->id)->whereYear('created_at',$year)->whereMonth('created_at', $m)->first();
                $clicked_arr[$key] = $clicked ? $clicked->clicked_count : 0;
                $clicked_total += $clicked ? $clicked->clicked_count : 0;
            @endphp
            @endforeach
            {{-- @dd($clicked_arr) --}}
            @foreach ($clicked_arr as $click)
            <td class="centering">{{ $click }}</td>
            @endforeach
            <th class="centering">
            {{ $clicked_total }}
            </th>
        </tr>
        <!-- -------------------- New registered -------------------------->
    </tbody>
</table>
@endforeach


