@role('super_admin|admin')
<table class="table table-bordered">
    <tr>
        <th class="centering "  >Student Name</th>
        <th class="centering "  >Email</th>
        @if($role == 'student')
        <th class="centering">Contact No</th>
        <th class="centering">Parent Name</th>
        @endif
        <th class="centering "  >Class Name And Timing</th>
        @if($role != 'student')
        <th class="centering "  >Added Date</th>
        @endif
        @if($role == 'student')
        <th class="th-center">Status</th>
        @endif
    </tr>
    <tbody>
        @foreach ($students as $acc)
        <tr>
            @php
                 $std = App\Models\Account::where('user_id',$acc->id)->first();
                 $parent = $std ? App\Models\Account::where('id',$std->parent_id)->first() : '';
                 $array = [];
                 if($role == 'tutor' || $role == 'tuition center'){
                    $classes = App\Models\StudentClass::where('student_id',$std->id)->get();
                    foreach($classes as $class){
                    if(in_array($class->class_id,$class_ids)){
                        $status = $class->student_status == 0 ? '(Enquired)' : '(Enrolled)';
                        $class = App\Models\ScheduleClass::find($class->class_id);
                        array_push($array,$class ? $class->name.' ('.date('d-m-Y', strtotime($class->class_date)).' To '.date('d-m-Y', strtotime($class->endRecurring_date)).')'.' ('.date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)).')'.$status : '');
                    }
                    }
                 }else{
                    $classes = App\Models\StudentClass::where('student_id',$std->id)->get();
                    foreach($classes as $class){
                    $status = $class->student_status == 0 ? '(Enquired)' : '(Enrolled)';
                    $class = App\Models\ScheduleClass::find($class->class_id);
                     array_push($array,$class ? $class->name.' ('.date('d-m-Y', strtotime($class->class_date)).' To '.date('d-m-Y', strtotime($class->endRecurring_date)).')'.' ('.date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)).')'.$status : '');
                    }
                 }
            @endphp
            <td class="centering"  >{{ $std->first_name.' '.$std->last_name }}</td>
            <td class="centering"  >{{ $acc->email }}</td>
            @if($role == 'student')
            <td class="centering"  >{{  $std->contact_number ? '+'.substr($std->contact_number, 0, -10).' '.str_replace(substr($std->contact_number, 0, -10), '', $std->contact_number) : ''}}</td>
            <td class="centering"  >{{ $parent ? $parent->first_name.' '.$parent->last_name  : '' }}</td>
            @endif
            <td class="centering"  >{{ implode(',',$array) }}</td>
            @if($role != 'student')
            <td class="centering"  >{{ date('d-m-Y', strtotime($acc->created_at)) }}</td>
            @endif
            @if($role == 'student')
            <td class="centering"  >{{ $std->status == 'inactive' ? 'Inactive' : 'Active' }}</td>
            @endif
        </tr>
        @endforeach
    </tbody>
</table>
@else
<table class="table table-bordered">
    <tr>
        <th class="centering "  >Student Name</th>
        <th class="centering "  >Email</th>
        <th class="centering "  >Parent Name</th>
        <th class="centering "  >Class Name And Timing</th>
        <th class="centering "  >Created At</th>
        <th class="centering "  >Status</th>
    </tr>
    <tbody>
        @foreach ($students as $acc)
        <tr>
            @php
                 $student = App\Models\Account::find($acc->student_id);
                 $class = App\Models\ScheduleClass::find($acc->class_id);
            @endphp
            <td class="centering"  >{{ $student ? $student->first_name.' '.$student->last_name : '' }}</td>
            <td class="centering"  >{{ $student ? $student->email : '' }}</td>
            <td class="centering"  >{{ $student ? (App\Models\Account::find($student->parent_id) ? App\Models\Account::find($student->parent_id)->first_name.' '.App\Models\Account::find($student->parent_id)->last_name : '') : '' }}</td>
            <td class="centering"  >{{ $class ? $class->name.' ('.date('d-m-Y', strtotime($class->class_date)).' To '. date('d-m-Y', strtotime($class->endRecurring_date)).') ('.date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)).')' : '' }}</td>
            <td class="centering"  >{{ date('d-m-Y', strtotime($acc->created_at)) }}</td>
            <td class="centering"  >{{ $acc->student_status == 0 ? 'Enquired' : 'Enrolled'}}</td>
        </tr>
        @endforeach
    </tbody>
</table>
@endrole
