
<hr>
<table class="table table-bordered">
    <tr><td>Year</td><td>{{ $year }}</td></tr>
    <tr></tr>
    <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
        <th class="centering col-2" >Month</th>
        <th class="centering">Jan</th>
        <th class="centering">Feb</th>
        <th class="centering">Mar</th>
        <th class="centering">Apr</th>
        <th class="centering">May</th>
        <th class="centering">Jun</th>
        <th class="centering">Jul</th>
        <th class="centering">Aug</th>
        <th class="centering">Sep</th>
        <th class="centering">Oct</th>
        <th class="centering">Nov</th>
        <th class="centering">Dec</th>
        <th class="centering">Total</th>
    </tr>
    <tbody>
        <!-- --------------------MAX SIZE -------------------------->
        <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering" style="vertical-align:middle">
                Tutors</td>
                @php
                    $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                    $tutors_arr = [];
                    $tutors_total = 0;
                @endphp
            @foreach ($months as $key => $month)
            @php
               $m = date("n",strtotime($month));
               $user = App\Models\User::role('tutor')->pluck('id')->toArray();
               $tutors = App\Models\Account::whereIn('user_id', $user)->orderBy('updated_at','desc')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
               $tutors_arr[$key] = $tutors;
               $tutors_total += $tutors;
            @endphp
            @endforeach
            @foreach ($tutors_arr as $tutor)
            <td class="centering">{{ $tutor }}</td>
            @endforeach
            <th class="centering" style="vertical-align:middle">
                {{ $tutors_total }}</th>
        </tr>
        <tr>

        </tr>
        <!-- -------------------- current stude -------------------------->
        <tr style="border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering" style="vertical-align:middle">
                Tuition Centres</td>
                @php
                    $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
                    $center_arr = [];
                    $center_total = 0;
                @endphp
            @foreach ($months as $key => $month)
            @php
               $m = date("n",strtotime($month));
               $centers = App\Models\TuitionCentre::orderBy('updated_at','desc')->whereYear('created_at',$year)->whereMonth('created_at', $m)->get()->count();
               $center_arr[$key] = $centers;
               $center_total += $centers;
            @endphp
            @endforeach
            @foreach ($center_arr as $center)
            <td class="centering">{{ $center }}</td>
            @endforeach
            <th class="centering" style="vertical-align:middle">
                {{ $center_total }}</th>
        </tr>
        <tr>

        </tr>
        <!-- --------------------%%%%%%%% -------------------------->
        <tr  style="border-bottom: 2px solid rgba(110, 107, 107, 0.596);border-left:2px solid rgba(110, 107, 107, 0.596);border-right:2px solid rgba(110, 107, 107, 0.596);">
            <td class="centering" >Parents</td>
            @php
                $parents_arr = [];
                $parents_total = 0;
            @endphp
            @foreach ($months as $key => $month)
            @php
               $m = date("n",strtotime($month));
               $user = App\Models\User::role('parent')->whereYear('created_at',$year)->whereMonth('created_at', $m)->pluck('id')->toArray();
               $parents = App\Models\Account::whereIn('user_id', $user)->get()->count();
               $parents_arr[$key] = $parents;
               $parents_total += $parents;
            @endphp
            @endforeach
            {{-- @dd($clicked_arr) --}}
            @foreach ($parents_arr as $parent)
            <td class="centering">{{ $parent }}</td>
            @endforeach
            <th class="centering">
            {{ $parents_total }}
            </th>
        </tr>
        <!-- -------------------- New registered -------------------------->
    </tbody>
</table>
{{-- @endforeach --}}


