<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script> -->
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="assets/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="assets/css/chosen.min.css" rel="stylesheet" type="text/css">
    <title>Tuition King</title>
</head>

<body>
    <!-- <header>
        <div class="container">
            <div class="logo-wrap">
                <a href="https://tuitionking.swotfishdemo.cc"><img src="assets/images/logo.png"></a>
            </div>
        </div>
    </header> -->
    <section class="web-header">
        <div class="container">
            <div class="row">
                <div class="col-xl-6">
                    <div class="logo-wrap">
                        @php
                        $user = Auth::user();
                        @endphp
                        @if($user == '')
                        <!-- <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="assets/images/logo.png"></a> -->
                        <a href="https://tuitionking.swotfishdemo.cc/"><img src="assets/images/logo.png"></a>
                        @else
                          @if($user->roles->first()->name != 'student' && $user->roles->first()->name != 'parent')
                          <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="assets/images/logo.png"></a>
                          @else
                          <a href="https://tuitionking.swotfishdemo.cc/"><img src="assets/images/logo.png"></a>
                          @endif
                        @endif
                    </div>
                </div>
                {{-- <div class="col-xl-6 d-flex justify-content-center flex-column">
                    <div class="header-menu">
                        <ul>
                            <li>
                                <div class="dropdown">
                                    <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        Parents
                                    </button>
                                    <ul class="dropdown-menu">
                                        <li><button class="dropdown-item" type="button">Log In</button></li>
                                        <li><button class="dropdown-item" type="button" onclick="location.href='{{ route('create-parent-account') }}'">Create an account</button></li>
                                    </ul>
                                </div>
                            </li>
                            <li>
                                <div class="dropdown">
                                    <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        Tutors
                                    </button>
                                    <ul class="dropdown-menu">
                                        <li><button class="dropdown-item" type="button">Log In</button></li>
                                        <li><button class="dropdown-item" type="button">Create an account</button></li>

                                    </ul>
                                </div>
                            </li>
                            <li>
                                <div class="dropdown">
                                    <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        Tuition Centres
                                    </button>
                                    <ul class="dropdown-menu">
                                        <li><button class="dropdown-item" type="button">Log In</button></li>
                                        <li><button class="dropdown-item" type="button">Create an account</button></li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div> --}}

            </div>
        </div>
    </section>
    @yield('content')
    @stack('scripts')
</body>

</html>
