@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <div class="container">
        <div class="row">
            @if(session()->has('message'))
                <div class="alert alert-success">
                    {{ session()->get('message') }}
                </div>
            @endif
            <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                <div class="opcm-head-2">
                    <h2>Welcome <b>{{ $parent->firstname}} {{ $parent->lastname }}</b></h2>
                </div>
            </div>
            <div class="col-xl-12 text-center" style="font-size: 104px;opacity:0.5;color:#d1962b">
                <div class="opcm-wrap">
                   <b> DASHBOARD </b>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@push('scripts')
<!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.5.1.js"></script> -->
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
@endpush
