@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <div class="container">
        <div class="row">
            @if(session()->has('message'))
            <div class="alert alert-success">
                {{ session()->get('message') }}
            </div>
        @endif
            <div class="col-xl-6">
                <div class="adm-info-head">
                    <h5>Roles and Permissions</h5>
                </div>
            </div>
            <div class="col-xl-6 d-flex justify-content-end">
                <div class="back-btn-wrap">
                    <a href="{{ route('role.index') }}" class="back-btn">Back</a>
                </div>
            </div>
            <div class="tab-wrap">
                <div class="row">
                    <div class="permis">
                        <div class="container">
                            <div class="row">
                                <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                    <div class="table-text-wrap">
                                        {{-- <table id="example" class="table table-striped-2 display" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th>Permissions</th>
                                                </tr>
                                            </thead>
                                            <input value="{{ $role->name }}" type="hidden" id="role"/>
                                            <tbody>
                                                @php $index=0; @endphp
                                                @foreach($permissions as $permission)
                                                @php $tst_index = 0;  @endphp
                                                <tr>
                                                    <td>{{ str_replace("-", " ", ucfirst($permission->name)) }}</td>
                                                        <td class="lo">
                                                            <label class="checkbox5" for="myCheckboxId{{$index}}">
                                                                @php
                                                                    $find = DB::table('role_has_permissions')->where('permission_id',$permission->id)->where('role_id',$role->id)->first();
                                                                @endphp
                                                                @if($find != '')
                                                                    <input data-perm="{{ $permission->id }}" data-role="{{ $role->id }}" class="checkbox__input5" type="checkbox" id="myCheckboxId{{$index}}" checked>
                                                                        <div class="checkbox__box5"></div>
                                                                @else
                                                                    <input data-perm="{{ $permission->id }}" data-role="{{ $role->id }}" class="checkbox__input5" type="checkbox" id="myCheckboxId{{$index}}">
                                                                    <div class="checkbox__box5"></div>
                                                                @endif
                                                        </td>
                                                        @php $index++; @endphp
                                                </tr>
                                                @endforeach
                                            </tbody>
                                        </table> --}}
                                        <form method="POST" action="{{ route('role.update-permission') }}" id="AdminForm">
                                            @csrf
                                            <input type="hidden" name="role_id" value="{{ $role ? $role->id : '' }}"/>
                                            <div class="col-xl-4">
                                                <div class="admin-profile-wrap">
                                                    <div class="admin-icon-box">
                                                        <i class="fas fa-user-cog"></i>
                                                    </div>
                                                    <div class="admin-profile-information">
                                                        <h4>Name</h4>
                                                        @if (empty($role))
                                                        <p><input name="role_name" id="role_name" type="text" class="input__textbox"/></p>
                                                        @else
                                                        <p> {{ $role->name == 'tuition center' ? 'Tuition Centre' : str_replace('_', ' ', ucwords($role->name))  }}</p>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                         <hr>
                                         <div class="row">
                                            @if(empty($role))
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Tuition Centres</label>
                                                   <div class="checkbox-list col-xl-12" >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId1">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId1" name="perms[]" value="1" {{ in_array(1, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId2">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId2" name="perms[]" value="2" {{ in_array(2, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId3">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId3" name="perms[]" value="3" {{ in_array(3, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId4">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId4" name="perms[]" value="4" {{ in_array(4, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId5">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId5" name="perms[]" value="5" {{ in_array(5, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Tutors</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId6">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId6" name="perms[]" value="6" {{ in_array(6, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId7">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId7" name="perms[]" value="7" {{ in_array(7, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId8">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId8" name="perms[]" value="8" {{ in_array(8, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId9">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId9" name="perms[]" value="9" {{ in_array(9, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId10">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId10" name="perms[]" value="10" {{ in_array(10, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Parents</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId11">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId11" name="perms[]" value="11" {{ in_array(11, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId12">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId12" name="perms[]" value="12" {{ in_array(12, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId13">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId13" name="perms[]" value="13" {{ in_array(13, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId14">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId14" name="perms[]" value="14" {{ in_array(14, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId15">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId15" name="perms[]" value="15" {{ in_array(15, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Students</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId16">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId16" name="perms[]" value="16" {{ in_array(16, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId17">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId17" name="perms[]" value="17" {{ in_array(17, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId18">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId18" name="perms[]" value="18" {{ in_array(18, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId19">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId19" name="perms[]" value="19" {{ in_array(19, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId20">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId20" name="perms[]" value="20" {{ in_array(20, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Users</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId21">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId21" name="perms[]" value="95" {{ in_array(95, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId22">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId22" name="perms[]" value="96" {{ in_array(96, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId23">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId23" name="perms[]" value="97" {{ in_array(97, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId24">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId24" name="perms[]" value="98" {{ in_array(98, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId25">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId25" name="perms[]" value="99" {{ in_array(99, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Addresses</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId94">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId94" name="perms[]" value="75" {{ in_array(75, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Addresses</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Levels</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId26">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId26" name="perms[]" value="28" {{ in_array(28, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId27">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId27" name="perms[]" value="29" {{ in_array(29, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId28">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId28" name="perms[]" value="30" {{ in_array(30, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId29">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId29" name="perms[]" value="31" {{ in_array(31, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Subjects</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId30">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId30" name="perms[]" value="32" {{ in_array(32, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId31">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId31" name="perms[]" value="33" {{ in_array(33, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId32">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId32" name="perms[]" value="34" {{ in_array(34, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId33">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId33" name="perms[]" value="35" {{ in_array(35, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Topics</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId34">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId34" name="perms[]" value="36" {{ in_array(36, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId35">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId35" name="perms[]" value="37" {{ in_array(37, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId36">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId36" name="perms[]" value="38" {{ in_array(38, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId37">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId37" name="perms[]" value="39" {{ in_array(39, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Lessons</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId38">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId38" name="perms[]" value="40" {{ in_array(40, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId39">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId39" name="perms[]" value="41" {{ in_array(41, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId40">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId40" name="perms[]" value="42" {{ in_array(42, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId41">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId41" name="perms[]" value="43" {{ in_array(43, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Classes</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId42">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId42" name="perms[]" value="44" {{ in_array(44, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId43">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId43" name="perms[]" value="45" {{ in_array(45, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId44">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId44" name="perms[]" value="46" {{ in_array(46, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId45">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId45" name="perms[]" value="47" {{ in_array(47, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId115">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId115" name="perms[]" value="100" {{ in_array(100, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Rating</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId46">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId46" name="perms[]" value="48" {{ in_array(48, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId52">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId52" name="perms[]" value="54" {{ in_array(54, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Attendance</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId114">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId114" name="perms[]" value="72" {{ in_array(72, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Sponsor to Normal</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId71">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId71" name="perms[]" value="71" {{ in_array(71, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Normal To sponsor</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Support</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId72">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId72" name="perms[]" value="55" {{ in_array(55, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId73">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId73" name="perms[]" value="56" {{ in_array(56, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId74">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId74" name="perms[]" value="57" {{ in_array(57, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId75">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId75" name="perms[]" value="58" {{ in_array(58, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId76">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId76" name="perms[]" value="59" {{ in_array(59, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Contact Us</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId77">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId77" name="perms[]" value="73" {{ in_array(73, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId78">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId78" name="perms[]" value="74" {{ in_array(74, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Broadcast</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId79">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId79" name="perms[]" value="60" {{ in_array(60, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId80">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId80" name="perms[]" value="61" {{ in_array(61, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId81">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId81" name="perms[]" value="62" {{ in_array(62, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId82">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId82" name="perms[]" value="63" {{ in_array(63, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId83">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId83" name="perms[]" value="64" {{ in_array(64, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Send</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">ADS Banner</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId99">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId99" name="perms[]" value="80" {{ in_array(80, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId100">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId100" name="perms[]" value="81" {{ in_array(81, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId101">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId101" name="perms[]" value="82" {{ in_array(82, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId102">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId102" name="perms[]" value="83" {{ in_array(83, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Reports</label>
                                                    <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId103">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId103" name="perms[]" value="84" {{ in_array(84, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Parent Report</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId104">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId104" name="perms[]" value="85" {{ in_array(85, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Centre Report</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId105">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId105" name="perms[]" value="86" {{ in_array(86, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Tutor Report</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId106">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId106" name="perms[]" value="87" {{ in_array(87, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Summary Report</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId107">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId107" name="perms[]" value="88" {{ in_array(88, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View ADS Statistic Report</span>
                                                           </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                            @else
                                            @if($role->name == 'tuition center' || $role->name == 'super_admin' || $role->name == 'admin' || $role->name == 'tutor' || $role->name == 'parent' || $role->name == 'student')
                                            @if($role->name == 'super_admin' || $role->name == 'admin')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Tuition Centres</label>
                                                   <div class="checkbox-list col-xl-12" >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId1">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId1" name="perms[]" value="1" {{ in_array(1, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId2">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId2" name="perms[]" value="2" {{ in_array(2, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId3">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId3" name="perms[]" value="3" {{ in_array(3, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId4">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId4" name="perms[]" value="4" {{ in_array(4, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId5">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId5" name="perms[]" value="5" {{ in_array(5, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'super_admin' || $role->name == 'admin')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Tutors</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId6">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId6" name="perms[]" value="6" {{ in_array(6, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId7">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId7" name="perms[]" value="7" {{ in_array(7, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId8">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId8" name="perms[]" value="8" {{ in_array(8, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId9">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId9" name="perms[]" value="9" {{ in_array(9, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId10">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId10" name="perms[]" value="10" {{ in_array(10, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'super_admin' || $role->name == 'admin')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Parents</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId11">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId11" name="perms[]" value="11" {{ in_array(11, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId12">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId12" name="perms[]" value="12" {{ in_array(12, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId13">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId13" name="perms[]" value="13" {{ in_array(13, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId14">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId14" name="perms[]" value="14" {{ in_array(14, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId15">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId15" name="perms[]" value="15" {{ in_array(15, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name != 'student')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   @if($role->name != 'parent')
                                                   <label class="font-weight-bold">Students</label>
                                                   @else
                                                   <label class="font-weight-bold">Children</label>
                                                   @endif
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           @if($role->name != 'parent')
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId16">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId16" name="perms[]" value="16" {{ in_array(16, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           @endif
                                                           @if($role->name != 'tuition center' && $role->name != 'tutor')
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId17">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId17" name="perms[]" value="17" {{ in_array(17, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId18">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId18" name="perms[]" value="18" {{ in_array(18, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId19">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId19" name="perms[]" value="19" {{ in_array(19, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId20">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId20" name="perms[]" value="20" {{ in_array(20, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                           @endcan
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'super_admin')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Users</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                    <div class="class-sel">
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId21">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId21" name="perms[]" value="95" {{ in_array(95, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>View</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId22">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId22" name="perms[]" value="96" {{ in_array(96, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>Create</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId23">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId23" name="perms[]" value="97" {{ in_array(97, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>Edit</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId24">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId24" name="perms[]" value="98" {{ in_array(98, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>Delete</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId25">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId25" name="perms[]" value="99" {{ in_array(99, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>View Details</span>
                                                        </label>
                                                    </div>
                                                </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name != 'student' && $role->name != 'parent')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Addresses</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId94">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId94" name="perms[]" value="75" {{ in_array(75, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Addresses</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name != 'student' && $role->name != 'parent')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Levels</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId26">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId26" name="perms[]" value="28" {{ in_array(28, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId27">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId27" name="perms[]" value="29" {{ in_array(29, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId28">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId28" name="perms[]" value="30" {{ in_array(30, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId29">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId29" name="perms[]" value="31" {{ in_array(31, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Subjects</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId30">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId30" name="perms[]" value="32" {{ in_array(32, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId31">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId31" name="perms[]" value="33" {{ in_array(33, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId32">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId32" name="perms[]" value="34" {{ in_array(34, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId33">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId33" name="perms[]" value="35" {{ in_array(35, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Topics</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId34">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId34" name="perms[]" value="36" {{ in_array(36, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId35">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId35" name="perms[]" value="37" {{ in_array(37, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId36">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId36" name="perms[]" value="38" {{ in_array(38, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId37">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId37" name="perms[]" value="39" {{ in_array(39, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Lessons</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId38">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId38" name="perms[]" value="40" {{ in_array(40, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId39">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId39" name="perms[]" value="41" {{ in_array(41, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId40">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId40" name="perms[]" value="42" {{ in_array(42, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId41">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId41" name="perms[]" value="43" {{ in_array(43, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Classes</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId42">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId42" name="perms[]" value="44" {{ in_array(44, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId43">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId43" name="perms[]" value="45" {{ in_array(45, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId44">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId44" name="perms[]" value="46" {{ in_array(46, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId45">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId45" name="perms[]" value="47" {{ in_array(47, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId115">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId115" name="perms[]" value="100" {{ in_array(100, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Rating</span>
                                                            </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId46">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId46" name="perms[]" value="48" {{ in_array(48, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId52">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId52" name="perms[]" value="54" {{ in_array(54, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Attendance</span>
                                                           </label>
                                                           @if($role->name == 'super_admin' || $role->name == 'admin' || $role->name == 'tutor' || $role->name == 'tuition center' )
                                                               <label class="checkbox51 col-xl-10" for="myCheckboxId114">
                                                                   <input class="checkbox__input51" type="checkbox" id="myCheckboxId114" name="perms[]" value="72" {{ in_array(72, $permissions) ? 'checked':'' }}>
                                                                   <div class="checkbox__box51"></div>
                                                                   <span>Sponsor to Normal</span>
                                                               </label>
                                                               <label class="checkbox51 col-xl-10" for="myCheckboxId71">
                                                                   <input class="checkbox__input51" type="checkbox" id="myCheckboxId71" name="perms[]" value="71" {{ in_array(71, $permissions) ? 'checked':'' }}>
                                                                   <div class="checkbox__box51"></div>
                                                                   <span>Normal To sponsor</span>
                                                               </label>
                                                           @endif
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name != 'student' && $role->name != 'parent')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Support</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId72">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId72" name="perms[]" value="55" {{ in_array(55, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId73">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId73" name="perms[]" value="56" {{ in_array(56, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId74">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId74" name="perms[]" value="57" {{ in_array(57, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId75">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId75" name="perms[]" value="58" {{ in_array(58, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId76">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId76" name="perms[]" value="59" {{ in_array(59, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'admin' || $role->name == 'super_admin')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Contact Us</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId77">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId77" name="perms[]" value="73" {{ in_array(73, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId78">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId78" name="perms[]" value="74" {{ in_array(74, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Broadcast</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId79">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId79" name="perms[]" value="60" {{ in_array(60, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId80">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId80" name="perms[]" value="61" {{ in_array(61, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId81">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId81" name="perms[]" value="62" {{ in_array(62, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId82">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId82" name="perms[]" value="63" {{ in_array(63, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId83">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId83" name="perms[]" value="64" {{ in_array(64, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Send</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'tutor')
                                            <input class="checkbox__input51" type="hidden"  name="perms[]" value="10" >
                                            @elseif($role->name == 'tuition center')
                                            <input class="checkbox__input51" type="hidden"  name="perms[]" value="5">
                                            @elseif($role->name == 'parent')
                                            <input class="checkbox__input51" type="hidden"  name="perms[]" value="15">
                                            @elseif($role->name == 'student')
                                            <input class="checkbox__input51" type="hidden"  name="perms[]" value="20" >
                                            @else
                                            <input class="checkbox__input51" type="hidden"  name="perms[]" value="25" >
                                            @endif
                                            @if($role->name == 'parent')
                                            <div class="col-md-2">
                                               <div class="form-group">
                                                   @if($role->name != 'student')
                                                   <label class="font-weight-bold">Child's Classes</label>
                                                   @endif
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           @if($role->name != 'student')
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId84">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId84" name="perms[]" value="49" {{ in_array(49, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId85">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId85" name="perms[]" value="50" {{ in_array(50, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Create</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId86">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId86" name="perms[]" value="51" {{ in_array(51, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Edit</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId87">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId87" name="perms[]" value="52" {{ in_array(52, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Delete</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId88">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId88" name="perms[]" value="53" {{ in_array(53, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Details</span>
                                                           </label>
                                                           @endif
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'student')
                                               <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Student Class Detail</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId89">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId89" name="perms[]" value="66" {{ in_array(66, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Attendance</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId90">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId90" name="perms[]" value="67" {{ in_array(67, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Feedback</span>
                                                           </label>
                                                           {{-- <label class="checkbox51 col-xl-10" for="myCheckboxId91">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId91" name="perms[]" value="68" {{ in_array(68, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>Class Detail</span>
                                                           </label> --}}
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'parent')
                                               <div class="col-md-2">
                                               <div class="form-group">
                                                   <label class="font-weight-bold">Child Class Detail</label>
                                                   <div class="checkbox-list col-xl-12 " >
                                                       <div class="class-sel">
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId92">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId92" name="perms[]" value="69" {{ in_array(69, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Attendance</span>
                                                           </label>
                                                           <label class="checkbox51 col-xl-10" for="myCheckboxId93">
                                                               <input class="checkbox__input51" type="checkbox" id="myCheckboxId93" name="perms[]" value="70" {{ in_array(70, $permissions) ? 'checked':'' }}>
                                                               <div class="checkbox__box51"></div>
                                                               <span>View Feedback</span>
                                                           </label>
                                                       </div>
                                                   </div>
                                               </div>
                                            </div>
                                            @endif
                                            @if($role->name == 'tuition center')
                                            <div class="col-md-2">
                                            <div class="form-group">
                                                <label class="font-weight-bold">Centres</label>
                                                <div class="checkbox-list col-xl-12 " >
                                                    <div class="class-sel">
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId95">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId95" name="perms[]" value="76" {{ in_array(76, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>View</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId96">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId96" name="perms[]" value="77" {{ in_array(77, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>Create</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId97">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId97" name="perms[]" value="78" {{ in_array(78, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Edit</span>
                                                       </label>
                                                       <label class="checkbox51 col-xl-10" for="myCheckboxId98">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId98" name="perms[]" value="79" {{ in_array(79, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Delete</span>
                                                       </label>
                                                    </div>
                                                </div>
                                            </div>
                                         </div>
                                         @endif
                                         @if($role->name == 'tuition center' || $role->name == 'super_admin' || $role->name == 'admin' || $role->name == 'tutor')
                                            <div class="col-md-2">
                                            <div class="form-group">
                                                <label class="font-weight-bold">ADS Banner</label>
                                                <div class="checkbox-list col-xl-12 " >
                                                    <div class="class-sel">
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId99">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId99" name="perms[]" value="80" {{ in_array(80, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>View</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId100">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId100" name="perms[]" value="81" {{ in_array(81, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>Create</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId101">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId101" name="perms[]" value="82" {{ in_array(82, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Edit</span>
                                                       </label>
                                                       <label class="checkbox51 col-xl-10" for="myCheckboxId102">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId102" name="perms[]" value="83" {{ in_array(83, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Delete</span>
                                                       </label>
                                                    </div>
                                                </div>
                                            </div>
                                         </div>
                                         @endif
                                         @if($role->name == 'super_admin' || $role->name == 'admin')
                                            <div class="col-md-2">
                                            <div class="form-group">
                                                <label class="font-weight-bold">Reports</label>
                                                <div class="checkbox-list col-xl-12 " >
                                                    <div class="class-sel">
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId103">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId103" name="perms[]" value="84" {{ in_array(84, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>View Parent Report</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId104">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId104" name="perms[]" value="85" {{ in_array(85, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>View Centre Report</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId105">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId105" name="perms[]" value="86" {{ in_array(86, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>View Tutor Report</span>
                                                       </label>
                                                       <label class="checkbox51 col-xl-10" for="myCheckboxId106">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId106" name="perms[]" value="87" {{ in_array(87, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>View Summary Report</span>
                                                       </label>
                                                       <label class="checkbox51 col-xl-10" for="myCheckboxId107">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId107" name="perms[]" value="88" {{ in_array(88, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>View ADS Statistic Report</span>
                                                       </label>
                                                    </div>
                                                </div>
                                            </div>
                                         </div>
                                         @endif
                                         @if($role->name == 'parent')
                                            <div class="col-md-2">
                                            <div class="form-group">
                                                <label class="font-weight-bold">Contact Us</label>
                                                <div class="checkbox-list col-xl-12 " >
                                                    <div class="class-sel">
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId108">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId108" name="perms[]" value="89" {{ in_array(89, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>View</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId109">
                                                            <input class="checkbox__input51" type="checkbox" id="myCheckboxId109" name="perms[]" value="90" {{ in_array(90, $permissions) ? 'checked':'' }}>
                                                            <div class="checkbox__box51"></div>
                                                            <span>Create</span>
                                                        </label>
                                                        <label class="checkbox51 col-xl-10" for="myCheckboxId110">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId110" name="perms[]" value="91" {{ in_array(91, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Edit</span>
                                                       </label>
                                                       <label class="checkbox51 col-xl-10" for="myCheckboxId111">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId111" name="perms[]" value="92" {{ in_array(92, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Delete</span>
                                                       </label>
                                                       <label class="checkbox51 col-xl-10" for="myCheckboxId112">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId112" name="perms[]" value="93" {{ in_array(93, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Send Mail Message</span>
                                                       </label>
                                                       <label class="checkbox51 col-xl-10" for="myCheckboxId113">
                                                           <input class="checkbox__input51" type="checkbox" id="myCheckboxId113" name="perms[]" value="94" {{ in_array(94, $permissions) ? 'checked':'' }}>
                                                           <div class="checkbox__box51"></div>
                                                           <span>Send WhatsApp Message</span>
                                                       </label>
                                                    </div>
                                                </div>
                                            </div>
                                         </div>
                                         @endif
                                            @else
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label class="font-weight-bold">Tuition Centres</label>
                                                    <div class="checkbox-list col-xl-12" >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId1">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId1" name="perms[]" value="1" {{ in_array(1, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId2">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId2" name="perms[]" value="2" {{ in_array(2, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId3">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId3" name="perms[]" value="3" {{ in_array(3, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId4">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId4" name="perms[]" value="4" {{ in_array(4, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId5">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId5" name="perms[]" value="5" {{ in_array(5, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Tutors</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId6">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId6" name="perms[]" value="6" {{ in_array(6, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId7">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId7" name="perms[]" value="7" {{ in_array(7, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId8">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId8" name="perms[]" value="8" {{ in_array(8, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId9">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId9" name="perms[]" value="9" {{ in_array(9, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId10">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId10" name="perms[]" value="10" {{ in_array(10, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Details</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                             </div>
                                             <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Parents</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId11">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId11" name="perms[]" value="11" {{ in_array(11, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId12">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId12" name="perms[]" value="12" {{ in_array(12, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId13">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId13" name="perms[]" value="13" {{ in_array(13, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId14">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId14" name="perms[]" value="14" {{ in_array(14, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId15">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId15" name="perms[]" value="15" {{ in_array(15, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Details</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                             </div>
                                             <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Students</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId16">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId16" name="perms[]" value="16" {{ in_array(16, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId17">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId17" name="perms[]" value="17" {{ in_array(17, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId18">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId18" name="perms[]" value="18" {{ in_array(18, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId19">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId19" name="perms[]" value="19" {{ in_array(19, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId20">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId20" name="perms[]" value="20" {{ in_array(20, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Details</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                             </div>
                                             <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Users</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                        <div class="class-sel">
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId21">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId21" name="perms[]" value="95" {{ in_array(95, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId22">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId22" name="perms[]" value="96" {{ in_array(96, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Create</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId23">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId23" name="perms[]" value="97" {{ in_array(97, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId24">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId24" name="perms[]" value="98" {{ in_array(98, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId25">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId25" name="perms[]" value="99" {{ in_array(99, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Details</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Addresses</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId94">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId94" name="perms[]" value="75" {{ in_array(75, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Addresses</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Levels</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId26">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId26" name="perms[]" value="28" {{ in_array(28, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId27">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId27" name="perms[]" value="29" {{ in_array(29, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId28">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId28" name="perms[]" value="30" {{ in_array(30, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId29">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId29" name="perms[]" value="31" {{ in_array(31, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Subjects</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId30">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId30" name="perms[]" value="32" {{ in_array(32, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId31">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId31" name="perms[]" value="33" {{ in_array(33, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId32">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId32" name="perms[]" value="34" {{ in_array(34, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId33">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId33" name="perms[]" value="35" {{ in_array(35, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Topics</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId34">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId34" name="perms[]" value="36" {{ in_array(36, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId35">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId35" name="perms[]" value="37" {{ in_array(37, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId36">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId36" name="perms[]" value="38" {{ in_array(38, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId37">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId37" name="perms[]" value="39" {{ in_array(39, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Lessons</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId38">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId38" name="perms[]" value="40" {{ in_array(40, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId39">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId39" name="perms[]" value="41" {{ in_array(41, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId40">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId40" name="perms[]" value="42" {{ in_array(42, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId41">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId41" name="perms[]" value="43" {{ in_array(43, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Classes</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId42">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId42" name="perms[]" value="44" {{ in_array(44, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId43">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId43" name="perms[]" value="45" {{ in_array(45, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId44">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId44" name="perms[]" value="46" {{ in_array(46, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId45">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId45" name="perms[]" value="47" {{ in_array(47, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId115">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId115" name="perms[]" value="100" {{ in_array(100, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Rating</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId46">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId46" name="perms[]" value="48" {{ in_array(48, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Details</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId52">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId52" name="perms[]" value="54" {{ in_array(54, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Attendance</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId114">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId114" name="perms[]" value="72" {{ in_array(72, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Sponsor to Normal</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId71">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId71" name="perms[]" value="71" {{ in_array(71, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Normal To sponsor</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Support</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId72">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId72" name="perms[]" value="55" {{ in_array(55, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId73">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId73" name="perms[]" value="56" {{ in_array(56, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId74">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId74" name="perms[]" value="57" {{ in_array(57, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId75">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId75" name="perms[]" value="58" {{ in_array(58, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId76">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId76" name="perms[]" value="59" {{ in_array(59, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Details</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Contact Us</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId77">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId77" name="perms[]" value="73" {{ in_array(73, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId78">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId78" name="perms[]" value="74" {{ in_array(74, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Broadcast</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId79">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId79" name="perms[]" value="60" {{ in_array(60, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId80">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId80" name="perms[]" value="61" {{ in_array(61, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId81">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId81" name="perms[]" value="62" {{ in_array(62, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Edit</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId82">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId82" name="perms[]" value="63" {{ in_array(63, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Delete</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId83">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId83" name="perms[]" value="64" {{ in_array(64, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Send</span>
                                                             </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">ADS Banner</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId99">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId99" name="perms[]" value="80" {{ in_array(80, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId100">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId100" name="perms[]" value="81" {{ in_array(81, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>Create</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId101">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId101" name="perms[]" value="82" {{ in_array(82, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Edit</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId102">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId102" name="perms[]" value="83" {{ in_array(83, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>Delete</span>
                                                            </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                              <div class="col-md-2">
                                                 <div class="form-group">
                                                     <label class="font-weight-bold">Reports</label>
                                                     <div class="checkbox-list col-xl-12 " >
                                                         <div class="class-sel">
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId103">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId103" name="perms[]" value="84" {{ in_array(84, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Parent Report</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId104">
                                                                 <input class="checkbox__input51" type="checkbox" id="myCheckboxId104" name="perms[]" value="85" {{ in_array(85, $permissions) ? 'checked':'' }}>
                                                                 <div class="checkbox__box51"></div>
                                                                 <span>View Centre Report</span>
                                                             </label>
                                                             <label class="checkbox51 col-xl-10" for="myCheckboxId105">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId105" name="perms[]" value="86" {{ in_array(86, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Tutor Report</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId106">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId106" name="perms[]" value="87" {{ in_array(87, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View Summary Report</span>
                                                            </label>
                                                            <label class="checkbox51 col-xl-10" for="myCheckboxId107">
                                                                <input class="checkbox__input51" type="checkbox" id="myCheckboxId107" name="perms[]" value="88" {{ in_array(88, $permissions) ? 'checked':'' }}>
                                                                <div class="checkbox__box51"></div>
                                                                <span>View ADS Statistic Report</span>
                                                            </label>
                                                         </div>
                                                     </div>
                                                 </div>
                                              </div>
                                            @endif

                                            @endif
                                        </div>
                                        <div class="col-xl-12">
                                            <div class="adm-btn">
                                                <a href="{{ route('role.index') }}" class="adm-info-btn-2">Cancel</a>
                                                <button type="submit" class="adm-info-btn save-btn" >Save</button>
                                            </div>
                                        </div>
                                        </form>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>
<style>
    .modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 )
                url('http://i.stack.imgur.com/FhHRx.gif')
                50% 50%
                no-repeat;
}
body.loading .modal {
    overflow: hidden;
}
body.loading .modal {
    display: block;
}
</style>
<div class="modal"></div>
@endsection
@push('scripts')
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
$body = $("body");
$(document).on({
    ajaxStart: function() { $body.addClass("loading");    },
     ajaxStop: function() { $body.removeClass("loading"); }
});
    $(document).ready(function () {
        $('#save').click(function(){
   var perm = $('.checkbox__input5').map(function() {
    return $(this).data('perm');
}).get();
var value = $('.checkbox__input5').map(function() {
    return $(this).is(":checked");
}).get();
            var role = $('.checkbox__input5').data('role');
            var name = $('#role').val();
            $.ajax({
                url: '{{ url("role/update-permission") }}/'+perm+'/'+role+'/'+value,
                data:{
                 'name' : name,
                },
                success: function(response) {
                    if(response.msg != ''){
                        alert(response.msg);
                    }
                }
            });
        });
        $('form[id="AdminForm"]').validate({
        rules: {
          role_name: {
          required:true,
          remote: {
                    url: "{{url('role/check')}}",
                    type: 'get',
                }
          },
        },
        messages: {
          role_name:{
            required:"<span style='color:red;'>This field is required.</span>",
            remote:"<span style='color:red;'>Role Name Already Exist.</span>",
          },
        },
        submitHandler: function(form) {
        $('#AdminForm').attr('action', '{{ route("role.update-permission") }}');
          form.submit();
        }
      });
    });
</script>
@endpush
