<div id="show_attendance">
    <table class="table table-bordered" style="width:100%;">
        <thead>
            <tr style="border-bottom:2px solid gray;">
                <th class="th-left text-center">S/N</th>
                <th class="th-left">Student Name</th>
                <th class="th-left">Attendance</th>
                <th class="th-left">Result</th>
                <th class="th-left">Feedback</th>
            </tr>
        </thead>
        <tbody>
        <input type="hidden" name="class_id" value="{{ $class_id }}" id="class_id">
        @if(count($students) > 0)
            @foreach ($students as $key => $student)
                <tr class="table-Default">
                    <th class="th-left text-center">{{ $key + 1 }} )</th>
                        <input type="hidden" name="stud_id[]" value="{{ $student->id }}" id="student">
                        <input type="hidden" name="attendance_date" id="attendance_date" value="{{ $date }}">
                        <td class="th-left">{{ $student->first_name }} {{ $student->last_name }}</td>
                    @php
                        $student_attendance = App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$class_id)->where('date', $date)->first();
                    @endphp
                    @if($student_attendance == '')
                        <td class="th-left">
                            <select class="disselect-2" style="border:2px solid gray;font-weight:bold;" name="attendance[]" id="attendance">
                                <option value="p" class="abc" {{ old('attendance') == 'p' ? 'selected' : '' }}>P</option>
                                <option value="a" class="abc" {{ old('attendance') == 'a' ? 'selected' : '' }}>A</option>
                            </select>
                        </td>
                    @else
                        <td class="th-left">
                            <select class="disselect-2" style="border:2px solid gray;font-weight:bold;" name="attendance[]" id="attendance">
                                <option value="p" class="abc" {{ $student_attendance->attendance == 'p' ? 'selected' : '' }}>P</option>
                                <option value="a" class="abc" {{ $student_attendance->attendance == 'a' ? 'selected' : '' }}>A</option>
                            </select>
                        </td>
                    @endif
                    <td class="th-left"><input name="result[]" placeholder="Enter Marks" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="number" value="{{ $student_attendance ? $student_attendance->result : '' }}"/></td>
                    <td class="th-left"><input name="feedback[]" max="5" placeholder="Enter Feedback" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="text" value="{{ $student_attendance ? $student_attendance->feedback : '' }}"/></td>
                </tr>
            @endforeach
        @else
            <tr>
                <td class="th-left text-center" colspan="5">No Data Available in Table</td>
            </tr>
        @endif
        </tbody>
    </table>
</div>
