@can('show-details-tutor')
<a href="{{ route('tutor.show', $tutor->user_id).'?show=1'}}" title="View Details" class="btn btn-sm opcm-edit">
    <i class="fas fa-eye text-secondary"></i>
    </a>
    @endcan
@can('edit-tutor')
<a href="{{ route('update-tutor-account-link').'?id='.$tutor->id }}" title="Edit" class="btn btn-sm opcm-edit">
<i class="fas fa-pen text-success"></i>
</a>
@endcan

@can('delete-tutor')
@php
    $count = App\Models\Classtutorlink::where('tutor_id',$tutor->id)->get()->count();
@endphp
@if($count != 0)
<button type="button" class="opcm-del btn btn-sm" onclick="return alert('Please remove attached Classes before deleting the user.');"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
@else
<form action="{{route('tutor.destroy', $tutor->id)}}" method="post" onsubmit="return confirm('Are you sure want to delete ?');" style="display: inline;">
	{{ csrf_field()}}
	<input type="hidden" name="_method" value="delete">
	<button type="submit" class="opcm-del btn btn-sm"><i class="text-danger fas fa-trash" Title="Delete"></i></button>
</form>
@endif
@endcan


