<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('/getFrontEndClasses/{classType}', 'ApiController@index');
Route::get('/get_all_levels', 'ApiController@getLevel');
Route::get('/get_classes', 'ApiController@GetAllClasses');
// Route::get('/get_user_check/{users}', 'ApiController@getUserCheck');

Route::get('/getClassDetails/{class_id}', 'ApiController@getClassDetails');
Route::get('/getTutorDetails/{class_id}', 'ApiController@getTutorDetails');

Route::get('/storeContactData', 'ApiController@StoreContactData');
Route::get('/getbanners', 'ApiController@getbanners');

Route::get('/store_clicked', 'ApiController@clicked');


