<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <form action="" method="POST" id="contactusForm">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>
        <div class="container">
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>Edit Support</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('contactus.index')); ?>" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <?php echo $__env->make('contact_us.field', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>;
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="<?php echo e(route('contactus.index')); ?>" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="sub-save">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
    $(document).ready (function () {
        $('form[id="contactusForm"]').validate({
            rules: {
                service: {
                  required:true,
                },
                subject: {
                  required:true,
                },
                message: {
                  required:true,
                },
            },
            messages: {
                service:{
                    required:"<span style='color:red;'>This field is required.</span>",
                },
                subject:{
                    required:"<span style='color:red;'>This field is required.</span>",
                },
                message:{
                    required:"<span style='color:red;'>This field is required.</span>",
                }
            },
            submitHandler: function(form) {
                    $('#contactusForm').attr('action', '<?php echo e(route('contactus.update',$data->id)); ?>');
                    form.submit();
                }
        })
    })
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/contact_us/edit.blade.php ENDPATH**/ ?>