<?php
    $final_date = $date;
    use Carbon\Carbon;
    $currentDate = Carbon::now()->toDateString();
?>
<?php if($no_lesson > 0): ?>
<div class="row">
    <div class="col-xl-12">
        <div class="adm-cen-head">
            <h4>Date Duration Of Lesson</h4>
        </div>
    </div>
</div>
<?php endif; ?>
<?php for($i = 1;$i <= $no_lesson;$i++): ?>
<div class="row" id="clients-edit-wrapper">
    <div class="col-xl-2 col-lg-3 col-md-4 col-12">
        <div class="cen-info">
            <h5 for="class_Name">Lesson No.<span class="text-danger">*</span></h5>
            <input type="number" readonly="readonly" name="no_lesson_value[]" class="input__textbox no_lesson_<?php echo e($i); ?>" value="<?php echo e(old('no_lesson_value', $i)); ?>" placeholder="Enter Number Of Lesson" autocomplete="true" id="no_lesson_<?php echo e($i); ?>">
        </div>
    </div>
    <div class="col-xl-3 col-lg-3 col-md-4 col-12">
        <div class="cen-info">
            <h5 for="class_Name">Lesson Date <span class="text-danger">*</span></h5>
            <input type="text" style="background-color: transparent;" id="date" name="lesson_date[]" <?php if(old('date_'.$i,$final_date) != ''): ?> value="<?php echo e(date('d-m-Y',strtotime(old('lesson_date' ,$lessonDate[$i])))); ?>" <?php endif; ?> class="input__textbox date-picker" placeholder="Select the class date" autocomplete="true" <?php echo e(($currentDate >= $lessonDate[$i] && $show == 0) ? 'readonly' : ''); ?>>
        </div>
    </div>
    <div class="col-xl-2 col-lg-3 col-md-4 col-12">
        <div class="cen-info">
            <h5 for="class_Name">Start Time <span class="text-danger">*</span></h5>
            <input type="text" id="start_time" name="lesson_start_time[]" <?php if(old('start_time_'.$i,$start_time) != ''): ?> value="<?php echo e(date('h:i a',strtotime(old('lesson_start_time',$start_time)))); ?>" <?php endif; ?> placeholder="Enter the start time" class="input__textbox timepicker" autocomplete="true" <?php echo e((($currentDate >= $lessonDate[$i]) && ($show == 0)) ? 'readonly' : ''); ?>>
        </div>
    </div>
    <div class="col-xl-2 col-lg-3 col-md-4 col-12">
        <div class="cen-info">
            <h5 for="class_Name" style="margin-left:10px;">Duration <span class="text-danger"></span></h5>
            <div class="row">
             <div  class="col-md-2 mb-1" style="width:50%;" >
                <input type="number" class="input__textbox duration" name="lesson_duration_hrs[]" value="<?php echo e(old('lesson_duration_hrs',$duration_hrs)); ?>" id="duration_hrs" placeholder="hrs" <?php echo e(($currentDate >= $lessonDate[$i] && $show == 0) ? 'readonly' : ''); ?>>
            </div>
            <div  class="col-md-2" style="width: 50%;display:inline-block;">
                <input type="number" class="input__textbox duration" name="duration_mins[]" value="<?php echo e(old('duration_mins',$duration_mins)); ?>" id="duration_mins" placeholder="mins" <?php echo e(($currentDate >= $lessonDate[$i] && $show == 0) ? 'readonly' : ''); ?>>
            </div>
            </div>
        </div>
    </div>
    <div class="col-xl-2 col-lg-3 col-md-4 col-12">
        <div class="cen-info">
            <h5 for="class_Name">End Time <span class="text-danger">*</span></h5>
            <input type="text" id="end_time" name="lesson_end_time[]" <?php if(old('end_time_'.$i,$end_time) != ''): ?> value="<?php echo e(date('h:i a',strtotime(old('lesson_end_time',$end_time)))); ?>" <?php endif; ?> placeholder="Enter the end time" class="input__textbox timepicker" autocomplete="true" <?php echo e(($currentDate >= $lessonDate[$i] && $show == 0) ? 'readonly' : ''); ?>>
        </div>
    </div>
    <div class="col-xl-1 col-lg-3 col-md-4 col-12 mt-1">
        <div class="cen-info">
            <h5 for="class_Name">&nbsp;</h5>
            <a href="javascript:;" class="btn btn-sm font-weight-bolder btn-danger-4 mt-8 remove">
                <i class="fas fa-trash"></i>
                </a>
        </div>
    </div>
</div>
<?php
    if($date != ''){
        $final_date = date('d-m-Y', strtotime('+7 day', strtotime($final_date)));
    }
?>
<?php endfor; ?>
<script>
$('.timepicker').datetimepicker({
    format: 'hh:mm A',
    icons: {
      up: 'fas fa-chevron-up',
      down: 'fas fa-chevron-down',
      previous: 'fas fa-chevron-left',
      next: 'fas fa-chevron-right'
    }
});
$('.date-picker').datepicker({
    autoclose: true,
    orientation: "bottom auto",
    format: 'dd-mm-yyyy',
});
$('.remove').click(function(){
    $(this).closest("#clients-edit-wrapper").remove();
    var total_num_lesson = $('#no_lesson').val();
    $('#no_lesson').val(total_num_lesson - 1);
    var count_lesson = $('#no_lesson').val();
    for (let i = 1; i <= count_lesson; i++) {
            $('.no_lesson_'+i).val(i);
            console.log($(this).closest("#clients-edit-wrapper"));
    }
});
// var btns = $('#duration_hrs,#duration_mins,#start_time');
// btns.on('keyup change dp.change', function() {
//     var s = $('#start_time').val();
//     var hrs = $( "#duration_hrs" ).val();
//     var mins = $("#duration_mins").val();
//     if(hrs != '' || mins != ''){
//     // alert(moment.utc(s,'hh:mm A').add(hrs,'hour').add(mins,'minutes').format('hh:mm A'));
//     $('#end_time').val(moment.utc(s,'hh:mm A').add(hrs,'hour').add(mins,'minutes').format('hh:mm A'));
//     }else{
//     $('#end_time').val(moment.utc(s,'hh:mm A').add(1,'hour').format('hh:mm A'));
//     }
// });
</script>

<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/classes/class_lessons_view.blade.php ENDPATH**/ ?>