<?php $__env->startSection('content'); ?>
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="band-wrap-head">
                        <h4>Attendance Report</h4>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                    <div class="band-wrap-btn">
                        <a href="<?php echo e(route('home')); ?>" class="back-btn">Back</a>
                    </div>

                </div>
            </div>
        </div>
    </section>

    <section class="attendance-class-info">
        <div class="container">
            <div class="row">
                <div class="col-xl-3">
                    <div class="admin-profile-wrap">
                        <div class="admin-icon-box">
                            <i class="fas fa-school"></i>
                        </div>
                        <div class="admin-profile-information">
                            <h4>Class Name</h4>
                            <p><?php echo e($class_detail ? $class_detail->name : ''); ?></p>
                        </div>
                    </div>
                </div>
                <div class="col-xl-3">
                    <div class="admin-profile-wrap">
                        <div class="admin-icon-box">
                            <i class="fas fa-chalkboard-teacher"></i>
                        </div>
                        <div class="admin-profile-information">
                            <h4>Class Mode</h4>
                            <p><?php echo e($mode ? $mode : ''); ?></p>
                        </div>
                    </div>


                </div>
                <div class="col-xl-3">
                    <div class="admin-profile-wrap">
                        <div class="admin-icon-box">
                            <i class="fas fa-clock"></i>
                        </div>
                        <div class="admin-profile-information">
                            <h4>Class Timings</h4>
                            <p><?php echo e(date('h.i A', strtotime($class_detail->start_time))); ?> - <?php echo e(date('h.i A', strtotime($class_detail->end_time))); ?></p>
                        </div>
                    </div>


                </div>
                <div class="col-xl-3">
                    <div class="admin-profile-wrap">
                        <div class="admin-icon-box">
                            <i class="fas fa-user-graduate"></i>
                        </div>
                        <div class="admin-profile-information">
                            <h4>Tutor Name</h4>
                            <p><?php echo e($tutor ? $tutor->first_name.' '.$tutor->last_name : ''); ?></p>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>

    <section class="calendar-information-wrapper">
        <div class="container">
                    <div class="child-listing-wrapper">
                        <div class="child-listing-wrap">
                            <table id="attendance" class="table-striped" style="width:100%;">
                                <?php
                                    if($attendances){
                                        $class_detail = App\Models\ScheduleClass::find($attendances->class_id);
                                    }
                                ?>
                                <thead>
                                    <tr>
                                        <th style="position: sticky; left: 0px; top: 0px; background: white; z-index: 10;border-right:1px solid #3f425436;"></th>
                                        <?php $__currentLoopData = $attendanceDate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <th class="attendance-class-date-head"><?php echo e(date('j F, l', strtotime($date))); ?></th>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="attendance-table-data" style="left: 0;position: sticky;border-right:1px solid #3f425436;">Attendance</td>
                                        <?php $__currentLoopData = $attendanceDate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $student_attendance = App\Models\StudentAttendance::where('student_id',$student)->where('class_id',$class_detail->id)->where('date', $date)->first();
                                            ?>
                                            <td class="attendance-class-table-data"><p class="<?php echo e($student_attendance ? ($student_attendance->attendance == 'p' ? 'atten-present' : 'atten-absent') : 'atten-present'); ?>"><?php echo e($student_attendance ? ($student_attendance->attendance == 'p' ? 'Present' : 'Absent') : '-'); ?></p></td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                    <tr>
                                        <td class="attendance-table-data" style="left: 0;position: sticky;border-right:1px solid #3f425436;">Result</td>
                                        <?php $__currentLoopData = $attendanceDate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $student_attendance = App\Models\StudentAttendance::where('student_id',$student)->where('class_id',$class_detail->id)->where('date', $date)->first();
                                            ?>
                                            <td class="attendance-class-table-data"><p class="atten-result"><?php echo e($student_attendance ? ($student_attendance->result ? $student_attendance->result.'%' : '') : '-'); ?></p></td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                    <tr>
                                        <td class="attendance-table-data" style="left: 0;position: sticky;border-right:1px solid #3f425436;">Feedback</td>
                                        <?php $__currentLoopData = $attendanceDate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $student_attendance = App\Models\StudentAttendance::where('student_id',$student)->where('class_id',$class_detail->id)->where('date', $date)->first();
                                            ?>
                                            <td class="attendance-class-table-data"><p class="atten-feedback"><?php echo e($student_attendance ? ($student_attendance->feedback ? $student_attendance->feedback : '') : '-'); ?></p></td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
        </div>

    </section>
    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
        <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
        <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
        <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
        <script>
$(function() {
    $('#attendance').DataTable({
      "scrollX": true,
      "bSort": false,
      "bPaginate": false
    });
});
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/students/view_attendance.blade.php ENDPATH**/ ?>