<?php $__env->startSection('content'); ?>
    <section class="adm-wrap-2">
        <div class="container">
            <?php if(session()->has('message')): ?>
                <div class="alert alert-success">
                    <?php echo e(session()->get('message')); ?>

                </div>
            <?php endif; ?>
            <div class="less-wrap-2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>ADS Banner</h6>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tab-content" id="pills-tabContent">

                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'level' ? 'show active' : '') : 'show active'); ?>" id="pills-levels" role="tabpanel"
                                    aria-labelledby="pills-levels-tab">
                                    <div class="tabcontent-3">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="opcm-btn">
                                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create-banner')): ?>
                                                    <a href="<?php echo e(route('banner.create')); ?>" class="btn-opcm"><i class="fas fa-plus-circle"></i>New Banner</a>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                            <div class="col-xl-12">

                                                    <div class="table-wrap-box">
                                                        <table id="levelDatatable" class="table table-striped-2 display" style="width:100%">
                                                            <thead>
                                                                <tr>
                                                                    <th class="th-center">S/N</th>
                                                                    <th class="th-left">Name</th>
                                                                    <th class="th-center">Image</th>
                                                                    
                                                                    <th class="th-center">Status</th>
                                                                    <th class="th-center">up</th>
                                                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['edit-banner','delete-banner'])): ?>
                                                                    <th class="th-center">Actions</th>
                                                                    <?php else: ?>
                                                                    <th class="th-center"></th>
                                                                    <?php endif; ?>
                                                                </tr>
                                                            </thead>
                                                        </table>
                                                    </div>

                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
<?php $__env->startPush('scripts'); ?>
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
<script>
$(function() {
    $('#levelDatatable').DataTable({
        // dom:'Bfrtip',
        // buttons: [
        //             {
        //                 extend: 'csv',
        //                 className:'btn-opcm btn-primary',
        //                 text: '<i class="fas fa-file-export"></i> Export to csv',
        //                 title: 'Levels',
        //                 page:"all",
        //                 exportOptions: {
        //                     modifer: {
        //                        page: 'all',
        //                     },
        //                     columns: [ 0, 1]
        //                 }
        //             },
        // ],
        processing: true,
        serverSide: false,
        scrollX:true,
        rowReorder: true,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        order:[4, 'desc'],
        "ajax": {
            'url': '<?php echo route("banner.data"); ?>',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            }
        },

        columns: [
            {data: 'DT_RowIndex', name: 'DT_RowIndex', className: 'th-center', searchable: false },
            {data: 'name', name: 'name', className: 'th-left'},
            {data: 'image', name: 'image', className: 'th-center'},
            // {data: 'clicked', name: 'clicked', className: 'th-center'},
            {data: 'status', name: 'status', className: 'th-center'},
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
            {data: 'actions', name: 'actions', className: 'th-center',
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['edit-banner','delete-banner'])): ?>
            visible:true
            <?php else: ?>
            visible:false
            <?php endif; ?>
        }
        ],
        createdRow: function( row, data, dataIndex ) {
            // Set the data-status attribute, and add a class
            $( row ).attr('data-id', data.id)
                .addClass('row1');
        }
    });
    $("#levelDatatable").sortable({
        items: "tbody tr",
        cursor: 'move',
        opacity: 0.6,
        update: function() {
            sendOrderToServer();
        }
    });
    function sendOrderToServer() {

var order = [];
$('tr.row1').each(function(index,element) {
  order.push({
    id: $(this).attr('data-id'),
    position: index+1
  });
});




console.log(order)

$.ajax({
  type: "PUT",
  dataType: "json",
  url: 'banner/reorder-rows',
  data: {
    order:order,
    _token: '<?php echo e(csrf_token()); ?>'
  },
  success: function(response) {
      if (response.status == "success") {
        console.log(response);
      } else {
        console.log(response);
      }
  }
});

}
$(".dataTables_filter").find('input').addClass('input__textbox col-8');
});
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/banner/index.blade.php ENDPATH**/ ?>