
    <div class="row">
        <div class="col-xl-12">
            <div class="adm-cen-head">
                <h4>Basic Information</h4>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Centre Name <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="text" name="name" value="<?php echo e(old('name')); ?>" class="input__textbox" placeholder="Enter the name">
                <?php else: ?>
                <input type="text" name="name" value="<?php echo e($tuitionCentre->name); ?>" class="input__textbox" placeholder="Enter the name">
                <?php endif; ?>
                </label>
            </div>
        </div>
        <input type="hidden" value="<?php echo e($contact_number); ?>" id="code">
        <input type="hidden" value="<?php echo e($cp_contact_number); ?>" id="code1">
        <input id="logo_url" type="hidden" name="logo_image_url"/>
        <input id="logo_name" type="hidden" name="logo_image"/>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>UEN <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="text" name="uen" value="<?php echo e(old('uen')); ?>" class="input__textbox" placeholder="Enter the UEN">
                <?php else: ?>
                <input type="text" name="uen" value="<?php echo e($tuitionCentre->uen); ?>" class="input__textbox" placeholder="Enter the UEN">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Street Name <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="text" name="street_name" value="<?php echo e(old('street_name')); ?>" class="input__textbox" placeholder="Enter the street name">
                <?php else: ?>
                <input type="text" name="street_name" value="<?php echo e($tuitionCentre->street_name); ?>" class="input__textbox" placeholder="Enter the street name">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>State <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="text" name="state" value="<?php echo e(old('state')); ?>" class="input__textbox" placeholder="Enter the state">
                <?php else: ?>
                <input type="text" name="state" value="<?php echo e($tuitionCentre->state); ?>" class="input__textbox" placeholder="Enter the state">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>City <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="text" name="city" value="<?php echo e(old('city')); ?>" class="input__textbox" placeholder="Enter the city">
                <?php else: ?>
                <input type="text" name="city" value="<?php echo e($tuitionCentre->city); ?>" class="input__textbox" placeholder="Enter the city">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Zip Code <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="number" name="zip_code" value="<?php echo e(old('zip_code')); ?>" class="input__textbox" placeholder="Enter the zip code">
                <?php else: ?>
                <input type="number" name="zip_code" value="<?php echo e($tuitionCentre->zip_code); ?>" class="input__textbox" placeholder="Enter the zip code">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Email Id <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="email" name="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="<?php echo e(old('email')); ?>" class="input__textbox" placeholder="Enter the email id">
                <?php else: ?>
                <input type="email" name="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="<?php echo e($tuitionCentre->email); ?>" class="input__textbox" placeholder="Enter the email id">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Website(if any)</h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="url" name="website" value="<?php echo e(old('website')); ?>" class="input__textbox" placeholder="Type the url">
                <?php else: ?>
                <input type="url" name="website" value="<?php echo e($tuitionCentre->website); ?>" class="input__textbox" placeholder="Type the url">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12" id="code_div">
            <div class="cen-info">
                <h5>Country Code <span class="text-danger">*</span></h5>
                <select class="disselect-2 js-example-basic-single" name="countryCode" id="countryCode">
                    <?php echo $__env->make('include.contry_code', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </select>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Number <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="<?php echo e(old('contact_number')); ?>" class="input__textbox" placeholder="Enter the number">
                <?php else: ?>
                <input type="number"  minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="<?php echo e(str_replace($contact_number, '', $tuitionCentre->contact_number)); ?>" class="input__textbox" placeholder="Enter the number">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Person Name <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="text" name="contact_person_name" value="<?php echo e(old('contact_person_name')); ?>" class="input__textbox" placeholder="Enter the name">
                <?php else: ?>
                <input type="text" name="contact_person_name" value="<?php echo e($tuitionCentre->contact_person_name); ?>" class="input__textbox" placeholder="Enter the name">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Person Email <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="email" name="contact_person_email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="<?php echo e(old('contact_person_email')); ?>" class="input__textbox" placeholder="Enter the email">
                <?php else: ?>
                <input type="email" name="contact_person_email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" value="<?php echo e($tuitionCentre->contact_person_email); ?>" class="input__textbox" placeholder="Enter the email">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12 code_div" id="code1_div">
            <div class="cen-info">
                <h5>Contact Person Country Code <span class="text-danger">*</span></h5>
                <select class="disselect-2 js-example-basic-single" name="countryCode1" id="countryCode1">
                    <?php echo $__env->make('include.contry_code', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </select>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Contact Person Number <span class="text-danger">*</span></h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_person_number" value="<?php echo e(old('contact_person_number')); ?>" class="input__textbox" placeholder="Enter the number">
                <?php else: ?>
                <input type="number" minlength="10"  title ="Please enter at least 10 digits."  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_person_number" value="<?php echo e(str_replace($cp_contact_number, '', $tuitionCentre->contact_person_number)); ?>" class="input__textbox" placeholder="Enter the number">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Password <?php if($edit == 0): ?><span class="text-danger">*</span><?php endif; ?></h5>
                <input type="password" name="password" id="password" autocomplete="new-password" class="input__textbox" placeholder="Enter the password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Confirm Password <?php if($edit == 0): ?><span class="text-danger">*</span><?php endif; ?></h5>
                <input type="password" name="password_confirmation" class="input__textbox" placeholder="Re enter password">
            </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
            <div class="cen-info">
                <h5>Remarks</h5>
                <?php if(empty($tuitionCentre)): ?>
                <input type="text" class="input__textbox" name="remarks" value="<?php echo e(old('remarks')); ?>" placeholder="Enter the remarks">
                <?php else: ?>
                <input type="text" class="input__textbox" name="remarks" value="<?php echo e($tuitionCentre->remarks); ?>" placeholder="Enter the remarks">
                <?php endif; ?>
            </div>
        </div>
        <div class="col-xl-12">
            <div class="cen-info">
                <h5>Add a short description about the tuition centre</h5>
                <?php if(empty($tuitionCentre)): ?>
                <textarea class="class-des" rows="6" cols="20" placeholder="Type here...." name="description"><?php echo e(old('description')); ?></textarea>
                <?php else: ?>
                <textarea class="class-des" rows="6" cols="20" placeholder="Type here...." name="description"><?php echo e($tuitionCentre->description); ?></textarea>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->startPush('scripts'); ?>
<script>
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
</script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/tuition_centers/fields.blade.php ENDPATH**/ ?>