<?php $__env->startSection('content'); ?>
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success" id="successMessage">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-6">
                    <div class="adm-info-head">
                        <h5>Student Attendance</h5>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('class.index')); ?>" class="back-btn mb-1">Back</a>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'tutor' ? 'show active' : '') : 'show active'); ?>"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row" >
                                        <div class="col-xl-6 date-time">
                                            <div class="cen-info">
                                                <div ><b>Class Name :</b><?php echo e($class->name); ?></div>
                                            </div>
                                        </div>
                                        <div class="col-xl-6 date-time">
                                            <div class="cen-info">
                                                <div  style="float:right;"><b>Date & Time :</b>
                                                     <?php if($class->is_special == 0): ?>
                                                        <select class="disselect-2" id="class_dates" name="class_dates">
                                                            <?php $__currentLoopData = $attendanceDate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($value); ?>" <?php echo e($first_date == $value ? 'selected' : ''); ?>> <?php echo e(date('d-m-Y',strtotime($value)).' ( '.date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time)).' )'); ?></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select>
                                                    <?php else: ?>
                                                        <select class="disselect-2" id="class_dates" name="class_dates">
                                                            <?php $__currentLoopData = $attendanceDate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($value); ?>" <?php echo e($first_date == $value ? 'selected' : ''); ?>> <?php echo e($special_Attendance[$key]); ?></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                        

                                        
                                        <!-- <div class="col-6"><b>Date & Time : </b><?php echo e(date('d-m-Y',strtotime($class->class_date)).' ( '.date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time)).' )'); ?></div> -->
                                        
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box table-responsive">
                                                <form method="post" action="<?php echo e(route('attendance.store')); ?>">
                                                    <?php echo csrf_field(); ?>
                                                    <div id="show_attendance">
                                                    <table class="table table-bordered"
                                                        style="width:100%;">
                                                        <thead>
                                                            <tr style="border-bottom:2px solid gray;">
                                                                <th class="th-left text-center">S/N</th>
                                                                <th class="th-left">Student Name</th>
                                                                <th class="th-left">Attendance</th>
                                                                <th class="th-left">Result</th>
                                                                <th class="th-left">Feedback</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <input type="hidden" name="class_id"
                                                            value="<?php echo e($class_id); ?>" id="class_id">
                                                            <?php if(count($students) > 0): ?>
                                                                    <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <tr class="table-Default">
                                                                            <th class="th-left text-center"><?php echo e($key + 1); ?> )</th>
                                                                            <input type="hidden" name="stud_id[]"
                                                                                value="<?php echo e($student->id); ?>" id="student">
                                                                            <input type="hidden" name="attendance_date" id="attendance_date" value="<?php echo e($first_date); ?>">
                                                                            <td class="th-left"><?php echo e($student->first_name); ?>

                                                                                <?php echo e($student->last_name); ?></td>
                                                                        <?php
                                                                            $student_attendance = App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$class_id)->where('date', $first_date)->first();
                                                                        ?>
                                                                        <?php if($student_attendance == ''): ?>
                                                                                <td class="th-left">
                                                                                    <select class="disselect-2" style="border:2px solid gray;font-weight:bold;"
                                                                                        name="attendance[]" id="attendance">
                                                                                        <option value="p" class="abc"
                                                                                            <?php echo e(old('attendance') == 'p' ? 'selected' : ''); ?>>
                                                                                            P</option>
                                                                                        <option value="a" class="abc"
                                                                                            <?php echo e(old('attendance') == 'a' ? 'selected' : ''); ?>>
                                                                                            A</option>
                                                                                    </select>
                                                                                </td>
                                                                        <?php else: ?>
                                                                        <td class="th-left">
                                                                            <select class="disselect-2" style="border:2px solid gray;font-weight:bold;"
                                                                                name="attendance[]" id="attendance">
                                                                                <option value="p" class="abc"
                                                                                    <?php echo e($student_attendance->attendance == 'p' ? 'selected' : ''); ?>>
                                                                                    P</option>
                                                                                <option value="a" class="abc"
                                                                                    <?php echo e($student_attendance->attendance == 'a' ? 'selected' : ''); ?>>
                                                                                    A</option>
                                                                            </select>
                                                                        </td>
                                                                        <?php endif; ?>
                                                                        <td class="th-left"><input name="result[]" placeholder="Enter Marks" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="number" value="<?php echo e($student_attendance ? $student_attendance->result : ''); ?>"/></td>
                                                                        <td class="th-left"><input name="feedback[]" max="5" placeholder="Enter Feedback" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="text" value="<?php echo e($student_attendance ? $student_attendance->feedback : ''); ?>"/></td>
                                                                        </tr>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            <?php else: ?>
                                                            <tr>
                                                            <td class="th-left text-center" colspan="5">No Data Available in Table</td>
                                                            </tr>
                                                            <?php endif; ?>
                                                        </tbody>
                                                    </table>
                                                    </div>
                                                    <?php if(count($students) > 0): ?>
                                                    <div class="col-xl-12">
                                                        <div class="adm-btn">
                                                            <a href="<?php echo e(route('class.index')); ?>" class="adm-info-btn-2">Cancel</a>
                                                            <button type="submit" class="adm-info-btn">Save</button>
                                                        </div>
                                                    </div>
                                                    <?php endif; ?>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
    <link href="/assets/css/owl.carousel.min.css" rel="stylesheet">
    <script src="/assets/js/owl.carousel.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript">
        $(function() {
            $('#class_dates').change(function(){
                $.ajax({
                    type: "POST",
                    url: '<?php echo e(route("attendance.date_attendance")); ?>?date=' + $(this).val() + '&class_id=' + $('#class_id').val(),
                    'headers': {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    success: function(response) {
                        $('#show_attendance').empty();
                        console.log(response);
                        $('#show_attendance').html(response.html);
                        $('#attendance_date').val(response.date);
                    }
                });
            })
        });

        document.addEventListener('DOMContentLoaded', (event) => {
            if($('#class_dates').val()){
                $.ajax({
                    type: "POST",
                    url: '<?php echo e(route("attendance.date_attendance")); ?>?date=' + $('#class_dates').val() + '&class_id=' + $('#class_id').val(),
                    'headers': {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    success: function(response) {
                        $('#show_attendance').empty();
                        console.log(response);
                        $('#show_attendance').html(response.html);
                        $('#attendance_date').val(response.date);
                    }
                });
            }
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/students/student_attendance.blade.php ENDPATH**/ ?>