<?php $__env->startSection('content'); ?>
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success" id="successMessage">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Students</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'parent' ? 'show active' : '') : 'show active'); ?>"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">

                                        <form action="<?php echo e(route('student.csv')); ?>" method="POST" id="generate_form">
                                        <?php echo csrf_field(); ?>
                                        <div class="row">
                                        <input type="hidden" value="student" id="roling" name="user_role" />
                                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class Name</h5>
                                                <select class="disselect-2 kt-input" id="class" name="class">
                                                    <option value="">Select Class</option>
                                                    <?php $__currentLoopData = $classes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $class): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($class->id); ?>" ><?php echo e($class->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Status</h5>
                                                <select class="disselect-2 kt-input" id="status" name="status">
                                                    <option value="">Select Status</option>
                                                    <option value="active" >Active</option>
                                                    <option value="inactive" >Inactive</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="filters_btn">
                                            <div class="cen-info">
                                                <label for="class_Name" class="blank_class">&nbsp;</label>
                                                <button class="btn-opcm py-2 px-7" id="filter">Filter</button>
                                                <label for="class_Name" class="blank_class">&nbsp;</label>
                                                <button class="btn-opcm py-2 px-7" style="background: white;color:black;" id="reset">Reset</button>
                                            </div>
                                        </div>
                                        </div>
                                        </form>
                                        <hr>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create-student')): ?>
                                        <div class="col-xl-12">
                                            <div class="opcm-btn">
                                                
                                                <a href="<?php echo e(route('student.create')); ?>" class="btn-opcm"><i
                                                        class="fas fa-plus-circle"></i>New Student</a>
                                            </div>
                                        </div>
                                        <?php endif; ?>
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="example-3" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                            <th class="th-left">Student Name</th>
                                                            <th class="th-left">Email</th>
                                                            <th class="th-left">Contact No</th>
                                                            <th class="th-left">Parent Name</th>
                                                            <th class="th-center">Class Name & Timing</th>
                                                            <th class="th-center">Status</th>
                                                            <th class="th-center">up</th>
                                                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student','edit-student','delete-student','create-enroll-classes'])): ?>
                                                            <th class="th-center">Actions</th>
                                                            <?php else: ?>
                                                            <th class="th-center"></th>
                                                            <?php endif; ?>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
<?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

    <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
    <script>
        $(function() {
            $('#excel').click(function() {
                $('#generate_form').submit();
            });
            $('#example-3').DataTable({
            dom:'Bfrtip',
            buttons: [
                {
                    extend: 'csv',
                    className:'btn-opcm btn-primary mb-1',
                    text: '<i class="fas fa-file-export"></i> Export to csv',
                    title: 'Students',
                    page:"all",
                    exportOptions: {
                        modifer: {
                           page: 'all',
                        },
                        columns: [ 0, 1, 2, 3, 4, 5]
                    }
                },
            ],
            processing: true,
            serverSide: false,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[6, 'desc'],
            "ajax": {
                'url': '<?php echo route("student.data"); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: function(d) {
                    d.class = $('#class').val();
                    d.status = $('#status').val();
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                { "targets": [ 3 ] },
                { "targets": [ 4 ] ,"width": "30%" ,"render": function (data, type, row) {
                                return data.split(",").join(",<br/>");
                            } },
                { "targets": [ 5 ] },
                { "targets": [ 6 ] },
                { "targets": [ 7 ],"width": "15%" },
            ],
            columns: [
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'contact_number', name: 'contact_number', className: 'th-left', render: function (data, type, row) {
                         return data ? " + " + (data.slice(0, -10) === '' ? '65' : data.slice(0, -10)) + ' ' + data.replace(data.slice(0, -10), '') : '';
                        //  data.replace(/(\d\d\d)(\d\d\d)(\d\d\d\d)/, "$1-$2-$3") : data;
                       }},
                {data: 'parent_name', name: 'parent_name', className: 'th-left'},
                {data: 'class', name: 'class', className: 'th-left'},
                {data: 'user_status', name: 'user_status', className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                {data: 'actions', name: 'actions', className: 'th-left',
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student','edit-student','delete-student','create-enroll-classes'])): ?>
                visible:true
                <?php else: ?>
                visible:false
                <?php endif; ?>
            }
            ]
        });
            var table1 = $('#example-3').DataTable();
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table1.table().draw();
                    table1.ajax.reload();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table1.table().draw();
                });
                $(".dataTables_filter").find('input').addClass('input__textbox col-8');
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/students/admin_index.blade.php ENDPATH**/ ?>