<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <form action="<?php echo e(route('tuition-centre.store')); ?>" method="POST">
        <?php echo csrf_field(); ?>
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h4>Account Creation for tuition centre</h4>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="adm-cen-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="cen-logo">
                                    <h3>Drag and drop files you want to upload</h3>
                                    <h5>(file format supported: jpeg, png, pdf)</h5>
                                    <h6>max file size : 2mb</h6>
                                    <a href="#" class="btn-cen-logo">Upload your logo</a>
                                </div>
                            </div>
                            <div class="col-xl-12">
                                <div class="adm-cen-head">
                                    <h4>Basic Information</h4>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Centre Name</h5>
                                    <input type="text" name="name" value="<?php echo e(old('name')); ?>" class="input__textbox" placeholder="Enter the name">
                                    </label>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>UEN</h5>
                                    <input type="text" name="uen" value="<?php echo e(old('uen')); ?>" class="input__textbox" placeholder="Enter the UEN">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Street Name</h5>
                                    <input type="text" name="street_name" value="<?php echo e(old('street_name')); ?>" class="input__textbox" placeholder="Enter the street name">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>State</h5>
                                    <input type="text" name="state" value="<?php echo e(old('state')); ?>" class="input__textbox" placeholder="Enter the state">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>City</h5>
                                    <input type="text" name="city" value="<?php echo e(old('city')); ?>" class="input__textbox" placeholder="Enter the city">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Zip Code</h5>
                                    <input type="number" name="zip_code" value="<?php echo e(old('zip_code')); ?>" class="input__textbox" placeholder="Enter the zip code">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Email Id</h5>
                                    <input type="email" name="email" value="<?php echo e(old('email')); ?>" class="input__textbox" placeholder="Enter the email id">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Contact Number</h5>
                                    <input type="tel" name="contact_number" value="<?php echo e(old('contact_number')); ?>" class="input__textbox" placeholder="Enter the number">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Website(if any)</h5>
                                    <input type="url" name="website" value="<?php echo e(old('website')); ?>" class="input__textbox" placeholder="Type the url">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Contact Person Name</h5>
                                    <input type="text" name="contact_person_name" value="<?php echo e(old('contact_person_name')); ?>" class="input__textbox" placeholder="Enter the name">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Contact Person Email</h5>
                                    <input type="email" name="contact_person_email" value="<?php echo e(old('contact_person_email')); ?>" class="input__textbox" placeholder="Enter the email">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Contact Person Number</h5>
                                    <input type="tel" name="contact_person_number" value="<?php echo e(old('contact_person_number')); ?>" class="input__textbox" placeholder="Enter the number">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Username</h5>
                                    <input type="text" name="username" value="<?php echo e(old('username')); ?>" class="input__textbox" placeholder="Enter the username">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Password</h5>
                                    <input type="password" name="password" class="input__textbox" placeholder="Enter the password">
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Confirm Password</h5>
                                    <input type="password" name="password_confirmation" class="input__textbox" placeholder="Re enter password">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-12">
                        <div class="adm-btn">
                            <button type="submit" class="adm-info-btn">Save</button>
                            <a href="<?php echo e(route('home')); ?>" class="adm-info-btn-2">Cancel</a>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/tuition_centers/create.blade.php ENDPATH**/ ?>