<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <form action="<?php echo e(route('broadcast.update', $broadcast->id)); ?>" method="POST" id="BroadcastForm">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>
        <div class="container">
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>Edit Broadcast</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('broadcast.index')); ?>" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="cen-info">
                            <h5 for="class_Name">Broadcast Send To <span class="text-danger">*</span></h5>
                            <div class="class-sel-2">
                                <label class="checkbox54" for="user_role">
                                    <input class="checkbox__input54" type="radio" value="user_role" name="send_to" id="user_role" <?php if($broadcast->role_id != ''): ?> checked <?php endif; ?>>
                                    <div class="checkbox__box54"></div>
                                    <span>Role</span>
                                </label>
                                &nbsp;&nbsp;
                                <label class="checkbox54" for="user">
                                    <input class="checkbox__input54" type="radio" value="user" name="send_to" id="user"  <?php if($broadcast->user_id != ''): ?> checked <?php endif; ?>>
                                    <div class="checkbox__box54"></div>
                                    <span>User</span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div <?php if($broadcast->role_id == ''): ?> class="col-xl-6 col-lg-6 col-md-6 col-12 d-none" <?php else: ?> class="col-xl-6 col-lg-6 col-md-6 col-12" <?php endif; ?> id="user_role_div">
                        <div class="cen-info">
                            <h5>Select Role <span class="text-danger">*</span></h5>
                            <select class="disselect-2 chosen-select" name="role[]" id="role" data-placeholder="Select Role" multiple>
                                <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($role->id); ?>" <?php echo e(in_array($role->id, $role_ids) ? 'selected' : ''); ?>><?php echo e($role->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <label id="role-error" class="d-none" ><span style="color:red;">This field is required.</span></label>
                        </div>
                    </div>
                    <div <?php if($broadcast->user_id == ''): ?> class="col-xl-6 col-lg-6 col-md-6 col-12 d-none" <?php else: ?> class="col-xl-6 col-lg-6 col-md-6 col-12" <?php endif; ?> id="user_div">
                        <div class="cen-info">
                            <h5>Select User <span class="text-danger">*</span></h5>
                            <select class="disselect-2 chosen-select" name="user_id[]" id="user_id" data-placeholder="Select User" multiple>
                                <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($account->user_id); ?>" <?php echo e(in_array($account->user_id, $user_ids) ? 'selected' : ''); ?>><?php echo e($account->email); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php $__currentLoopData = $tuition_centers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tuition_center): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($tuition_center->user_id); ?>" <?php echo e(in_array($tuition_center->user_id, $user_ids) ? 'selected' : ''); ?>><?php echo e($tuition_center->email); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <label id="user-error" class="d-none" ><span style="color:red;">This field is required.</span></label>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                        <div class="cen-info">
                            <h5>Message <span class="text-danger">*</span></h5>
                            <textarea name="msg" cols="60" rows="4" class="class-des"><?php echo e($broadcast->message); ?></textarea>
                        </div>
                    </div>
                    <input type="hidden" name="savesend" value="" id="savesend">
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="<?php echo e(route('broadcast.index')); ?>" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="adm-info-btn save-btn">Save</button>
                        <button type="submit" class="adm-info-btn save-send-btn" id="saveandsend">Save and Send</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
<?php $__env->stopSection(); ?>
<style>
    input[type="datepicker"]::-webkit-inner-spin-button,
    input[type="datepicker"]::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
}
#user_id-error {
    color: red;
}
#role-error {
    color: red;
}
</style>
<?php $__env->startPush('scripts'); ?>
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/chosen.min.css')); ?>"/>
<script src="<?php echo e(asset('assets/jquery/chosen.jquery.min.js')); ?>"></script>
        <script type="text/javascript">
            $(function() {
                $(".chosen-select").chosen({width: "100%"});
            $('input[type=radio][name=send_to]').on('change', function() {
            if ($(this).val() == 'user_role') {
                $('#user_role_div').removeClass('d-none');
                $('#user_div').addClass('d-none');
                $('#role').prop('required', true);
                $('#user_id').prop('required', false);
            } else if ($(this).val() == 'user') {
                $('#user_role_div').addClass('d-none');
                $('#user_div').removeClass('d-none');
                $('#user_id').prop('required', true);
                $('#role').prop('required', false);
            }
            });
            $(document).on('change keyup','#role,#user_id',function() {
                if($("#role :selected").length == 0){
                    $('#role-error').removeClass('d-none');
                }else{
                    $('#role-error').addClass('d-none');
                }
                if($("#user_id :selected").length == 0){
                    $('#user-error').removeClass('d-none');
                }else{
                    $('#user-error').addClass('d-none');
                }
            });
            $("#BroadcastForm").on("submit", function(event) {
                if ($('input[type=radio][name=send_to]:checked').val() == 'user_role') {
                    if($("#role :selected").length == 0){
                        if($("#role :selected").length == 0){
                        $('#role-error').removeClass('d-none');
                        }else{
                            $('#role-error').addClass('d-none');
                        }
                        if($("#user_id :selected").length == 0){
                            $('#user-error').removeClass('d-none');
                        }else{
                            $('#user-error').addClass('d-none');
                        }
                       return false;
                    }
                }else{
                    if($("#user_id :selected").length == 0){
                        if($("#role :selected").length == 0){
                        $('#role-error').removeClass('d-none');
                        }else{
                            $('#role-error').addClass('d-none');
                        }
                        if($("#user_id :selected").length == 0){
                            $('#user-error').removeClass('d-none');
                        }else{
                            $('#user-error').addClass('d-none');
                        }
                        return false;
                    }
                }
            });
                $('#role').chosen();
                $('#user_id').chosen();
                $('#saveandsend').click(function(e){
                    $('#savesend').val(1);
               });

                $('form[id="BroadcastForm"]').validate({
                    rules: {
                        msg: {
                          required:true,
                        },
                    },
                    messages: {
                        msg: "<span style='color:red;'>This field is required.</span>",
                    }
                })


            });
        </script>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/broadcast/edit.blade.php ENDPATH**/ ?>