<?php $__env->startSection('content'); ?>
    <section class="band-wrapper">
        <div class="container">
            <input type="hidden" value="<?php echo e($student); ?>" id="student">
            <input type="hidden" value="0" id="open">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="band-wrap-head">
                        <h4>My Children</h4>
                    </div>
                </div>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create-student')): ?>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="band-wrap-btn">
                            <a style="cursor: pointer;" class="btn-opcm" data-bs-toggle="modal"
                                data-bs-target="#exampleModal" ><i class="fas fa-plus-circle"></i>New Child</a>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
            <div class="modal fade" data-keyboard="false" data-backdrop="static" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title" id="exampleModalLabel">Adding New Child</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <form action="" method="POST" enctype="multipart/form-data" id="regForm1">
                            <?php echo csrf_field(); ?>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Child Name</label>
                                            <input type="text" value="<?php echo e(old('first_name_child')); ?>"
                                                name="first_name_child" id="first_name_child" class="form-control"
                                                placeholder="Enter the child name" required>
                                        </div>
                                    </div>
                                    <?php if($class != ''): ?>
                                        <div class="col-xl-12">
                                            <div class="form-group mt-2 mb-2">
                                                <?php
                                                    $class_detail = App\Models\ScheduleClass::find($class);
                                                ?>
                                                <label>Class Name</label>
                                                <input type="text"
                                                    value="<?php echo e($class_detail ? $class_detail->name . ' (' . date('d-m-Y', strtotime($class_detail->class_date)) . ')' . ' (' . date('h:i A', strtotime($class_detail->start_time)) . ' To ' . date('h:i A', strtotime($class_detail->end_time)) . ')' : ''); ?>"
                                                    id="class" readonly class="form-control">
                                                <input type="hidden" name="class" value="<?php echo e($class); ?>">
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Email Id</label>
                                            <input type="email" value="<?php echo e(old('email')); ?>" name="email" id="email"
                                                pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" class="form-control"
                                                placeholder="Enter the child email id" required>
                                        </div>
                                    </div>

                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Create Password</label>
                                            <input name="password_child" type="password" id="password_child"
                                                autocomplete="new-password" class="form-control"
                                                placeholder="Create the password" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Confirm Password</label>
                                            <input name="password_confirmation_child" type="password" class="form-control"
                                                placeholder="Confirm the password" required>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="modal-footer">
                                <div class="btn-wrap">
                                    <button type="submit" class="btn custom-btn common-transition">Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="exampleModaledit" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title" id="exampleModalLabel">Edit Child</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <form action="" method="POST" enctype="multipart/form-data" id="regForm2">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" value="<?php echo e($contact_number); ?>" id="code">
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>First Name <span class="text-danger">*</span></label>
                                            <input type="text" value="" name="first_name_child_edit"
                                                id="first_name_child_edit" class="form-control"
                                                placeholder="Enter the First name" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Last Name <span class="text-danger">*</span></label>
                                            <input type="text" value="" name="last_name_child_edit"
                                                id="last_name_child_edit" class="form-control"
                                                placeholder="Enter the Last name" required>
                                        </div>
                                    </div>
                                    <input type="hidden" id="user_id" name="user_id" value="">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Email Id <span class="text-danger">*</span></label>
                                            <input type="email" value="" name="email_edit" id="email_edit"
                                                pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" class="form-control"
                                                placeholder="Enter the child email id" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12" id="code_div">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Country Code <span class="text-danger">*</span></label>
                                            <select class="disselect-2 js-example-basic-single" name="countryCode" id="countryCode">
                                                <?php echo $__env->make('include.contry_code', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Contact No. <span class="text-danger">*</span></label>
                                            <input type="number" minlength="10"
                                                oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                                                maxlength="10" title="Please enter at least 10 digits." value=""
                                                name="contact_edit" id="contact_edit" class="form-control"
                                                placeholder="Enter the child's Contact No." required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Street Name <span class="text-danger">*</span></label>
                                            <input type="text" value="" name="street_edit" id="street_edit"
                                                class="form-control" placeholder="Enter the Street Name" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Gender <span class="text-danger">*</span></label>
                                            <select class="disselect-2" name="gender_edit" id="gender_edit">
                                                <option value="" selected disabled>Select the gender</option>
                                                <option value="m" class="abc">Male</option>
                                                <option value="f" class="abc">Female</option>
                                                <option value="o" class="abc">Others</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>City <span class="text-danger">*</span></label>
                                            <input type="text" value="" name="city_edit" id="city_edit"
                                                class="form-control" placeholder="Enter the City" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>State <span class="text-danger">*</span></label>
                                            <input type="text" value="" name="state_edit" id="state_edit"
                                                class="form-control" placeholder="Enter the State" required>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="btn-wrap">
                                    <button type="submit" class="btn custom-btn common-transition">Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <input type="hidden" id="session" value="<?php echo e(session()->get('my_test_key')); ?>">
    <section class="child-listing-wrapper">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="child-listing-wrap">
                        <table id="example-1" class="table table-striped" style="width:100%">
                            <thead>
                                <tr>
                                    <th class="th-left">S/N</th>
                                    <th class="th-left child">Child Name</th>
                                    <th class="th-left">Email ID</th>
                                    <th class="th-left">Added Date</th>
                                    <th class="th-left">Class Name & Timing</th>
                                    <th class="th-center">up</th>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student', 'edit-student', 'delete-student',
                                        'create-enroll-classes'])): ?>
                                        <th class="th-center">Actions</th>
                                    <?php else: ?>
                                        <th class="th-center"></th>
                                    <?php endif; ?>
                                </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<style type="text/css">
    #email-error {
        color: red;
    }

    #email_edit-error {
        color: red;
    }

    #contact_edit-error {
        color: red;
    }
    .select2-container--default .select2-selection--single {
    background-color: #fff!important;
    border: 1px solid #dbdbdb!important;
    padding: 0.65rem 0.7rem 0.65rem 0.7rem!important;
    border-radius: 4px!important;
    height: 43px!important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 20px!important;
    font-size:0.85rem;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b{
    margin-top:5px!important;
    left:15%!important;
    border-color: #5a5a5a transparent transparent transparent!important;
}
.select2-results{
    font-size: 0.85rem!important;
}
/* span.select2-container {
    z-index:10050;
} */
</style>
<?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
    <script>
        //  $(document).ready(function() {
        //   $('.js-example-basic-single').select2();
        // });
        $(function(){
         $('#countryCode').val($('#code').val());
         $('#countryCode').select2().trigger('change');
         $('#countryCode').select2({
            closeOnSelect: false,
            // minimumResultsForSearch: -1
            dropdownParent: $('#code_div')
         });
        });
        $(document).ready(function() {
$('#exampleModal').modal({backdrop: 'static', keyboard: false});
$('#exampleModaledit').modal({backdrop: 'static', keyboard: false});
            $.validator.addMethod(
  "regex",
  function(value, element, regexp) {
    var re = new RegExp(regexp);
    return this.optional(element) || re.test(value);
  },
  "Please check your input."
);
            if ($('#student').val() == 0 && $('#session').val() != 'my_value') {
                <?php echo e(session()->put('my_test_key', 'my_value')); ?>

                $('#exampleModal').modal('show');
            }
            $('#example-1').DataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                scrollX: true,
                oSearch: {
                    "bSmart": true
                },
                lengthMenu: [
                    [10, 25, 50, 100, -1],
                    [10, 25, 50, 100, "All"]
                ],
                pageLength: 10,
                order: [5, 'desc'],
                "ajax": {
                    'url': '<?php echo route('student.data'); ?>',
                    'type': 'POST',
                    'headers': {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    }
                },
                columnDefs: [{
                        className: "op-top",
                        "targets": [0]
                    },
                    {
                        className: "de",
                        "targets": [1],
                        "width": "20%"
                    },
                    {
                        className: "de",
                        "targets": [2]
                    },
                    {
                        className: "de",
                        "targets": [3]
                    },
                    {
                        className: "de",
                        "targets": [4],
                        "render": function(data, type, row) {
                            return data.split(",").join(",<br/>");
                        }
                    },
                    {
                        className: "de",
                        "targets": [5]
                    },
                ],
                columns: [{
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex',
                        'orderable': false,
                        'searchable': false,
                        className: 'th-center'
                    },
                    {
                        data: 'name',
                        name: 'name',
                        className: 'th-left'
                    },
                    {
                        data: 'email',
                        name: 'email',
                        className: 'th-left'
                    },
                    {
                        data: 'created_at',
                        name: 'created_at',
                        className: 'th-left'
                    },
                    {
                        data: 'class',
                        name: 'class',
                        className: 'th-left'
                    },
                    {
                        data: 'updated_at',
                        name: 'updated_at',
                        visible: false,
                        className: 'th-center'
                    },
                    {
                        data: 'actions',
                        name: 'actions',
                        className: 'th-center',
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student', 'edit-student', 'delete-student', 'create-enroll-classes'])): ?>
                            visible: true
                        <?php else: ?>
                            visible: false
                        <?php endif; ?>
                    }

                ]
            });
            $('form[id="regForm1"]').validate({
                rules: {
                    first_name_child: {
                        required: true,
                        minlength: 3,
                    },
                    email: {
                        required: true,
                        email: true,
                        remote: {
                            url: "<?php echo e(url('/validate')); ?>",
                            data: {
                                from: 'student',
                            },
                            type: 'get',
                        }
                    },
                    password_child: {
                        required: true,
                    },
                    password_confirmation_child: {
                        required: true,
                        equalTo: "#password_child"
                    },
                },
                messages: {
                    first_name_child: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                    },
                    email: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        remote: "<span style='color:red;'>Email Already Exist.</span>",
                    },
                    password_child: "<span style='color:red;'>This field is required.</span>",
                    password_confirmation_child: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        equalTo: "<span style='color:red;'>Confirm Password Not Matched.</span>",
                    }
                },
                submitHandler: function(form) {
                    $('#regForm1').attr('action', '<?php echo e(route('store-child-account')); ?>');
                    form.submit();
                }
            });
            $('form[id="regForm2"]').validate({
                rules: {
                    first_name_child_edit: {
                        required: true,
                        minlength: 3,
                    },
                    last_name_child_edit: {
                        required: true,
                        minlength: 3,
                    },
                    email_edit: {
                        required: true,
                        email: true,
                        remote: {
                            url: "<?php echo e(url('/validate')); ?>",
                            data: {
                                from: 'student',
                                id: function() {
                                    return $("#user_id").val();
                                }
                            },
                            type: 'get',
                        }
                    },
                    gender_edit: {
                        required: true,
                    },
                    street_edit: {
                        required: true,
                    },
                    state_edit: {
                        required: true,
                    },
                    city_edit: {
                        required: true,
                    },
                    contact_edit: {
                        required: true,
                        regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$",
                    },
                },
                messages: {
                    first_name_child_edit: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                    },
                    last_name_child_edit: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                    },
                    email_edit: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        remote: "<span style='color:red;'>Email Already Exist.</span>",
                    },
                    gender_edit: "<span style='color:red;'>This field is required.</span>",
                    street_edit: "<span style='color:red;'>This field is required.</span>",
                    state_edit: "<span style='color:red;'>This field is required.</span>",
                    city_edit: "<span style='color:red;'>This field is required.</span>",
                    contact_edit: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
                    },
                },
                submitHandler: function(form) {
                    $('#regForm2').attr('action', '<?php echo e(route('update-child-account')); ?>');
                    form.submit();
                }
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/parents/student_dashboard.blade.php ENDPATH**/ ?>