<div id="show_attendance">
    <table class="table table-bordered" style="width:100%;">
        <thead>
            <tr style="border-bottom:2px solid gray;">
                <th class="th-left text-center">S/N</th>
                <th class="th-left">Student Name</th>
                <th class="th-left">Attendance</th>
                <th class="th-left">Result</th>
                <th class="th-left">Feedback</th>
            </tr>
        </thead>
        <tbody>
        <input type="hidden" name="class_id" value="<?php echo e($class_id); ?>" id="class_id">
        <?php if(count($students) > 0): ?>
            <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="table-Default">
                    <th class="th-left text-center"><?php echo e($key + 1); ?> )</th>
                        <input type="hidden" name="stud_id[]" value="<?php echo e($student->id); ?>" id="student">
                        <input type="hidden" name="attendance_date" id="attendance_date" value="<?php echo e($date); ?>">
                        <td class="th-left"><?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?></td>
                    <?php
                        $student_attendance = App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$class_id)->where('date', $date)->first();
                    ?>
                    <?php if($student_attendance == ''): ?>
                        <td class="th-left">
                            <select class="disselect-2" style="border:2px solid gray;font-weight:bold;" name="attendance[]" id="attendance">
                                <option value="p" class="abc" <?php echo e(old('attendance') == 'p' ? 'selected' : ''); ?>>P</option>
                                <option value="a" class="abc" <?php echo e(old('attendance') == 'a' ? 'selected' : ''); ?>>A</option>
                            </select>
                        </td>
                    <?php else: ?>
                        <td class="th-left">
                            <select class="disselect-2" style="border:2px solid gray;font-weight:bold;" name="attendance[]" id="attendance">
                                <option value="p" class="abc" <?php echo e($student_attendance->attendance == 'p' ? 'selected' : ''); ?>>P</option>
                                <option value="a" class="abc" <?php echo e($student_attendance->attendance == 'a' ? 'selected' : ''); ?>>A</option>
                            </select>
                        </td>
                    <?php endif; ?>
                    <td class="th-left"><input name="result[]" placeholder="Enter Marks" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="number" value="<?php echo e($student_attendance ? $student_attendance->result : ''); ?>"/></td>
                    <td class="th-left"><input name="feedback[]" max="5" placeholder="Enter Feedback" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="text" value="<?php echo e($student_attendance ? $student_attendance->feedback : ''); ?>"/></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php else: ?>
            <tr>
                <td class="th-left text-center" colspan="5">No Data Available in Table</td>
            </tr>
        <?php endif; ?>
        </tbody>
    </table>
</div>
<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/students/date_attendance.blade.php ENDPATH**/ ?>