<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <form action="<?php echo e(route('tutor.store-info-tutor')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h4>Account Information of tutor</h4>
                    </div>
                </div>
                <input type="hidden" value="<?php echo e($tutor->id); ?>" name="tutor_id"/>
                <div class="adm-cen-wrap-3">
                    <div class="tut-info-2">
                        <div class="row">
                            <div class="col-xl-12">
                                <!-- Button trigger modal -->
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                    <i class="fas fa-plus-circle"></i>Personal Write Up
                                </button>
                                <span id="personal_tick" class="tut-succ <?php echo e($tutor->breif_note ? '' : 'd-none'); ?>"><i class="fas fa-check-circle"></i></span>
                                <!-- Modal -->
                                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Personal Write Up</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <h6>Add a brief note about yourself(minimum 100 words)</h6>
                                                <textarea class="tut-per" placeholder="Start writing here.." rows="4" cols="50" id="breif_note" name="breif_note"><?php echo e($tutor->breif_note); ?></textarea>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="ed-wrap">
                                    <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-9">
                                        <i class="fas fa-plus-circle"></i>Add Educational Background
                                    </button>
                                    <span id="edu_tick" class="tut-succ <?php echo e(count($tutor_educations) > 0 ? '' : 'd-none'); ?>"><i class="fas fa-check-circle"></i></span>
                                    <div class="modal fade" id="exampleModal-9" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">Education Details</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="edu-head">
                                                        <div class="row">
                                                            <div class="col-lg-12">
                                                                <h4>Education Details 1 :</h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Institute Name</h5>
                                                                <input type="text" id="institute_name1" name="institute_name1" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[0]->institute_name : ''); ?>" class="input__textbox" placeholder="Enter the institute name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Course Name</h5>
                                                                <input type="text" name="course_name1" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[0]->course_name : ''); ?>" class="input__textbox" placeholder="Enter the course name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Start Date</h5>
                                                                <input type="date" name="start_date1" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[0]->start_date : ''); ?>" class="input__textbox" placeholder="Enter the start date">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>End Date</h5>
                                                                <input type="date" name="end_date1" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[0]->end_date : ''); ?>" class="input__textbox" placeholder="Enter the end start">
                                                            </div>
                                                        </div>
                                                    </div>
                                                   <?php if(count($tutor_educations) > 1): ?>
                                                    <div class="edu-head-2">
                                                        <div class="row">
                                                            <div class="col-lg-12">
                                                                <h4>Education Details 2 :</h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Institute Name</h5>
                                                                <input type="text" id="institute_name2" name="institute_name2" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[1]->institute_name : ''); ?>" class="input__textbox" placeholder="Enter the institute name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Course Name</h5>
                                                                <input type="text" name="course_name2" class="input__textbox" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[1]->course_name : ''); ?>" placeholder="Enter the course name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Start Date</h5>
                                                                <input type="date" name="start_date2" class="input__textbox" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[1]->start_date : ''); ?>" placeholder="Enter the start date">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>End Date</h5>
                                                                <input type="date" name="end_date2" class="input__textbox" value="<?php echo e(count($tutor_educations) > 0 ? $tutor_educations[1]->end_date : ''); ?>" placeholder="Enter the end start">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary"
                                                        data-bs-dismiss="modal">Ok</button>
                                                    <button type="button" class="btn btn-primary-2">Submit</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-2">
                                    <i class="fas fa-plus-circle"></i>Transcripts(Certificates)
                                </button>
                                <span id="certi_tick" class="tut-succ <?php echo e($tutor->tutor_certificate ? '' : 'd-none'); ?>"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-2" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Attach Certificates
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="col-xl-12 col-lg-12 col-md-12">
                                                    <div class="cen-logo-2">
                                                        <?php if(!empty($tutor) && $tutor->tutor_certificate): ?>
                                                            <img id="preview_img_2" src="<?php echo e(asset('tutor_certificates/'.$tutor->tutor_certificate)); ?>" width="170" height="120">
                                                        <?php else: ?>
                                                            <img id="preview_img_2" src="" width="170" height="120" style="display: none;"/>
                                                        <?php endif; ?>
                                                        <h3>Attach the documents for tutor</h3>
                                                        <h5>(file format supported: jpeg, png, pdf)</h5>
                                                        <h6>max file size : 2mb</h6>
                                                        <label for="attach_certificate" class="btn-cen-logo">Upload documents</label>
                                                        <input id="attach_certificate" style="visibility:hidden;" type="file" name="attach_certificate" class="form-control" onchange="loadFile2(event)"/>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                    data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-3">
                                    <i class="fas fa-plus-circle"></i>Add Subjects
                                </button>
                                <span id="sub_tick" class="tut-succ <?php echo e(empty($subjects) ? 'd-none' : ''); ?>"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-3" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Add one or more subjects</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="col-xl-12">
                                                    <select class="disselect-4 chosen-select" id="sub-id" name="subjects[]" multiple="true">
                                                        <option value="1" <?php if(!empty($subjects)): ?> <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?php if($sub->subject_id == '1'): ?> selected <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>>English</option>
                                                        <option value="2" <?php if(!empty($subjects)): ?> <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?php if($sub->subject_id == '2'): ?> selected <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>>Maths</option>
                                                        <option value="3" <?php if(!empty($subjects)): ?> <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?php if($sub->subject_id == '3'): ?> selected <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>>Chemistry</option>
                                                        <option value="4" <?php if(!empty($subjects)): ?> <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?php if($sub->subject_id == '4'): ?> selected <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>>Biology</option>
                                                        <option value="5" <?php if(!empty($subjects)): ?> <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?php if($sub->subject_id == '5'): ?> selected <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>>Physics</option>
                                                        <option value="6" <?php if(!empty($subjects)): ?> <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?php if($sub->subject_id == '6'): ?> selected <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>>History</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-4">
                                    <i class="fas fa-plus-circle"></i>Add Location
                                </button>
                                <span id="loc_tick" class="tut-succ <?php echo e($tutor->street_name && $tutor->state && $tutor->city && $tutor->zip_code ? '' : 'd-none'); ?>"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-4" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Location Details</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <style>
                                                    .col-xl-12{
                                                        margin-bottom: 0rem;
                                                    }
                                                </style>
                                                <div class="row">
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>Street Name</h5>
                                                            <input type="text" id="street_name" name="street_name" value="<?php echo e($tutor->street_name); ?>" class="input__textbox" placeholder="Enter the street name">
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>State</h5>
                                                            <input type="text" id="state" name="state" value="<?php echo e($tutor->state); ?>" class="input__textbox" placeholder="Enter the state">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>City</h5>
                                                            <input type="text" id="city" name="city" value="<?php echo e($tutor->city); ?>" class="input__textbox" placeholder="Enter the city">
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>Zip Code</h5>
                                                            <input type="number" id="zip_code" name="zip_code" value="<?php echo e($tutor->zip_code); ?>" class="input__textbox" placeholder="Enter the zip code">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-5">
                                    <i class="fas fa-plus-circle"></i>Add Experience
                                </button>
                                <?php
                                                   $exp = DB::table('tutor_exps')->where('tutor_id',$tutor->id)->first(); ?>
                                <span id="exp_tick" class="tut-succ <?php echo e($exp ? $exp->job_title ? '' : 'd-none' : ''); ?>"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-5" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Working Experience(ifany)</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <h6>Add a brief working experience</h6>


<div class="row">
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Job Title</h5>
            <input type="text" value="<?php echo e($exp ? $exp->job_title : ''); ?>" name="job_title" id="job_title" class="input__textbox" placeholder="Enter the first name">
            </label>
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Employment Type</h5>
            <input type="text" name="job_type" value="<?php echo e($exp ? $exp->job_type : ''); ?>" class="input__textbox" placeholder="Enter the last name">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Company Name</h5>
            <input type="text" name="institute_name" value="<?php echo e($exp ? $exp->institute_name : ''); ?>"  class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Job Location</h5>
            <input type="text" name="job_location" value="<?php echo e($exp ? $exp->job_location : ''); ?>" class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Start Date</h5>
            <input type="date" name="start_date" value="<?php echo e($exp ? $exp->start_date : ''); ?>" class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>End Date</h5>
            <input type="date" name="end_date" value="<?php echo e($exp ? $exp->end_date : ''); ?>" class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>


</div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <?php if(auth()->check() && auth()->user()->hasRole('center_manager')): ?>
                    <a href="<?php echo e(route('centre-manager.index')); ?>" class="adm-info-btn-2">Cancel</a>
                    <?php else: ?>
                    <a href="<?php echo e(route('tutor.index')); ?>" class="adm-info-btn-2">Cancel</a>
                    <?php endif; ?>
                        <button type="submit" class="adm-info-btn">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('styles'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/chosen.min.css')); ?>"/>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('assets/jquery/chosen.jquery.min.js')); ?>"></script>
<script>
var loadFile2 = function(event) {
	var image = document.getElementById('preview_img_2');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
$(function() {
    // $('.tut-succ').addClass('d-none');
    $('#sub-id').chosen();
    $('.btn-primary-2').addClass('d-none');

    $('.modal').on('hidden.bs.modal', function () {
        checkEntries();
    });
    checkEntries();

    function checkEntries(){
        if($('#breif_note').val())
            $('#personal_tick').removeClass('d-none');
        else
            $('#personal_tick').addClass('d-none');

        if($('#attach_certificate').val())
            $('#certi_tick').removeClass('d-none');
        else
            $('#certi_tick').addClass('d-none');

        if($('#sub-id').val().length != 0)
            $('#sub_tick').removeClass('d-none');
        else
            $('#sub_tick').addClass('d-none');

        if($('#institute_name1').val() && $('#institute_name2').val())
            $('#edu_tick').removeClass('d-none');
        else
            $('#sub_tick').addClass('d-none');

        if($('#street_name').val() && $('#state').val() && $('#city').val() && $('#zip_code').val())
            $('#loc_tick').removeClass('d-none');
        else
            $('#loc_tick').addClass('d-none');

        if($('#job_title').val() != ''){
            $('#exp_tick').removeClass('d-none');
        }else{
            $('#exp_tick').addClass('d-none');
        }
    }
});
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/tutors/info_create.blade.php ENDPATH**/ ?>