<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    
        <?php echo csrf_field(); ?>
        <div class="container">
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>Edit Class</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('class.index')); ?>" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="col-xl-12">
                    <div class="cen-logo">
                        
                        <div class="container">
                            <div class="row">
                                <div class="col-md-12">

                                    <h3>Drag and drop files you want to upload</h3>
                                    <form action="<?php echo e(route('dropzone.store')); ?>" method="post" style="border: none;" name="file" files="true" enctype="multipart/form-data" class="dropzone" id="image-upload">
                                        <?php echo csrf_field(); ?>
                                        <div>
                                            <h5>(file format supported: jpeg, png)</h5>
                                            <h6>max file size : 2mb</h6>
                                            <?php if(!empty($class) && file_exists('class_banners/'.$class->banner) == 'true' && $class->banner != null): ?>
                
                <input id="img" value="<?php echo e(asset('class_banners/'.$class->banner)); ?>" type="hidden">
                <input id="img_url" value="<?php echo e($class->banner); ?>" type="hidden">
                <?php else: ?>
                <input id="img" value="" type="hidden">
                <input id="img_url" value="" type="hidden">
                
                <?php endif; ?>
                                    </div>
                                    </form>

                                </div>
                            </div>
                        </div>

                        
                    </div>
                </div>


                <form action="<?php echo e(route('schedule-class.update',$class->id)); ?>" method="POST" enctype="multipart/form-data" id="offline_group_classForm">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <div class="row">

                <input type="hidden" name="type_id" value="<?php echo e($class->type_id); ?>" id="type_id">
                <div class="col-xl-12">

                        <div class="row">

                            

                            <div class="more-information-wrapper">
                                <div class="row">
                                    <?php if(auth()->check() && auth()->user()->hasRole('tuition center|tutor')): ?>
                                    <div class="col-xl-12">
                                        <div class="adm-cen-head">
                                            <h4>Class Information</h4>
                                        </div>
                                    </div>
                                    <?php else: ?>
                                    <div class="col-xl-6">
                                        <div class="adm-cen-head">
                                            <h4>Class Information</h4>
                                        </div>
                                    </div>
                                    <!-- <div class="col-xl-6">
                                        <div class="cen-info">
                                            Create for Tuition Center or Tutor &nbsp;&nbsp;&nbsp;
                                            <input type="radio" name="tuition" id="tuition_centre" value="center" <?php echo e($class_tuition_centre ? 'checked' : ''); ?>>&nbsp;Tuition Center
                                            &nbsp;&nbsp;<input type="radio" name="tuition" id="tutor" value="tutor" <?php echo e($class_tutors ? 'checked' : ''); ?>>&nbsp;Tutor
                                        </div>
                                    </div> -->
                                    <?php endif; ?>
                                </div>
                                <div class="more-information-wrap">
                                    <div class="row">
                                        <input id="logo_url" type="hidden" name="banner_url"/>
                                        <input id="logo_name" type="hidden" name="banner"/>
                                        <?php if(auth()->check() && auth()->user()->hasRole('tuition center|tutor')): ?>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5>Class Mode <span class="text-danger">*</span></h5>
                                                <select class="disselect-2" id="checkbox__input51" name="class_mode_select">
                                                <option value="">Select Class Mode</option>
                                                    <option value="1" <?php echo e($class->type_id == '1' ? 'selected' : ''); ?>>Online group classes</option>
                                                    <option value="2" <?php echo e($class->type_id == '2' ? 'selected' : ''); ?>>Online One - One Classes</option>
                                                    <option value="3" <?php echo e($class->type_id == '3' ? 'selected' : ''); ?>>Offline group classes</option>
                                                    <option value="4" <?php echo e($class->type_id == '4' ? 'selected' : ''); ?>>Offline One - One classes</option>
                                                    <option value="5" <?php echo e($class->type_id == '5' ? 'selected' : ''); ?>>Trial classes</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class Name <span class="text-danger">*</span></h5>
                                                <input type="text" id="class_Name" value="<?php echo e($class->name); ?>" name="name" class="input__textbox" placeholder="Enter the class name" >
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12 d-none">
                                            <div class="cen-info">
                                                <h5>Tuition Centres <span class="text-danger">*</span></h5>
                                                <input value="<?php echo e(auth()->user()->id); ?>" name="centres" type="hidden">
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12 d-none">
                                            <div class="cen-info">
                                                <h5>Tutors <span class="text-danger">*</span></h5>
                                                <input value="<?php echo e(auth()->user()->id); ?>" name="tutors" type="hidden">
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5>Lessons <span class="text-danger">*</span></h5>
                                                <select class="disselect-2" name="lesson" id="lesson">
                                                <option value="">Select Lesson</option>
                                                    <?php $__currentLoopData = $lessons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lesson): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($lesson->id); ?>" <?php echo e($class->lesson_id == $lesson->id ? 'selected' : ''); ?>><?php echo e($lesson->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php if(auth()->check() && auth()->user()->hasRole('tuition center')): ?>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5>Cetres</h5>
                                                <select class="disselect-2" name="centre" id="centre">
                                                <option value="">Select Centre</option>
                                                    <?php $__currentLoopData = $multiple_centres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $centre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($centre->id); ?>" <?php echo e($class_tuition_centre->center_id  == $centre->id ? 'selected' : ''); ?>><?php echo e($centre->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php endif; ?>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class Size <span class="text-danger">*</span></h5>
                                                <input type="number" id="#" name="class_size" value="<?php echo e($class->class_size); ?>" placeholder="Enter the class size" class="input__textbox" >
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Price ($) <span class="text-danger">*</span></h5>
                                                <input type="number" id="#" name="price" value="<?php echo e($class->price); ?>" placeholder="Enter the price" class="input__textbox" >
                                            </div>
                                        </div>
                                        <?php else: ?>
                                        <div class="col-xl-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class creation for <span class="text-danger">*</span></h5>
                                                <div class="class-sel-2">
                                                    <label class="checkbox54" for="tuition_centre">
                                                        <input class="checkbox__input54" type="radio" value="center" name="tuition" id="tuition_centre" <?php echo e($class_tuition_centre ? 'checked' : ''); ?>>
                                                        <div class="checkbox__box54"></div>
                                                        <span>Tuition Centre</span>
                                                    </label>
                                                    &nbsp;&nbsp;
                                                    <label class="checkbox54" for="tutor">
                                                        <input class="checkbox__input54" type="radio" value="tutor" name="tuition" id="tutor" <?php echo e($class_tutors ? 'checked' : ''); ?>>
                                                        <div class="checkbox__box54"></div>
                                                        <span>Tutor</span>
                                                    </label>
                                                </div>
                                                <!--
                                                <input type="radio" name="tuition" id="tuition_centre" value="center" checked>&nbsp;Tuition Center
                                                &nbsp;&nbsp;<input type="radio" name="tuition" id="tutor" value="tutor">&nbsp;Tutor-->
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5>Class Mode <span class="text-danger">*</span></h5>
                                                <select class="disselect-2" id="checkbox__input51" name="class_mode_select">
                                                <option value="">Select Class Mode</option>
                                                    <option value="1" <?php echo e($class->type_id == '1' ? 'selected' : ''); ?>>Online group classes</option>
                                                    <option value="2" <?php echo e($class->type_id == '2' ? 'selected' : ''); ?>>Online One - One Classes</option>
                                                    <option value="3" <?php echo e($class->type_id == '3' ? 'selected' : ''); ?>>Offline group classes</option>
                                                    <option value="4" <?php echo e($class->type_id == '4' ? 'selected' : ''); ?>>Offline One - One classes</option>
                                                    <option value="5" <?php echo e($class->type_id == '5' ? 'selected' : ''); ?>>Trial classes</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12 d-none" id="center_div">
                                            <div class="cen-info">
                                                <h5>Tuition Centres <span class="text-danger">*</span></h5>
                                                <select class="disselect-2 " name="centres" data-placeholder="Select Tuition Centres" id="centres_sct">
                                                    <option value="">Select Tuition Centres</option>
                                                    <?php $__currentLoopData = $tuition_centres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $centre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($centre->id); ?>"  <?php echo e($class_tuition_centre ?  ($class_tuition_centre->tuition_centre_id == $centre->id && $class_tuition_centre->center_id == '' ?  'selected' : '') : ''); ?>><?php echo e($centre->name); ?></option>
                                                    <?php
                                                        $multiple_centres = App\Models\MultipleCentre::where('center_id',$centre->id)->get();
                                                    ?>
                                                    <?php if(count($multiple_centres) > 0): ?>
                                                    <optgroup label="Other Centres of <?php echo e($centre->name); ?>">
                                                        <?php $__currentLoopData = $multiple_centres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $centre1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="other,<?php echo e($centre1->id); ?>,<?php echo e($centre->id); ?>" style="color:black;" <?php echo e($class_tuition_centre ?  ($class_tuition_centre->tuition_centre_id == $centre->id && $class_tuition_centre->center_id == $centre1->id ?  'selected' : '') : ''); ?>>(<?php echo e($key+1); ?>) <?php echo e($centre1->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </optgroup>
                                                    <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12 d-none" id="tutor_div">
                                            <div class="cen-info">
                                                <h5>Tutors <span class="text-danger">*</span></h5>
                                                <select class="disselect-2 "  name="tutors" id="tutor_sct" data-placeholder="Select Tutors">
                                                    <option value="">Select Tutor</option>
                                                    <?php $__currentLoopData = $tutors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tutor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($tutor->id); ?>" <?php echo e($class_tutors ? ($class_tutors->tutor_id == $tutor->id ? 'selected' : '') : ''); ?>><?php echo e($tutor->first_name); ?> <?php echo e($tutor->last_name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class Name <span class="text-danger">*</span></h5>
                                                <input type="text" id="class_Name" value="<?php echo e($class->name); ?>" name="name" class="input__textbox" placeholder="Enter the class name" >
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5>Lessons <span class="text-danger">*</span></h5>
                                                <select class="disselect-2" name="lesson" id="lesson">
                                                <option value="">Select Lesson</option>
                                                    <?php $__currentLoopData = $lessons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lesson): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($lesson->id); ?>" <?php echo e($class->lesson_id == $lesson->id ? 'selected' : ''); ?>><?php echo e($lesson->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class Size <span class="text-danger">*</span></h5>
                                                <input type="number" id="#" name="class_size" value="<?php echo e($class->class_size); ?>" placeholder="Enter the class size" class="input__textbox" >
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Price ($) <span class="text-danger">*</span></h5>
                                                <input type="number" id="#" name="price" value="<?php echo e($class->price); ?>" placeholder="Enter the price" class="input__textbox" >
                                            </div>
                                        </div>
                                        <?php endif; ?>
                                    </div>
                                    
                                </div>
                            </div>

                            <div class="more-information-wrapper">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="adm-cen-head">
                                            <h4>Date & duration of class</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="cen-info">
                                            <h5 for="class_Name">Choose Class Type <span class="text-danger">*</span></h5>
                                            <div class="class-sel-2">
                                                <?php if($class->is_special == 0): ?>
                                                <label class="checkbox56" for="reccur_class">
                                                    <input class="checkbox__input56" type="radio" value="reccur" name="classType" id="reccur_class" <?php echo e($class->is_special == 0 ? 'checked' : ''); ?>>
                                                    <div class="checkbox__box56"></div>
                                                    <span>Recurring Class</span>
                                                </label>
                                                <?php else: ?>
                                                <label class="checkbox56" for="special_class">
                                                    <input class="checkbox__input56" type="radio" value="special" name="classType" id="special_class" <?php echo e($class->is_special == 1 ? 'checked' : ''); ?>>
                                                    <div class="checkbox__box56"></div>
                                                    <span>Special Class</span>
                                                </label>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                            <!--
                                        Choose Class Type &nbsp;&nbsp;&nbsp;&nbsp;
                                        <input type="radio" name="classType" id="reccur_class" value="reccur" checked>&nbsp;Reccuring Class &nbsp;&nbsp;
                                        <input type="radio" name="classType" id="special_class" value="special">&nbsp;Special Class-->
                                    </div>
                                </div>
                                <div class="more-information-wrap d-none" id="reccur_class_div">
                                    <div class="row">
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Number Of Lesson<span class="text-danger">*</span></h5>
                                                <input type="number" id="no_lesson" name="no_lesson" class="input__textbox " value="<?php echo e($class->no_lesson); ?>" autocomplete="true">
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class Date <span class="text-danger">*</span></h5>
                                                <input type="text" id="date" name="date" value="<?php echo e(date('d-m-Y',strtotime($class->class_date))); ?>" class="input__textbox date-picker" placeholder="Select the class date" >
                                            </div>
                                        </div>
                                        <div class="col-xl-2 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Start Time <span class="text-danger">*</span></h5>
                                                <input type="text" id="start_time" name="start_time" value="<?php echo e($class->start_time); ?>" placeholder="Enter the start time" class="input__textbox timepicker" autocomplete="true">
                                            </div>
                                        </div>
                                        <div class="col-xl-2 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name" style="margin-left:10px;">Duration <span class="text-danger"></span></h5>
                                                <div class="row">
                                                 <div  class="col-md-2 mb-1" style="width:50%;" >
                                                    <input type="number" class="input__textbox duration" name="duration_hrs" value="" id="duration_hrs" placeholder="hrs">
                                                </div>
                                                <div  class="col-md-2" style="width: 50%;display:inline-block;">
                                                    <input type="number" class="input__textbox duration" name="duration_mins" value="" id="duration_mins" placeholder="mins">
                                                </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xl-2 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">End Time <span class="text-danger">*</span></h5>
                                                <input type="text" id="end_time" name="end_time" value="<?php echo e($class->end_time); ?>" placeholder="Enter the end time" class="input__textbox timepicker" autocomplete="true">
                                            </div>
                                        </div>
                                    </div>
                                    <div id="show_lesson"></div>
                                </div>

                                <div class="more-information-wrap d-none" id="special_class_div">
                                    <div id="kt_repeater_11">
                                        <div data-repeater-list="special_class_days">
                                            <?php $__currentLoopData = $special_class_dates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $special_class_date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div data-repeater-item="" class="form-group row align-items-center">
                                                    <div class="col-md-3 col-lg-3 col-md-4 col-12">
                                                        <div class="cen-info">
                                                            <label>Date <span class="text-danger">*</span></label>
                                                            <input type="text" class="input__textbox date-picker" id="class_date" name="class_date" value="<?php echo e(date('d-m-Y',strtotime($special_class_date->class_date))); ?>" placeholder="Enter date" autocomplete="true" />
                                                        </div>
                                                    </div>
                                                   <div class="col-md-3 col-lg-3 col-md-4 col-12">
                                                        <div class="cen-info">
                                                            <label >Time From<span class="text-danger">*</span></label>
                                                            <input type="text" class="input__textbox timepicker timepicker-no-seconds" name="time_from" id="time_from" autocomplete="true" value="<?php echo e($special_class_date->start_time); ?>">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 col-lg-3 col-md-4 col-12">
                                                        <div class="cen-info">
                                                            <label>Time To<span class="text-danger">*</span></label>
                                                            <input type="text" class="input__textbox timepicker timepicker-no-seconds" name="time_to" id="time_to" autocomplete="true" value="<?php echo e($special_class_date->end_time); ?>">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 col-lg-3 col-md-4 col-12">
                                                            <a href="javascript:;" data-repeater-delete class="btn btn-sm font-weight-bolder btn-danger-4 mt-8">
                                                            <i class="fas fa-trash"></i>Delete
                                                            </a>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                            <!-- <div class="col-lg-3"> -->
                                                <a href="javascript:;" data-repeater-create class="btn btn-sm font-weight-bolder btn-primary-4 mt-1">
                                                    <i class="fas fa-plus"></i>Add
                                                </a><br><br>
                                            <!-- </div> -->

                                    </div>
                                </div>
                            </div>

                            <div class="more-information-wrapper" id="address_box">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="adm-cen-head">
                                            <h4>Address Information</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="more-information-wrap">
                                    <div class="row">
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12" id="close_div">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Find Address <span class="text-danger"></span></h5>
                                                <input class="typeahead input__textbox" type="text" id="find_address" name="find_address" placeholder="Find Address here">
                                                <div id="chosen-drop">

                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Street Name <span class="text-danger">*</span></h5>
                                                <input type="text" name="street_name" value="<?php echo e($class->street_name); ?>" placeholder="Enter the street name" class="input__textbox" id="street_name" disabled>
                                                <input type="hidden" name="lat" id="lat" value="<?php echo e($class->latitude); ?>">
                                                <input type="hidden" name="long" id="long" value="<?php echo e($class->longitude); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">City <span class="text-danger">*</span></h5>
                                                <input type="text" name="city" value="<?php echo e($class->city); ?>" placeholder="Enter the city" class="input__textbox" id="city" disabled>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Zip Code <span class="text-danger">*</span></h5>
                                                <input type="number" name="zip_code" value="<?php echo e($class->zip_code); ?>" placeholder="Enter the zip code" class="input__textbox" id="zip_code" disabled>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Building Number <span class="text-danger"></span></h5>
                                                <input type="text" name="building_no" value="<?php echo e($class->building_no); ?>" placeholder="Enter the building number" class="input__textbox" >
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="more-information-wrapper" id="live_box">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="adm-cen-head">
                                            <h4>Live Class Details</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="more-information-wrap">
                                    <div class="row">
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Live Class Link <span class="text-danger">*</span></h5>
                                                <input type="text" name="live_link" value="<?php echo e($class->live_link); ?>" id="live_link" placeholder="Enter the Live CLass link" class="input__textbox" >
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Live Class Id <span class="text-danger"></span></h5>
                                                <input type="text" name="live_id" value="<?php echo e($class->live_id); ?>" placeholder="Enter the Live id" class="input__textbox">
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Live Class Password <span class="text-danger"></span></h5>
                                                <input type="text" name="live_password" value="<?php echo e($class->live_password); ?>" placeholder="Enter the Live Class Password" class="input__textbox">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="more-information-wrapper">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="adm-cen-head">
                                            <h4>External Links</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="more-information-wrap">
                                    <div class="row">
                                        <div class="col-xl-6 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">LMS Link <span class="text-danger"></span></h5>
                                                <input type="url" name="lms_link" value="<?php echo e($class->lms_link); ?>" placeholder="Enter the lms link" class="input__textbox" >
                                            </div>
                                        </div>
                                        <div class="col-xl-6 col-lg-3 col-md-4 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Materials Access Link <span class="text-danger"></span></h5>
                                                <input type="url" name="mas_link" value="<?php echo e($class->mas_link); ?>" placeholder="Enter the materials access link" class="input__textbox" >
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>

                            <div class="more-information-wrapper">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="adm-cen-head">
                                            <h4>Other Information</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="more-information-wrap">
                                    <div class="row">
                                        <div class="col-xl-12 col-lg-12 col-md-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Add a short description about the class</h5>
                                                <textarea name="description" class="class-des" rows="6" cols="20" placeholder="Type here...."><?php echo e($class->description); ?></textarea>
                                            </div>
                                        </div>
                                        <!-- <div class="col-xl-12 col-lg-12 col-md-12">
                                            <div class="cen-info">
                                                <h5 class="rec-ques">Do you want to recurring this class? <span class="text-danger">*</span></h5>
                                                <span class="rec-wrap">
                                                    <label class="radio-btn-1" for="freelancer">
                                                        <input class="btn-tag" type="radio" value='1' name="is_recurring" id="freelancer" <?php echo e($class->is_recurring == 1 ? 'checked' : ''); ?> >
                                                        <span class="mn">Yes</span>
                                                    </label>
                                                    <label class="radio-btn" for="tag">
                                                        <input class="btn-tag" type="radio" value='0' name="is_recurring" id="tag"  <?php echo e($class->is_recurring == 0 ? 'checked' : ''); ?>>
                                                        <span>No</span>
                                                    </label>
                                                </span>
                                            </div>
                                        </div> -->
                                        <!-- <div class="row recurring-setting d-none">
                                            <div class="col-xl-4 col-lg-4 col-md-4">
                                                <div class="online-links">
                                                    <div class="class-sel">
                                                        <label class="checkbox51" for="myCheckboxId51">
                                                            <input class="checkbox__input51" type="checkbox" name="everyWeekday" id="myCheckboxId51">
                                                            <div class="checkbox__box51"></div>
                                                            <span class="rec-week">Every Weekday</span>
                                                        </label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-4">
                                                <div class="online-links">
                                                    <div class="class-sel">
                                                        <label class="checkbox51" for="myCheckboxId53">
                                                            <input class="checkbox__input51" type="checkbox" name="everyWeek" id="myCheckboxId53">
                                                            <div class="checkbox__box51"></div>
                                                            <span class="rec-week">Every Week</span>
                                                        </label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-4">
                                                <div class="online-links">
                                                    <div class="class-sel">
                                                        <label class="checkbox51" for="myCheckboxId54">
                                                            <input class="checkbox__input51" type="checkbox" name="everyMonth" id="myCheckboxId54">
                                                            <div class="checkbox__box51"></div>
                                                            <span class="rec-week">Every Month</span>
                                                        </label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-xl-4s">
                                                <div class="online-links">
                                                    <h4 class="rec-end">End Date of Recurring Class</h4>
                                                    <input type="date" name="endRecurring_date" placeholder="Enter the end date" class="zoom-1">
                                                </div>
                                            </div>
                                        </div> -->


                                    </div>
                                </div>
                            </div>
                            



                    <div class="preview-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="btn-prev-wrap">
                                    <!-- <button type="button" class="btn btn-primary-3" data-bs-toggle="modal"
                                        data-bs-target="#exampleModal">
                                        Preview
                                    </button> -->
                                </div>
                                <!-- Modal -->
                                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered modal-xl">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Preview Details</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="duration-wrap">
                                                    <div class="row">
                                                        <div class="col-xl-12">
                                                            <div class="zoom-head">
                                                                <h4>Class Information :</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-3">
                                                            <div class="online-links">
                                                                <h4>Class Name : Maths Class</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-3">
                                                            <div class="online-links">
                                                                <h4>Class Date : 26.02.2021</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-3">
                                                            <div class="online-links">
                                                                <h4>Subject : Maths</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-3">
                                                            <div class="online-links">
                                                                <h4>Topic : Algebra</h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="zoom-wrap">
                                                    <div class="row">
                                                        <div class="col-xl-12">
                                                            <div class="zoom-head">
                                                                <h4>Zoom Details :</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-4 col-lg-12 col-md-12">
                                                            <div class="online-links">
                                                                <h4>Zoom Link : <a href="#">https://www.google.com/</a>
                                                                </h4>

                                                            </div>
                                                        </div>
                                                        <div class="col-xl-4 col-lg-12 col-md-12">
                                                            <div class="online-links">
                                                                <h4>Zoom Id : 12345</h4>

                                                            </div>
                                                        </div>
                                                        <div class="col-xl-4 col-lg-12 col-md-12">
                                                            <div class="online-links">
                                                                <h4>Zoom Password : Tuition King</h4>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="moodle-wrap">
                                                    <div class="row">
                                                        <div class="col-xl-12">
                                                            <div class="zoom-head">
                                                                <h4>External Links :</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-6">
                                                            <div class="online-links">
                                                                <h4>Moodle Link : <a
                                                                        href="#">https://www.google.com/</a>
                                                                </h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-6">
                                                            <div class="online-links">
                                                                <h4>Google Drive Link : <a
                                                                        href="#">https://www.google.com/</a></h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="moodle-wrap">
                                                    <div class="row">
                                                        <div class="col-xl-12">
                                                            <div class="zoom-head">
                                                                <h4>Duration of Class :</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-6">
                                                            <div class="online-links">
                                                                <h4>Start time : 10:00 am</h4>

                                                            </div>
                                                        </div>
                                                        <div class="col-xl-6">
                                                            <div class="online-links">
                                                                <h4>End time : 12:00 pm</h4>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="other-wrap">
                                                    <div class="row">
                                                        <div class="col-xl-12">
                                                            <div class="zoom-head">
                                                                <h4>Other Information :</h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-6">
                                                            <div class="online-links">
                                                                <h4>Class Size : 10 students</h4>

                                                            </div>
                                                        </div>
                                                        <div class="col-xl-6">
                                                            <div class="online-links">
                                                                <h4>Price ($) : 100</h4>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary"
                                                        data-bs-dismiss="modal">Back</button>
                                                    <a href="Tut dashboard.html" class="btn btn-primary-2">Schedule</a>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <input type="hidden" name="selectedDate" id="selectedDate" value="<?php echo e($class->class_date); ?>">
        

                <!--
                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Lesson <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="lesson" id="lesson">
                                <option value="">Select Lesson</option>
                                <?php $__currentLoopData = $lessons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lesson): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($lesson->id); ?>" <?php echo e(old('lesson')  == $lesson->id ? 'selected' : ''); ?>><?php echo e($lesson->name); ?>(<?php echo e(date('d-m-Y',strtotime($lesson->date))); ?>)</option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Class Name <span class="text-danger">*</span></h5>
                            <input name="class" value="<?php echo e(old('class')); ?>" type="text" class="input__textbox"
                                placeholder="Enter the Class Name">
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6" id="datetimepicker2">
                        <div class="cen-info" style="position: relative">
                            <h5>Select Class Time <span class="text-danger">*</span></h5>
                            <div style="position: relative">
                                <input class="input__textbox timepicker" placeholder="--:-- --" value="<?php echo e(old('time')); ?>"
                                    type="text" name="time" id="datetime" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>-->

                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="<?php echo e(route('class.index')); ?>" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="adm-info-btn save-btn">Save</button>
                    </div>
                </div>

        </div>
    </form>
</section>
<link href='https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.10.0/css/bootstrap-datepicker.min.css' rel='stylesheet' type='text/css'>
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker.min.css" rel="stylesheet" />
<style>
    #datetimepicker2  .timepicker-picker  table td  a span,
#datetimepicker2  .timepicker-picker  table td,
#datetimepicker2  .timepicker-picker  table td  span
{height: 30px !important;line-height: 30px !important;width: 30px !important; line-height:30px !important; padding:0px !important;}

.bootstrap-datetimepicker-widget.dropdown-menu {width: 15%;}

.datepicker-dropdown {top: 0; left: 0; padding: 4px;}

.datepicker table tr td,
.datepicker table tr th { text-align: center; width: 40px; height: 30px; }

#sub-id-error {
    color: red;
}

#tutor-id-error {
    color: red;
}
#time_from-error {
    color: red;
}
#time_to-error {
    color: red;
}
#class_date-error {
    color: red;
}
#street_name-error {
    color: red;
}
#city-error {
    color: red;
}
#zip_code-error {
    color: red;
}
.special_repeater:first-of-type [data-repeater-delete] { display: none; }

.dropzone .dz-preview .dz-error-message {
    top: 150px!important;
    display: none;
}
.dropzone .dz-preview .dz-image {
        border-radius:50%!important;
    }
    .dz-image img {
    width: 100%!important;
    height: 100%!important;
}
.dz-remove
{
    display:inline-block !important;
    width:1.2em;
    height:1.2em;

    position:absolute;
    top:5px;
    right:5px;
    z-index:1000;

    font-size:1.2em !important;
    line-height:1em;

    text-align:center;
    font-weight:bold;
    border:1px solid #80808000 !important;
    border-radius:1.2em;
    color:#80808000;
    background-color:#80808000;
    opacity:.5;

}

.dz-remove:hover
{
    text-decoration:none !important;
    opacity:1;
    color: white;
                background-color: rgb(131, 131, 131);
}
input:read-only {
  background-color: rgb(235,235,228);
}
</style>
<?php $__env->startPush('scripts'); ?>

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="https://momentjs.com/downloads/moment-with-locales.js"></script>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/chosen.min.css')); ?>"/>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-3-typeahead/4.0.1/bootstrap3-typeahead.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.0.1/min/dropzone.min.css" rel="stylesheet">
     <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.2.0/min/dropzone.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script src="<?php echo e(asset('assets/jquery/chosen.jquery.min.js')); ?>"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.10.0/js/bootstrap-datepicker.min.js' type='text/javascript'></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.repeater/1.2.1/jquery.repeater.min.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo e(env('APP_LOCATION_KEY')); ?>&libraries=places"></script>
<script type="text/javascript">
    var path = "<?php echo e(route('autocomplete')); ?>";
    $('input.typeahead').keyup(function(){
        if($(this).val() == ''){
            $("#street_name").prop('disabled', true);
            $("#city").prop('disabled', true);
            $("#zip_code").prop('disabled', true);
            $("#street_name").val('');
            $("#lat").val('');
            $("#long").val('');
            $("#city").val('');
            $("#zip_code").val('');
            $('#chosen-drop').hide(400);
        }
    });
    // $(document).on('keyup','#street_name,#city,#zip_code',function() {
    //     if($("#street_name").val() == '' && $("#city").val() == '' && $("#zip_code").val() == ''){
    //         alert('ok');
    //         $('input.typeahead').val('');
    //         $("#street_name").prop('disabled', true);
    //         $("#city").prop('disabled', true);
    //         $("#zip_code").prop('disabled', true);
    //     }
    // });
    $("#offline_group_classForm").on("submit", function(event) {
            if($('#checkbox__input51').val() == 1 || $('#checkbox__input51').val() == 2){
                $("#street_name").prop('required', false);
                $("#city").prop('required', false);
                $("#zip_code").prop('required', false);
            }else{
                $("#street_name").prop('required', true);
                $("#city").prop('required', true);
                $("#zip_code").prop('required', true);
            }
            $('#offline_group_classForm').validate();
            if($("#street_name").val() == '' || $("#city").val() == '' || $("#zip_code").val() == '' ){
                    if($("#street_name").val() == ''){
                        $("#street_name").prop('disabled', false);
                        if($("#street_name").val() == '' && $("#city").val() == '' && $("#zip_code").val() == '' ){

                        }else{
                            $("#street_name").prop('readonly', false);
                        }
                    }else{
                        $("#street_name").prop('readonly', false);
                        $("#street_name").prop('disabled', true);
                    }
                    if($("#city").val() == ''){
                        $("#city").prop('disabled', false);
                        if($("#street_name").val() == '' && $("#city").val() == '' && $("#zip_code").val() == '' ){

                        }else{
                            $("#city").prop('readonly', false);
                        }
                    }else{
                        $("#city").prop('readonly', false);
                        $("#city").prop('disabled', true);
                    }
                    if($("#zip_code").val() == ''){
                        $("#zip_code").prop('disabled', false);
                        if($("#street_name").val() == '' && $("#city").val() == '' && $("#zip_code").val() == '' ){

                        }else{
                            $("#zip_code").prop('readonly', false);
                        }
                    }else{
                        $("#zip_code").prop('readonly', false);
                        $("#zip_code").prop('disabled', true);
                    }
                    $('#offline_group_classForm').validate();
            }else{
                if (!$('#offline_group_classForm').valid()) {

                }else{
                   if($("#street_name").val() != '' && $("#city").val() != '' && $("#zip_code").val() != '' ){
                   $("#street_name").prop('disabled', false);
                   $("#city").prop('disabled', false);
                   $("#zip_code").prop('disabled', false);
                   }
                }
            }
        });
     $(document).mouseup(function (e) {
            if ($(e.target).closest('#close_div').length === 0 && $('#street_name').val() == '') {
            $('input.typeahead').val('');
            $("#street_name").val('');
            $("#city").val('');
            $("#zip_code").val('');
            $("#lat").val('');
            $("#long").val('');
            $('#chosen-drop').hide(400);
            }
            if($('#street_name').val() != ''){
                // $('input.typeahead').val('');
                $('#chosen-drop').hide(400);
            }
        });
    $('input.typeahead').typeahead({
        source:  function (query, process) {
        $("#street_name").prop('disabled', true);
        $("#city").prop('disabled', true);
        $("#zip_code").prop('disabled', true);
        $('#chosen-drop').show(500);
        $("#street_name").val('');
        $("#lat").val('');
        $("#long").val('');
        $("#city").val('');
        $("#zip_code").val('');
        $("#street_name-error").remove();
        $("#city-error").remove();
        $("#zip_code-error").remove();
        return $.get(path, { query: query }, function (data) {
            if(data.street_name == null){
                $("#street_name").val('');
                $("#city").val('');
                $("#zip_code").val('');
                $("#lat").val('');
                $("#long").val('');
                $('#chosen-drop').empty();
                $('#chosen-drop').append('<ul class="list-group"><li class="list-group-item" style="font-size:0.85rem;background: #4da5ff6e;" >Not Found <span id="click" style="cursor:pointer;"><u>Click here to add new</u></span></li></ul>');
                $('#click').click(function(){
                    $('input.typeahead').val('');
                    $("#street_name").prop('disabled', false);
                    $("#city").prop('disabled', false);
                    $("#zip_code").prop('disabled', false);
                    $('#chosen-drop').empty();
                });
            }else{
                $("#street_name").prop('disabled', true);
                $("#city").prop('disabled', true);
                $("#zip_code").prop('disabled', true);
                $('#chosen-drop').empty();
                $('#chosen-drop').append('<ul class="list-group"><li class="list-group-item" style="font-size:0.85rem;background: #4da5ff6e;cursor:pointer;" data-zip_code="'+data.zip_code+'"  data-lat="'+data.latitude+'" data-long="'+data.longitude+'" data-city="'+data.city+'">'+data.street_name+'</li></ul>');
                $('.list-group-item').click(function(){
                $('#find_address').val($(this).html());
                if($(this).html() == ''){
                    $("#street_name").prop('disabled', false);
                }else{
                    $('#street_name').val($(this).html());
                }
                if($(this).data("city") != ''){
                    $('#city').val($(this).data("city"));
                }else{
                    $("#city").prop('disabled', false);
                }
                if($(this).data("zip_code") == null){
                    $("#zip_code").prop('disabled', false);
                }else{
                    $('#zip_code').val($(this).data("zip_code"));
                }
                $('#lat').val($(this).data("lat"));
                $('#long').val($(this).data("long"));
                $('#chosen-drop').hide();
                });
            }
            });
        }
    });

</script>
<script type="text/javascript">
    // Dropzone.autoDiscover = false;


    Dropzone.options.imageUpload = {
        dictDefaultMessage: "<label class='btn-cen-logo'>Upload a banner image of the class</label>",
        maxFilesize: 2,
        allowMultiple:false,
        addRemoveLinks: true,
        acceptedFiles: ".jpeg,.jpg,.png",
        dictRemoveFile : "x",
        // maxFiles:1,
        init: function() {
            var count = 0;
            if($('#img').val() != ''){
                count = 1;
                var thisDropzone = this;
                var mockFile = { name: $('#img_url').val(), size: 12345, type: 'image/jpeg' };
                thisDropzone.emit("addedfile", mockFile);
                thisDropzone.emit("complete", mockFile);
                thisDropzone.emit("thumbnail", mockFile, $('#img').val());
                $(".dz-preview").attr('id','current');
                $('.dz-remove').css('color','white');
                    $('.dz-remove').css('background-color','rgb(131, 131, 131)');
            }
            this.on("success", function(file, response) {
                    $('.dz-remove').css('color','white');
                    $('.dz-remove').css('background-color','rgb(131, 131, 131)');
                });
            this.on("thumbnail", function(file, response) {
                    if (file.size > (1024 * 1024 * 2)) // not more than 2mb
                    {
                        alert("Only 2 mb file size is allowed to store.");
                        this.removeFile(file);
                    }else{
                        $('#logo_url').val(response);
                        $('#logo_name').val(file.name);
                    }
                    $('.dz-remove').click(function(){
                        $('#logo_url').val('');
                        $('#logo_name').val('');
                    });
                $(".dz-remove").attr('title','Remove File');
                if (this.files.length > 1) {
                this.removeFile(this.files[0]);
                }else{
                    if(count  ==  1){
                        $('#current').addClass('d-none');
                    }
                }
                // $('#preview_img').addClass('d-none');
            });
        }
    };
</script>
<script type="text/javascript">
    let pincode, city;
    var input = document.getElementById('street_name');

        // Create the Autocomplete object
        var autocomplete = new google.maps.places.Autocomplete(input);

        autocomplete.addListener('place_changed', function(){
            var place = autocomplete.getPlace();
            console.log(place);
            $('#lat').val(place.geometry['location'].lat());
            $('#long').val(place.geometry['location'].lng());

            var address = place.formatted_address;
            var lat = place.geometry['location'].lat();
            console.log(lat)
            var lon = place.geometry['location'].lng();
            console.log(lon)
            var latlon = new google.maps.LatLng(lat, lon);
            var full_add = $.get({ url: 'https://maps.googleapis.com/maps/api/geocode/json?latlng='+ lat +','+ lon +'&sensor=false&key='+$('#key').val(), success(data) {
                console.log(data.results[0].formatted_address);
            }});
            console.log(full_add)
            var geocoder = (geocoder = new google.maps.Geocoder());

            geocoder.geocode({address: address}, function(results, status) {
              if (status === google.maps.GeocoderStatus.OK) {
                if (results[0]) {
                  // The results array may contain multiple results, but typically the first one is the most accurate
                  var result = results[0];
                  var city, postalCode;

                  // Loop through address components to find city and postal code
                  for (var i = 0; i < result.address_components.length; i++) {
                    var component = result.address_components[i];
                    if (component.types.includes("locality")) {
                      city = component.long_name;
                    }
                    if (component.types.includes("postal_code")) {
                      postalCode = component.long_name;
                    }
                  }

                  // Display the city and postal code
                  console.log("City: " + city);
                  console.log("Postal Code: " + postalCode);
                  $('#city').val(city);
                  $('#zip_code').val(postalCode);

                  if($('#zip_code').val() == ''){
                    var full_add = $.get({ url: 'https://maps.googleapis.com/maps/api/geocode/json?latlng='+ lat +','+ lon +'&sensor=false&key='+$('#key').val(), success(data) {
                        console.log(data.results[0].formatted_address);
                        $('#zip_code').val(data.results[0].address_components[
                                data.results[0].address_components.length - 1
                        ].long_name);
                    }});
                  }
                } else {
                  console.log("No results found for the given address.");
                }
              } else {
                console.log("Geocoding request failed with status: " + status);
              }
            });

            var centralLocation = place.formatted_address;
            var radius = 5000; // 5 km in meters

            // Step 1: Geocode the central location
            var geocoder = new google.maps.Geocoder();
            geocoder.geocode({ address: centralLocation }, function (results, status) {
              if (status == google.maps.GeocoderStatus.OK) {
                var centralCoordinates = results[0].geometry.location;

                // Step 2: Perform a nearby search
                var request = {
                  location: centralCoordinates,
                  radius: radius,
                  types: ['clsses'] // Specify the types of places you're interested in
                };

                var latitude = [];
                var longitude = [];
                var service = new google.maps.places.PlacesService(document.createElement('div'));
                service.nearbySearch(request, function (results, status) {
                  if (status == google.maps.places.PlacesServiceStatus.OK) {
                    // Step 3: Parse and use the results
                    for (var i = 0; i < results.length; i++) {
                      var place = results[i];
                      // console.log(place.name, place.vicinity, place.geometry.location.lat(), place.geometry.location.lng());
                      latitude.push(place.geometry.location.lat());
                      longitude.push(place.geometry.location.lng());
                    }
                  }
                  console.log(latitude)
                   console.log(longitude)
                });
              }
            });


        });
</script>
<script>
    var btns = $('#duration_hrs,#duration_mins,#start_time');
    btns.on('keyup change dp.change', function() {
        var s = $('#start_time').val();
        var hrs = $( "#duration_hrs" ).val();
        var mins = $("#duration_mins").val();
        if(hrs != '' || mins != ''){
        // alert(moment.utc(s,'hh:mm A').add(hrs,'hour').add(mins,'minutes').format('hh:mm A'));
        $('#end_time').val(moment.utc(s,'hh:mm A').add(hrs,'hour').add(mins,'minutes').format('hh:mm A'));
        }else{
        $('#end_time').val(moment.utc(s,'hh:mm A').add(1,'hour').format('hh:mm A'));
        }
    });
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
    $(function() {
        $('#sub-id').chosen();
    $('#tutor-id').chosen();
        const startTime = moment($('#start_time').val(), "hh:mm A");
            const endTime = moment($('#end_time').val(), "hh:mm A");
            const duration = moment.duration(endTime.diff(startTime));
            const hours = parseInt(duration.asHours());
            const minutes = parseInt(duration.asMinutes()) % 60;
            $( "#duration_hrs" ).val(hours);
            $("#duration_mins").val(minutes);
        $('#checkbox__input51').change(function() {
            // $('.checkbox__input51').prop('checked', false);
            // $(this).prop('checked', true);
            if($("#street_name").val() == ''){
                $("#street_name").prop('disabled', false);
            }else{
                $("#street_name").prop('disabled', true);
            }
            if($("#city").val() == ''){
                $("#city").prop('disabled', false);
            }else{
                $("#city").prop('disabled', true);
            }
            if($("#zip_code").val() == ''){
                $("#zip_code").prop('disabled', false);
            }else{
                $("#zip_code").prop('disabled', true);
            }
            $('#type_id').val($(this).val());
            if($(this).val() == 1 || $(this).val() == 2){
                $('#live_link').attr('name','live_link');
                $('#live_box').removeClass('d-none');
                $('#address_box').addClass('d-none');
            }else{
                $('#live_link').removeAttr('name');
                $('#live_box').addClass('d-none');
                $('#address_box').removeClass('d-none');
            }
        });
        if($('#type_id').val() == 1 || $('#type_id').val() == 2){
                $('#live_link').attr('name','live_link');
                $('#live_box').removeClass('d-none');
                $('#address_box').addClass('d-none');
        }else{
                $('#live_link').removeAttr('name');
                $('#live_box').addClass('d-none');
                $('#address_box').removeClass('d-none');
        }
        $('.date-picker').datepicker({
            autoclose: true,
            format: 'dd-mm-yyyy',
        });

        $('.timepicker').datetimepicker({
            format: 'hh:mm A',
            icons: {
              up: 'fas fa-chevron-up',
              down: 'fas fa-chevron-down',
              previous: 'fas fa-chevron-left',
              next: 'fas fa-chevron-right'
            }
        });

        var special_class = $('#kt_repeater_11').repeater({
            initEmpty: false,
            isFirstItemUndeletable: true,
            show: function() {
                $('.timepicker').datetimepicker({
                    format: 'hh:mm A',
                    icons: {
                      up: 'fas fa-chevron-up',
                      down: 'fas fa-chevron-down',
                      previous: 'fas fa-chevron-left',
                      next: 'fas fa-chevron-right'
                    }
                });
                $('.date-picker').datepicker({
                    autoclose: true,
                    orientation: "bottom auto",
                    format: 'dd-mm-yyyy',
                });
                $(this).slideDown();
            }
        });


        $('#start_time').datetimepicker({
            format: 'hh:mm A',
            icons: {
              up: 'fas fa-chevron-up',
              down: 'fas fa-chevron-down',
              previous: 'fas fa-chevron-left',
              next: 'fas fa-chevron-right'
            }
        });

        $('#end_time').datetimepicker({
            format: 'hh:mm A',
            icons: {
              up: 'fas fa-chevron-up',
              down: 'fas fa-chevron-down',
              previous: 'fas fa-chevron-left',
              next: 'fas fa-chevron-right'
            }
        });
        $("#date").on("change",function(){
            var validator = $("#offline_group_classForm").validate();
            validator.element($(this));
        });
        $("#class_date").on("change",function(){
            var validator = $("#offline_group_classForm").validate();
            validator.element($(this));
        });
        $('form[id="offline_group_classForm"]').validate({
            ignore: [],
            rules: {
                name: {
                    required:true,
                },
                /*centres: {
                    required:true,
                },
                tutors: {
                    required:true,
                },*/
                lesson: {
                    required:true,
                },
                class_size: {
                    required:true,
                },
                class_mode_select: {
                    required:true,
                },
                price: {
                    required:true,
                },
                // street_name: {
                //     required:true,
                // },
                // city: {
                //     required:true,
                // },
                // zip_code: {
                //     required:true,
                // },
                live_link:{
                    required:true,
                    url: true
                },
            },
            messages: {
                name: "<span style='color:red;'>This field is required.</span>",
                class_mode_select: "<span style='color:red;'>This field is required.</span>",
                centres: "<span style='color:red;'>This field is required.</span>",
                tutors: "<span style='color:red;'>This field is required.</span>",
                lesson: "<span style='color:red;'>This field is required.</span>",
                class_size: "<span style='color:red;'>This field is required.</span>",
                price: "<span style='color:red;'>This field is required.</span>",
                date: "<span style='color:red;'>This field is required.</span>",
                start_time: "<span style='color:red;'>This field is required.</span>",
                end_time: "<span style='color:red;'>This field is required.</span>",
                live_link:{
                   required:"<span style='color:red;'>This field is required.</span>",
                   url:"<span style='color:red;'>Please Enter Valid Url.</span>",
                },
                no_lesson: "<span style='color:red;'>This field is required.</span>",
                class_date: "<span style='color:red;'>This field is required.</span>",
                time_from: "<span style='color:red;'>This field is required.</span>",
                time_to: "<span style='color:red;'>This field is required.</span>",
                // street_name: "<span style='color:red;'>This field is required.</span>",
                // city: "<span style='color:red;'>This field is required.</span>",
                // zip_code: "<span style='color:red;'>This field is required.</span>",
            },
            errorElement: 'label',
            errorClass: 'error',
            errorPlacement: function(error, element) {
                if(element.parent('.cen-info').length) {
                    error.insertAfter(element.parent());
                } else {
                    error.insertAfter(element);  // ng-multiple-bs-select
                }
            },
        })

        $('input[type=radio][name=tuition]').on('change', function() {
            if ($(this).val() == 'center') {
                $('#center_div').removeClass('d-none');
                $('#tutor_div').addClass('d-none');
                $('#centres_sct').prop('required', true);
                $('#tutor_sct').prop('required', false);
            } else if ($(this).val() == 'tutor') {
                $('#center_div').addClass('d-none');
                $('#tutor_div').removeClass('d-none');
                $('#tutor_sct').prop('required', true);
                $('#centres_sct').prop('required', false);
            }
        });

        $('input[type=radio][name=classType]').on('change', function() {
            if ($(this).val() == 'reccur') {
                $('#reccur_class_div').removeClass('d-none');
                $('#special_class_div').addClass('d-none');
                $('#date').prop('required',true);
                $('#no_lesson').prop('required',true);
                $('#start_time').prop('required',true);
                $('#end_time').prop('required',true);
                $('#class_date').prop('required',false);
                $('#time_from').prop('required',false);
                $('#time_to').prop('required',false);
            } else if ($(this).val() == 'special') {
                $('#reccur_class_div').addClass('d-none');
                $('#special_class_div').removeClass('d-none');
                $('#date').prop('required',false);
                $('#no_lesson').prop('required',false);
                $('#start_time').prop('required',false);
                $('#end_time').prop('required',false);
                $('#class_date').prop('required',true);
                $('#time_from').prop('required',true);
                $('#time_to').prop('required',true);
            }
        });
    });
document.addEventListener('DOMContentLoaded', (event) => {
    var center = document.getElementById('tuition_centre');
    var tutor = document.getElementById('tutor');
    if ($("#tuition_centre").is(":checked")) {
        $('#center_div').removeClass('d-none');
        $('#tutor_div').addClass('d-none');
        $('#centres_sct').prop('required', true);
    }
    if ($("#tutor").is(":checked")) {
        $('#center_div').addClass('d-none');
        $('#tutor_div').removeClass('d-none');
        $('#tutor_sct').prop('required', true);
    }

    if ($("#reccur_class").is(":checked")) {
        $('#reccur_class_div').removeClass('d-none');
        $('#special_class_div').addClass('d-none');
        $('#date').prop('required',true);
        $('#no_lesson').prop('required',true);
        $('#start_time').prop('required',true);
        $('#end_time').prop('required',true);
        $("#special_class").prop('disabled', true);
    }
    if ($("#special_class").is(":checked")) {
        $('#reccur_class_div').addClass('d-none');
        $('#special_class_div').removeClass('d-none');
        $('#class_date').prop('required',true);
        $('#time_from').prop('required',true);
        $('#time_to').prop('required',true);
        $("#reccur_class").prop('disabled', true);
    }
    if($('#no_lesson').val() != ''){
        $.ajax({
            type: "POST",
            url: '<?php echo e(route("class.class_lesson")); ?>',
            data:{
                no_lesson: $('#no_lesson').val(),
                date: $('#date').val(),
                start_time: $('#start_time').val(),
                end_time: $('#end_time').val(),
                duration_hrs: $('#duration_hrs').val(),
                duration_mins: $('#duration_mins').val(),
                show: 0,
                classId: <?php echo e($class->id); ?>

            },
            'headers': {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            success: function(response) {
                $('#show_lesson').empty();
                $('#show_lesson').html(response.html);
            }
        });
    }
        

});
</script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>






<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/classes/edit.blade.php ENDPATH**/ ?>