<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <div class="row">
            <?php if(session()->has('message')): ?>
                <div class="alert alert-success">
                    <?php echo e(session()->get('message')); ?>

                </div>
            <?php endif; ?>
            <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                <div class="opcm-head-2">
                    <h2>Students</h4>
                </div>
            </div>
            

            <div class="col-xl-12">
                <div class="opcm-wrap">
                    
                    <form action="<?php echo e(route('student.csv')); ?>" method="POST" id="generate_form">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" value="enquired" id="tab" name="tab" readonly>
                    <input type="hidden" value="<?php echo e(auth()->user()->id); ?>" id="id" name="id" readonly>
                    </form>
                    <div class="tab">
                        <button class="tablinks active class-tabs" onclick="openCity(event, 'Paris')"  id="defaultOpen">
                        <div class="tab-heading">
                            Enquired
                            <div class="counting-wrap">
                                <div class="count active">
                                <?php echo e($enquired); ?>

                                </div>
                            </div>
                        </div>
                        </button>
                        <button class="tablinks class-tabs" onclick="openCity(event, 'Tokyo')" id="tab-2">
                        <div class="tab-heading">
                            Enrolled
                            <div class="counting-wrap">
                                <div class="count">
                                <?php echo e($enrolled); ?>

                                </div>
                            </div>
                        </div>
                        </button>
                    </div>
                <br/>
                    <div id="Paris" class="tabcontent" style="display: block;">
                        <div class="row">
                    <table id="example-5" class="table table-striped-2 display" style="width:100%">
                        <thead>
                            <tr>
                                <tr>
                                    <th class="th-left">Student Name</th>
                                    <th class="th-left">Email</th>
                                    <th class="th-left">Parent Name</th>
                                    <th class="th-left">Class Name & Timing</th>
                                    <th class="th-center">Created At</th>
                                    <th class="th-left">Status</th>
                                    <th class="th-left">Action</th>
                                    <th class="th-center">up</th>
                                    <!-- <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student'])): ?>
                                    <th class="th-center">Actions</th>
                                    <?php else: ?>
                                    <th class="th-center"></th>
                                    <?php endif; ?> -->
                                </tr>
                            </tr>
                        </thead>
                    </table>
                        </div>
                    </div>
                    <div id="Tokyo" class="tabcontent" style="display: block;">
                        <div class="row">
                    <table id="example-6" class="table table-striped-2 display" style="width:100%">
                        <thead>
                            <tr>
                                <tr>
                                    <th class="th-left">Student Name</th>
                                    <th class="th-left">Email</th>
                                    <th class="th-left">Parent Name</th>
                                    <th class="th-left">Class Name & Timing</th>
                                    <th class="th-center">Created At</th>
                                    <th class="th-left">Status</th>
                                    <th class="th-left">Action</th>
                                    <th class="th-center">up</th>
                                    <!-- <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student'])): ?>
                                    <th class="th-center">Actions</th>
                                    <?php else: ?>
                                    <th class="th-center"></th>
                                    <?php endif; ?> -->
                                </tr>
                            </tr>
                        </thead>
                    </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
<?php $__env->startPush('scripts'); ?>
<!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.5.1.js"></script> -->
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
<script>
    $(document).ready(function () {
        $('#excel').click(function() {
            $('#generate_form').submit();
        });
        $('#example-5').DataTable({
            dom:'Bfrtip',
                buttons: [
                    {
                        extend: 'csv',
                        className:'btn-opcm btn-primary mb-1',
                        text: '<i class="fas fa-file-export"></i> Export to csv',
                        title: 'Enquired Students',
                        page:"all",
                        exportOptions: {
                            modifer: {
                               page: 'all',
                            },
                            columns: [ 0, 1, 2, 3, 4, 5]
                        }
                    },
                ],
            processing: true,
            serverSide: false,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[7,'desc'],
            "ajax": {
                'url': '<?php echo route("student_class.data"); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                'data':{'status' : 'enquired'}
            },
            columnDefs: [
                { className: "op-top", "targets": [ 0 ] },
                { className: "de", "targets": [ 1 ] },
                { className: "de", "targets": [ 2 ] },
                { className: "de", "targets": [ 3 ],"render": function (data, type, row) {
                                return data.split(",").join(",<br/>");
                            } },
                { className: "de", "targets": [ 4 ] },
                { className: "de", "targets": [ 5 ] },
                { className: "de", "targets": [ 6 ] },
                { className: "de", "targets": [ 7 ] },
            ],
            columns: [
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'parent_name', name: 'parent_name', className: 'th-left'},
                {data: 'class', name: 'class', className: 'th-left'},
                {data: 'created_at', name: 'created_at', className: 'th-center',width:"10%"},
                {data: 'std_status', name: 'std_status', className: 'th-left'},
                {data: 'remove_action',name: 'remove_action',className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
/*                {data: 'actions', name: 'actions', className: 'th-right',
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student'])): ?>
                visible:true
                <?php else: ?>
                visible:false
                <?php endif; ?>
            },*/
            ]
        });
        $('#tab-2').click(function(e) {
    var table2 = $('#example-6').DataTable();
    table2.columns.adjust().draw(false);
    $("#tab").val('enrolled');
});
$('#defaultOpen').click(function(e) {
    $("#tab").val('enquired');
});
    $('#example-6').DataTable({
        dom:'Bfrtip',
                buttons: [
                    {
                        extend: 'csv',
                        className:'btn-opcm btn-primary mb-1',
                        text: '<i class="fas fa-file-export"></i> Export to csv',
                        title: 'Enrolled Students',
                        page:"all",
                        exportOptions: {
                            modifer: {
                               page: 'all',
                            },
                            columns: [ 0, 1, 2, 3, 4, 5]
                        }
                    },
                ],
            processing: true,
            serverSide: false,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[7,'desc'],
            "ajax": {
                'url': '<?php echo route("student_class.data"); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                'data':{'status' : 'enrolled'}
            },
            columnDefs: [
                { className: "op-top", "targets": [ 0 ] },
                { className: "de", "targets": [ 1 ] },
                { className: "de", "targets": [ 2 ] },
                { className: "de", "targets": [ 3 ],"render": function (data, type, row) {
                                return data.split(",").join(",<br/>");
                            } },
                { className: "de", "targets": [ 4 ] },
                { className: "de", "targets": [ 5 ] },
                { className: "de", "targets": [ 6 ] },
                { className: "de", "targets": [ 7 ] },
            ],
            columns: [
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'parent_name', name: 'parent_name', className: 'th-left'},
                {data: 'class', name: 'class', className: 'th-left'},
                {data: 'created_at', name: 'created_at', className: 'th-center',width:"10%"},
                {data: 'std_status', name: 'std_status', className: 'th-left'},
                {data: 'remove_action',name: 'remove_action',className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
/*                {data: 'actions', name: 'actions', className: 'th-right',
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-student'])): ?>
                visible:true
                <?php else: ?>
                visible:false
                <?php endif; ?>
            },*/
            ]
        });
        $(".dataTables_filter").find('input').addClass('input__textbox col-8');
    });
    function openCity(evt, cityName) {
          var i, tabcontent, tablinks, count;
          tabcontent = document.getElementsByClassName("tabcontent");
          for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
          }
          tablinks = document.getElementsByClassName("tablinks");
          for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
          }
          document.getElementById(cityName).style.display = "block";
          evt.currentTarget.className += " active";
        }

        // Get the element with id="defaultOpen" and click on it
        document.getElementById("defaultOpen").click();

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/students/tutor_student.blade.php ENDPATH**/ ?>