<?php $__env->startPush('styles'); ?>

<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <div class="less-wrap-2">
            <div class="row">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="col-xl-12 col-lg-6">
                    <div class="adm-info-head">
                        <h6><i>Welcome,</i> <?php echo e(auth()->user()->name); ?></h6>
                    </div>
                </div>
            </div>
        </div>
        <div class="tut-stat">
            <div class="row">
                <div class="col-xl-3">
                    <div class="tut-stat-wrap">
                        <i class="fas fa-dollar-sign"></i>
                        <h5>Total Earnings</h5>
                        <h6>1,500</h6>
                    </div>
                </div>
                <div class="col-xl-3">
                    <div class="tut-stat-wrap">
                        <i class="fas fa-graduation-cap"></i>
                        <h5>Number of students</h5>
                        <h6>100</h6>
                    </div>
                </div>
                <div class="col-xl-3">
                    <div class="tut-stat-wrap">
                        <i class="fas fa-chalkboard-teacher"></i>
                        <h5>Classes Completed</h5>
                        <h6>15</h6>
                    </div>
                </div>
                <div class="col-xl-3">
                    <div class="tut-stat-wrap">
                        <i class="fas fa-user"></i>
                        <h5>Profile Views</h5>
                        <h6>50</h6>
                    </div>
                </div>
            </div>
        </div>
        <div class="das-class-wrap">
            <div class="row">
                <div class="col-xl-6 d-flex justify-content-center flex-column">
                    <div class="opcm-head">
                        <h4>Upcoming Classes</h4>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                    <nav class="nav-4">
                        <div class="nav nav-tabs-1" id="nav-tab" role="tablist">
                            <button class="nav-link-5 active" id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="true">List View</button>
                            <button class="nav-link-6" id="nav-profile-tab" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile" aria-selected="false">Calendar View</button>
                        </div>
                    </nav>
                </div>
            </div>
            <div class="col-xl-12">
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                        <div id="nav-home-tab" class="tabcontent-3">
                            <div class="row">
                                <div class="col-xl-12">
                                    <div class="opcm-wrap-3">
                                        <table id="classDatatable" class="table table-striped" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th class="c-name">Class Name</th>
                                                    <th class="ab">Class Mode</th>
                                                    <th class="ab">Class Date</th>
                                                    <th class="lm">Timings</th>
                                                    <th class="lm">Subjects</th>
                                                    <th class="lm">Actions</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                        <div id="nav-profile-tab" class="tabcontent-3">
                            <div class="opcm-wrap-3">
                                <div class="cen-info">
                                    <div id='calendar'></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="preview-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Preview Details</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="duration-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Class Information :</h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="class_name_p">Class Name : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="class_date_p">Class Date : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="sub_p">Subject : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4  id="topic_p">Topic : </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="zoom-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Zoom Details :</h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4>Zoom Link : <a href="#"  id="zoom_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4 id="zoom_id_p">Zoom Id :</h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4 id="zoom_password_p">Zoom Password : </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="moodle-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>External Links :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4>Moodle Link : <a href="#" id="moodle_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4>Google Drive Link : <a href="#" id="drive_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="moodle-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Duration of Class :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="start_time_p"></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="end_time_p"></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="other-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Other Information :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="class_size_p"></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="price_p"></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a href="" class="adm-info-btn" id="edit_class_btn_p">Edit</a>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script src='assets/js/main.js'></script>
<!-- <script src="https://cdn.jsdelivr.net/npm/fullcalendar@5.10.2/main.min.js"></script> -->
<script>
    $(document).ready(function () {
        $('#nav-profile-tab').click(function(){
            var classes = <?php echo json_encode($scheduleClasses); ?>;
            loadCalendar(classes);
        });
        $('#classDatatable').DataTable({
            processing: true,
            serverSide: true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            "ajax": {
                'url': '<?php echo route("schedule-class.data"); ?>',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                }
            },
            columnDefs: [
                { className: "op-top", "targets": [ 0 ] },
                { className: "de", "targets": [ 1 ] },
                { className: "de", "targets": [ 2 ] },
                { className: "de", "targets": [ 3 ] },
                { className: "de", "targets": [ 4 ] },
                { className: "opcm-func", "targets": [ 5 ] }
            ],
            columns: [
                {data: 'name', name: 'name'},
                {data: 'type_id', name: 'type_id'},
                {data: 'class_date', name: 'class_date'},
                {data: 'class_time', name: 'class_time'},
                {data: 'subject_id', name: 'subject_id'},
                {data: 'actions', name: 'actions'}
            ]
        });
    });
    function loadCalendar(classes){
        var calendarEl = document.getElementById('calendar');
        var calendar = new FullCalendar.Calendar(calendarEl, {
            initialView: 'dayGridMonth',
            contentHeight: 'auto',
            headerToolbar: {
                left: 'prev,next today',
                center: 'title',
                right: 'dayGridMonth,timeGridWeek,timeGridDay'
            },
            eventClick: function(info) {
                $.ajax({
                    url: '<?php echo e(url("schedule-class/get-class-details/")); ?>/' + info.event.id,
                    success: function(response) {
                        $('#class_name_p').html("Class Name : "+response.name);
                        $('#class_date_p').html("Class Date : "+response.class_date);
                        $('#sub_p').html("Subject : "+response.subject_id);
                        $('#topic_p').html("Topic : "+response.topic_id);
                        $('#zoom_link_p').html(response.live_link);
                        $('#zoom_link_p').attr('href', response.live_link);
                        $('#zoom_id_p').html("Zoom ID : "+response.live_id);
                        $('#zoom_password_p').html("Zoom Password : "+response.live_password);
                        $('#moodle_link_p').html(response.live_id);
                        $('#moodle_link_p').attr('href', response.name);
                        $('#drive_link_p').html(response.name);
                        $('#drive_link_p').attr('href', response.name);
                        $('#start_time_p').html("Start Time : "+response.start_time);
                        $('#end_time_p').html("End Time : "+response.end_time);
                        $('#class_size_p').html("Class Size : "+response.class_size);
                        $('#price_p').html("Price ($) : "+response.price);
                        $('#edit_class_btn_p').attr('href', response.edit_url);

                        $('#preview-modal').modal('show');
                    }
                });
            },
            editable: true,
            eventDrop: function(info) {
                $.ajax({
                    url: '<?php echo e(url("schedule-class/drag-drop-date-update/")); ?>/' + info.event.id + '/' + info.event.startStr,
                    success: function(response) {
                        // if(response) alert('Date updated!');
                    }
                });
                $.ajax({
                    url: '<?php echo e(url("schedule-class/get-scheduled-classes")); ?>',
                    success: function(response) {
                        loadCalendar(response);
                    }
                });
            },
        });
        
        for(var i = 0; i < classes.length; i++){
            calendar.addEvent({
                groupId: classes[i]['grp'],
                id: classes[i]['id'],
                title: classes[i]['name'],
                start: classes[i]['class_date']
            });
        }
        calendar.render();
    }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/tutors/index.blade.php ENDPATH**/ ?>