<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
        <div class="container">
            <?php if(session()->has('message')): ?>
                <div class="alert alert-success">
                    <?php echo e(session()->get('message')); ?>

                </div>
            <?php endif; ?>
            <div class="less-wrap">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Classes</h6>
                        </div>
                    </div>
                </div>
            </div>

            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tab-content" id="nav-tabContent">
                            <div class="tab-pane fade <?php echo e(session()->has('tab') ? (session()->get('tab') == 'class' ? 'show active' : '') : 'show active'); ?>" id="nav-level" role="tabpanel"
                                aria-labelledby="nav-level-tab">
                                <div id="nav-level-tab" class="tabcontent-3">
                                    <div class="row">
                                        <?php if(auth()->user()->roles->first()->name != 'tutor' && auth()->user()->roles->first()->name != 'tuition center'): ?>
                                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Service Provider </h5>
                                                <select class="disselect-2 kt-input" id="provider" name="provider">
                                                    <option value="" >Select Service Provider</option>
                                                    <?php $__currentLoopData = $tuition_centres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $class_centre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                     <option value="<?php echo e($class_centre->user_id); ?>"><?php echo e($class_centre->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php $__currentLoopData = $tutors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $class_tutor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($class_tutor->user_id); ?>"><?php echo e($class_tutor->first_name.' '.$class_tutor->last_name); ?></option>
                                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php endif; ?>
                                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Class Mode</h5>
                                                <select class="disselect-2 kt-input" id="mode" name="mode">
                                                    <option value="">Select Class Mode</option>
                                                    <option value="1" >Online group classes</option>
                                                    <option value="2" >Online One - One Classes</option>
                                                    <option value="3" >Offline group classes</option>
                                                    <option value="4" >Offline One - One classes</option>
                                                    <option value="5" >Trial classes</option>
                                                </select>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Level Name</h5>
                                                <select class="disselect-2 kt-input" id="level" name="level">
                                                    <option value="" >Select Level Name</option>
                                                    <?php $__currentLoopData = $levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($level->id); ?>"><?php echo e($level->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Lesson Name</h5>
                                                <select class="disselect-2 kt-input" id="lesson" name="lesson">
                                                    <option value="" >Select Lesson Name</option>
                                                    <?php $__currentLoopData = $lessons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lesson): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($lesson->id); ?>"><?php echo e($lesson->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                                            <div class="cen-info">
                                                <h5 for="status">Class By Status</h5>
                                                <select class="disselect-2 kt-input" id="status" name="status">
                                                    <option value="" >All</option>
                                                    <option value="in_progress">In Progress Classes</option>
                                                    <option value="upcoming">Upcoming Classes</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="filters_btn">
                                            <div class="cen-info">
                                                <label for="class_Name" class="blank_class">&nbsp;</label>
                                                <button class="btn-opcm py-2 px-7" id="filter">Filter</button>
                                                <label for="class_Name" class="blank_class">&nbsp;</label>
                                                <button class="btn-opcm py-2 px-7" style="background: white;color:black;" id="reset">Reset</button>
                                            </div>
                                        </div>
                                        
                                        <hr>
                                        <div class="col-xl-12">
                                            <div class="opcm-btn">
                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create-class')): ?>
                                                <a href="<?php echo e(route('class.create')); ?>" class="btn-opcm"><i class="fas fa-plus-circle"></i>New Class</a>
                                                <?php endif; ?>
                                            </div>
                                        </div>


                                        <div class="admin-class-wrapper">
                                            <div class="tab">
                                                <button class="tablinks active class-tabs" onclick="openCity(event, 'Paris')"  id="defaultOpen">
                                                <div class="tab-heading">
                                                    Sponsored Classes
                                                    <div class="counting-wrap">
                                                        <div class="count active" id="spons">
                                                        <?php echo e($sponcer_class); ?>

                                                        </div>
                                                    </div>
                                                </div>
                                                </button>
                                                <button class="tablinks class-tabs" onclick="openCity(event, 'Tokyo')" id="normal_btn">
                                                <div class="tab-heading">
                                                    Normal Classes
                                                    <div class="counting-wrap">
                                                        <div class="count" id="normal">
                                                        <?php echo e($normal_class); ?>

                                                        </div>
                                                    </div>
                                                </div>
                                                </button>
                                                <button class="tablinks class-tabs" onclick="openCity(event, 'China')" id="expired_btn">
                                                    <div class="tab-heading">
                                                        Expired Classes
                                                        <div class="counting-wrap">
                                                            <div class="count" id="expired">
                                                            <?php echo e($expired_class); ?>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </button>
                                            </div>

                                            <div id="Paris" class="tabcontent" style="display: block;">
                                                <div class="row">
                                                    <div class="col-xl-12">
                                                    <div class="table-wrap-box">
                                                           <table id="spoclassDatatable" class="table table-striped-2 display" style="width:100%">
                                                                <thead>
                                                                    <tr>
                                                                        <th class="th-left">SR. NO</th>
                                                                        <th class="th-left">Class Name</th>
                                                                        <th class="th-left">Lesson Name</th>
                                                                        <th class="th-left">Level Name</th>
                                                                        <th class="th-center">Class Mode</th>
                                                                        <th class="th-center">Class Date</th>
                                                                        <th class="th-center">Timings</th>
                                                                        <th class="th-center">Lessons</th>
                                                                        <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
                                                                        <th class="th-center">Provider</th>
                                                                        <?php endif; ?>
                                                                        <th class="th-center">Vacancy</th>
                                                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['sponsor-to-normal'])): ?>
                                                                        <th class="th-center">Normal</th>
                                                                        <?php else: ?>
                                                                        <th class="th-center"></th>
                                                                        <?php endif; ?>
                                                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-class','edit-class','delete-class','student-attendance','rating-class'])): ?>
                                                                        <th class="th-center">Actions</th>
                                                                        <?php else: ?>
                                                                        <th class="th-center"></th>
                                                                        <?php endif; ?>
                                                                    </tr>
                                                                </thead>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div id="Tokyo" class="tabcontent" style="display: block;">
                                                <div class="row">
                                                    <div class="col-xl-12">
                                                        <div class="table-wrap-box">
                                                            <table id="classDatatable" class="table table-striped-2 display" style="width:100%">
                                                                <thead>
                                                                    <tr>
                                                                        <th class="th-left">Class Name</th>
                                                                        <th class="th-left">Lesson Name</th>
                                                                        <th class="th-left">Level Name</th>
                                                                        <th class="th-center">Class Mode</th>
                                                                        <th class="th-center">Class Date</th>
                                                                        <th class="th-center">Timings</th>
                                                                        <th class="th-center">Lessons</th>
                                                                        <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
                                                                        <th class="th-center">Provider</th>
                                                                        <?php endif; ?>
                                                                        <th class="th-center">Vacancy</th>
                                                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['normal-to-sponsor'])): ?>
                                                                        <th class="th-center">Sponsore</th>
                                                                        <?php else: ?>
                                                                        <th class="th-center"></th>
                                                                        <?php endif; ?>
                                                                        <th class="th-center">UP</th>
                                                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-class','edit-class','delete-class','student-attendance','rating-class'])): ?>
                                                                        <th class="th-center">Actions</th>
                                                                        <?php else: ?>
                                                                        <th class="th-center"></th>
                                                                        <?php endif; ?>
                                                                    </tr>
                                                                </thead>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="China" class="tabcontent" style="display: block;">
                                                <div class="row">
                                                    <div class="col-xl-12">
                                                        <div class="table-wrap-box">
                                                            <table id="ExpiredclassDatatable" class="table table-striped-2 display" style="width:100%">
                                                                <thead>
                                                                    <tr>
                                                                        <th class="th-left">Class Name</th>
                                                                        <th class="th-left">Lesson Name</th>
                                                                        <th class="th-left">Level Name</th>
                                                                        <th class="th-center">Class Mode</th>
                                                                        <th class="th-center">Class Date</th>
                                                                        <th class="th-center">Timings</th>
                                                                        <th class="th-center">Lessons</th>
                                                                        <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
                                                                        <th class="th-center">Provider</th>
                                                                        <?php endif; ?>
                                                                        <th class="th-center">UP</th>
                                                                        <th class="th-center">Actions</th>
                                                                    </tr>
                                                                </thead>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
<?php $__env->startPush('scripts'); ?>
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js">    </script>
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>


<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>

<script>
$(function() {
    $('#classDatatable').DataTable({
        dom:'Bfrtip',
        buttons: [
            {
                extend: 'csv',
                className:'btn-opcm btn-primary',
                text: '<i class="fas fa-file-export"></i> Export to csv ',
                title: 'Normal Classes',
                exportOptions: {
                    <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
                    columns: [ 0, 1, 2, 3, 4, 5, 6, 7, 8],
                    <?php else: ?>
                    columns: [ 0, 1, 2, 3, 4, 5, 6, 7],
                    <?php endif; ?>
                    orthogonal: 'export'
                }
            },
        ],
        autoWidth: false,
        scrollX:true,
        processing: true,
        serverSide: false,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
        order:[10, 'desc'],
        <?php else: ?>
        order:[8, 'desc'],
        <?php endif; ?>
        "ajax": {
            'url': '<?php echo route("class.data"); ?>',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: function(d) {
                            d.provider = $('#provider').val();
                            d.class_mode = $('#mode').val();
                            d.level = $('#level').val();
                            d.lesson = $('#lesson').val();
                            d.status = $('#status').val();
            }
        },

        columns: [
            {data: 'name', name: 'name', className: 'th-left'},
            {data: 'lesson', name: 'lesson', className: 'th-left'},
            {data: 'level', name: 'level', className: 'th-left'},
            {data: 'mode', name: 'mode', className: 'th-center'},
            {data: 'class_date', name: 'class_date', className: 'th-center'},
            {data: 'timing', name: 'timing', className: 'th-center'},
            {data: 'no_of_lesson', name: 'no_of_lesson', className: 'th-center'},
            <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
            {data: 'provider', name: 'provider', className: 'th-center'},
            <?php endif; ?>
            {data: 'vacancy', name: 'vacancy', className: 'th-center', render: function (data, type, row) {
                return type === 'export' ? '( ' + data.substring(0, data.indexOf('/')) + ' / ' + data.substring(data.indexOf('/') + 1) + ' )' : data ;
            }},
            {data: 'sponsore', name: 'sponsore', className: 'th-center',
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['normal-to-sponsor'])): ?>
                visible:true
                <?php else: ?>
                visible:false
                <?php endif; ?>
            },
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
            {data: 'actions', name: 'actions', className: 'th-center', width:'5%',
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-class','edit-class','delete-class','student-attendance','rating-class'])): ?>
            visible:true
            <?php else: ?>
            visible:false
            <?php endif; ?>
        }

        ]
    });
    var table1 = $('#classDatatable').DataTable();
    $("#classDatatable_filter input[type='search']").on("keyup", function () {
        $("#normal").html(table1.rows({search: 'applied'}).count());
    });
    table1.on('draw', function() {
        console.log('rows count:', table1.rows({
            search: 'applied'
        }).count());
        $("#normal").html(table1.data().count());
    });
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table1.table().draw();
                    table1.ajax.reload();
                });

                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table1.table().draw();
                });

    // $('#AllclassDatatable').DataTable({
    //     processing: true,
    //     serverSide: true,
    //     oSearch: {"bSmart": true},
    //     lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
    //     pageLength: 10,
    //     <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
    //     order:[10, 'desc'],
    //     <?php else: ?>
    //     order:[8, 'desc'],
    //     <?php endif; ?>
    //     "ajax": {
    //         'url': '<?php echo route("class.alldata"); ?>',
    //         'type': 'POST',
    //         'headers': {
    //             'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
    //         }
    //     },

    //     columns: [
    //         {data: 'name', name: 'name', className: 'th-left'},
    //         {data: 'lesson', name: 'lesson', className: 'th-left'},
    //         {data: 'mode', name: 'mode', className: 'th-center'},
    //         {data: 'class_date', name: 'class_date', className: 'th-center'},
    //         {data: 'timing', name: 'timing', className: 'th-center'},
    //         {data: 'no_of_lesson', name: 'no_of_lesson', className: 'th-center'},
    //         <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
    //         {data: 'centre', name: 'centre', className: 'th-center'},
    //         {data: 'tutor', name: 'tutor', className: 'th-center'},
    //         <?php endif; ?>
    //         {data: 'vacancy', name: 'vacancy', className: 'th-center'},
    //         {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
    //         {data: 'actions', name: 'actions', className: 'th-center',
    //         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-class','edit-class','delete-class','student-attendance'])): ?>
    //         visible:true
    //         <?php else: ?>
    //         visible:false
    //         <?php endif; ?>
    //     }

    //     ]
    // });
    $('#ExpiredclassDatatable').DataTable({
        dom:'Bfrtip',
        buttons: [
            {
                extend: 'csv',
                className:'btn-opcm btn-primary',
                text: '<i class="fas fa-file-export"></i> Export to csv ',
                title: 'Sponsored Classes',
                exportOptions: {
                    <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
                    columns: [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9],
                    <?php else: ?>
                    columns: [ 0, 1, 2, 3, 4, 5, 6, 7, 8],
                    <?php endif; ?>
                    orthogonal: 'export'
                }
            },
        ],
        autoWidth: false,
        processing: true,
        scrollX:true,
        serverSide: false,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
        order:[8, 'desc'],
        <?php else: ?>
        order:[7, 'desc'],
        <?php endif; ?>
        "ajax": {
            'url': '<?php echo route("class.ExpiredClassdata"); ?>',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: function(d) {
                            d.provider = $('#provider').val();
                            d.class_mode = $('#mode').val();
                            d.level = $('#level').val();
                            d.lesson = $('#lesson').val();
                            d.status = $('#status').val();
            }
        },

        columns: [
            {data: 'name', name: 'name', className: 'th-left'},
            {data: 'lesson', name: 'lesson', className: 'th-left'},
            {data: 'level', name: 'level', className: 'th-left'},
            {data: 'mode', name: 'mode', className: 'th-center'},
            {data: 'class_date', name: 'class_date', className: 'th-center'},
            {data: 'timing', name: 'timing', className: 'th-center'},
            {data: 'no_of_lesson', name: 'no_of_lesson', className: 'th-center'},
            <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
            {data: 'provider', name: 'provider', className: 'th-center'},
            <?php endif; ?>
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
            {data: 'actions', name: 'actions', className: 'th-center', width:'5%',
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-class'])): ?>
            visible:true
            <?php else: ?>
            visible:false
            <?php endif; ?>
        }
        ]
    });
    var table3 = $('#ExpiredclassDatatable').DataTable();
    $("#ExpiredclassDatatable_filter input[type='search']").on("keyup", function () {
        $("#expired").html(table3.rows({search: 'applied'}).count());
    });
    table3.on('draw', function() {
        $("#expired").html(table3.data().count());
    });
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table3.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table3.table().draw();
                    table3.ajax.reload();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table3.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table3.table().draw();
                });
    var table = $('#spoclassDatatable').DataTable({
        dom:'Bfrtip',
        buttons: [
            {
                extend: 'csv',
                className:'btn-opcm btn-primary',
                text: '<i class="fas fa-file-export"></i> Export to csv ',
                title: 'Sponsored Classes',
                exportOptions: {
                    <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
                    columns: [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9],
                    <?php else: ?>
                    columns: [ 0, 1, 2, 3, 4, 5, 6, 7, 8],
                    <?php endif; ?>
                    orthogonal: 'export'
                }
            },
        ],
        autoWidth: false,
        processing: true,
        serverSide: false,
        scrollX:true,
        rowReorder: true,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        "ajax": {
            'url': '<?php echo route("class.Spodata"); ?>',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: function(d) {
                            d.provider = $('#provider').val();
                            d.class_mode = $('#mode').val();
                            d.level = $('#level').val();
                            d.lesson = $('#lesson').val();
                            d.status = $('#status').val();
            }
        },
        columns: [
            {data: 'DT_RowIndex', name: 'DT_RowIndex', className: 'th-left', searchable: false },
            {data: 'name', name: 'name', className: 'th-left'},
            {data: 'lesson', name: 'lesson', className: 'th-left'},
            {data: 'level', name: 'level', className: 'th-left'},
            {data: 'mode', name: 'mode', className: 'th-center'},
            {data: 'class_date', name: 'class_date', className: 'th-center'},
            {data: 'timing', name: 'timing', className: 'th-center'},
            {data: 'no_of_lesson', name: 'no_of_lesson', className: 'th-center'},
            <?php if(auth()->check() && auth()->user()->hasRole('super_admin|admin')): ?>
            {data: 'provider', name: 'provider', className: 'th-center'},
            <?php endif; ?>
            {data: 'vacancy', name: 'vacancy', className: 'th-center', render: function (data, type, row) {
                return type === 'export' ? '( ' + data.substring(0, data.indexOf('/')) + ' / ' + data.substring(data.indexOf('/') + 1) + ' )' : data ;
            }},
            {data: 'normal', name: 'normal', className: 'th-center',
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['sponsor-to-normal'])): ?>
            visible:true
            <?php else: ?>
            visible:false
            <?php endif; ?>},
            {data: 'actions', name: 'actions', className: 'th-center', width:'5%',
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['show-details-class','edit-class','delete-class','student-attendance','rating-class'])): ?>
            visible:true
            <?php else: ?>
            visible:false
            <?php endif; ?>
        }

        ],
        createdRow: function( row, data, dataIndex ) {
            // Set the data-status attribute, and add a class
            $( row ).attr('data-id', data.id)
                .addClass('row1');
        }
    });
    var table = $('#spoclassDatatable').DataTable();
    $("#spoclassDatatable_filter input[type='search']").on("keyup", function () {
        $("#spons").html(table.rows({search: 'applied'}).count());
    });
    table.on('draw', function() {
        $("#spons").html(table.data().count());
    });
                    $('#filter').on('click', function(e) {
                        e.preventDefault();
                        var params = {};
                        $('.kt-input').each(function() {
                            var i = $(this).data('col-index');
                            if (params[i]) {
                                params[i] += '|' + $(this).val();
                            } else {
                                params[i] = $(this).val();
                            }
                        });
                        $.each(params, function(i, val) {
                            table.column(i).search(val ? '.*' + val : '', true, false);
                        });
                        table.table().draw();
                        table.ajax.reload();
                    });
                    $('#reset').on('click', function(e) {
                        location.reload();
                        e.preventDefault();
                        var params = {};
                        $('.kt-input').each(function() {
                            var i = $(this).data('col-index');
                            if (params[i]) {
                                params[i] += '|' + '';
                            } else {
                                params[i] = '';
                            }
                            $(this).val('');
                        });
                        $.each(params, function(i, val) {
                            table.column(i).search(val ? '.*' + val : '', false, false);
                        });
                        table.table().draw();
                    });

    /*$("#spoclassDatatable").sortable({
            update: function(event, ui) {
                let newOrder = [];
                $("#spoclassDatatable tbody tr").each(function(index) {
                    console.log($(this).children())
                    newOrder.push($(this).data('id'));
                });

                $.ajax({
                    url: '/reorder-rows',
                    method: 'PUT',
                    headers: {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data: {
                        new_order: newOrder
                    },
                    success: function(response) {
                        console.log(response.message);
                    }
                });
            }
    });*/

    $("#spoclassDatatable").sortable({
        items: "tbody tr",
        cursor: 'move',
        opacity: 0.6,
        update: function() {
            sendOrderToServer();
        }
    });
    $('#level').change(function() {
                    $("select[name='lesson'] > option").remove();
                    $('#lesson').append('<option value="">Select Lesson</option>');
                    $.ajax({
                        url: '<?php echo e(url("class/get_lesson")); ?>?level=' + $(this).val(),
                        data:{_token: '<?php echo e(csrf_token()); ?>'},
                        success: function(response) {
                            $.each(response.lessons, function(key,value) {
                                $('#lesson').append('<option value="' +value.id +'">' +value.name + ' </option>');
                            });
                        }
                    });
                });
                $('#normal_btn').click(function(){
                    $('#classDatatable').DataTable().columns.adjust();
                });
                $('#expired_btn').click(function(){
                    $('#ExpiredclassDatatable').DataTable().columns.adjust();
                });
                $(".dataTables_filter").find('input').addClass('input__textbox col-8');
});

function sendOrderToServer() {

      var order = [];
      $('tr.row1').each(function(index,element) {
        order.push({
          id: $(this).attr('data-id'),
          position: index+1
        });
      });




      console.log(order)

      $.ajax({
        type: "PUT",
        dataType: "json",
        url: '/reorder-rows',
        data: {
          order:order,
          _token: '<?php echo e(csrf_token()); ?>'
        },
        success: function(response) {
            if (response.status == "success") {
              console.log(response);
            } else {
              console.log(response);
            }
        }
      });

    }

    function openCity(evt, cityName) {
          var i, tabcontent, tablinks, count;
          tabcontent = document.getElementsByClassName("tabcontent");
          for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
          }
          tablinks = document.getElementsByClassName("tablinks");
          for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
          }
          document.getElementById(cityName).style.display = "block";
          evt.currentTarget.className += " active";
        }

        // Get the element with id="defaultOpen" and click on it
        document.getElementById("defaultOpen").click();

</script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/classes/index.blade.php ENDPATH**/ ?>