<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <div class="row">
            <?php if(session()->has('message')): ?>
                <div class="alert alert-success">
                    <?php echo e(session()->get('message')); ?>

                </div>
            <?php endif; ?>
            <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                <div class="opcm-head-2">
                    <h2>Dashboard</b></h2>
                </div>
            </div>
            <section class="admin-dashboard-wrapper">
                <div class="row">
                    <div class="col-xl-3">
                        <div class="admin-dash-wrap">
                            <div class="admin-dash-icon-wrap">
                                <i class="fas fa-dollar-sign"></i>
                            </div>
                            <div class="admin-dash-amt-wrap">
                                <h4>4,000</h4>
                                <p>Revenue</p>
                            </div>
                            <div class="last-month-wrap">
                                <p style="margin-bottom: 0.38rem;">Last Month <span>+ 1.06 <i class="fas fa-long-arrow-alt-up"></i></span></p>
                            </div>
                        </div>

                    </div>
                    <div class="col-xl-3">
                        <div class="admin-dash-wrap">
                            <div class="admin-dash-icon-wrap">
                                <i class="fas fa-graduation-cap"></i>
                            </div>
                            <div class="admin-dash-amt-wrap">
                                <div class="row">
                                    <div class="col-xl-5">
                                        <?php
                                        $user = App\Models\User::role('tutor')->pluck('id')->toArray();
                                        $tutor = App\Models\Account::whereIn('user_id', $user)->whereNull('deleted_at')->get()->count();
                                        $active =  App\Models\Account::whereIn('user_id', $user)->where('status','active')->where('is_verify', '1')->whereNull('deleted_at')->get()->count();
                                        $inactive =  App\Models\Account::whereIn('user_id', $user)->where('is_verify', '0')->whereNull('deleted_at')->get()->count();
                                        ?>
                                        <h4><?php echo e($tutor); ?></h4>
                                    </div>
                                    <div class="col-xl-7 d-flex justify-content-end">
                                        <div class="last-month-wrap">
                                            <p>Last Month <span>+ 1.06 <i class="fas fa-long-arrow-alt-up"></i></span></p>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <p>Tutors</p>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="active-wrap">
                                            <ul>
                                                <li><i class="fas fa-circle act"></i> Active : <?php echo e($active); ?> </li>
                                                <li><i class="fas fa-circle inac"></i> Inactive : <?php echo e($inactive); ?> </li>
                                            </ul>

                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                    </div>
                    <div class="col-xl-3">
                        <div class="admin-dash-wrap">
                            <div class="admin-dash-icon-wrap">
                                <i class="fas fa-school"></i>
                            </div>
                            <div class="admin-dash-amt-wrap">
                                <div class="row">
                                        <div class="col-xl-5">
                                            <?php
                                            $centre = App\Models\TuitionCentre::whereNull('deleted_at')->get()->count();
                                            $active = App\Models\TuitionCentre::whereNull('deleted_at')->where('is_verified','1')->get()->count();
                                            $inactive = App\Models\TuitionCentre::whereNull('deleted_at')->where('is_verified','0')->get()->count();
                                            ?>
                                            <h4><?php echo e($centre); ?></h4>
                                        </div>
                                        <div class="col-xl-7 d-flex justify-content-end">
                                            <div class="last-month-wrap">
                                                <p>Last Month <span>+ 1.02 <i class="fas fa-long-arrow-alt-up"></i></span></p>
                                            </div>
                                        </div>
                                        <div class="col-xl-12">
                                            <p>Tuition Centres</p>
                                        </div>
                                        <div class="col-xl-12">
                                            <div class="active-wrap">
                                                <ul>
                                                    <li><i class="fas fa-circle act"></i> Active : <?php echo e($active); ?></li>
                                                    <li><i class="fas fa-circle inac"></i> Inactive : <?php echo e($inactive); ?></li>
                                                </ul>

                                            </div>
                                        </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-xl-3">
                        <div class="admin-dash-wrap">
                            <div class="admin-dash-icon-wrap">
                            <i class="fas fa-user-graduate"></i>
                            </div>
                            <div class="admin-dash-amt-wrap">
                            <div class="row">
                                        <div class="col-xl-5">
                                            <?php
                                            $user = App\Models\User::role('student')->pluck('id')->toArray();
                                            $student = App\Models\Account::whereIn('user_id', $user)->whereNull('deleted_at')->get()->count();
                                            $active =  App\Models\Account::whereIn('user_id', $user)->where('status','active')->whereNull('deleted_at')->get()->count();
                                            $inactive =  App\Models\Account::whereIn('user_id', $user)->where('status','inactive')->whereNull('deleted_at')->get()->count();
                                            ?>
                                            <h4><?php echo e($student); ?></h4>
                                        </div>
                                        <div class="col-xl-7 d-flex justify-content-end">
                                            <div class="last-month-wrap">
                                                <p>Last Month <span class="down">- 2.02 <i class="fas fa-long-arrow-alt-down"></i></span></p>
                                            </div>
                                        </div>
                                        <div class="col-xl-12">
                                            <p>Students</p>
                                        </div>
                                        <div class="col-xl-12">
                                            <div class="active-wrap">
                                                <ul>
                                                    <li><i class="fas fa-circle act"></i> Active : <?php echo e($active); ?> </li>
                                                    <li><i class="fas fa-circle inac"></i> Inactive : <?php echo e($inactive); ?> </li>
                                                </ul>

                                            </div>
                                        </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.5.1.js"></script> -->
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/home.blade.php ENDPATH**/ ?>